package com.yida.data.common.core.entity.attendance;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 教职工考勤-规则管理员 Entity
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:15
 */
@Data
@TableName("edu_attendance_staff_rule_admin")
public class EduAttendanceStaffRuleAdmin {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("rule_id")
    private Long ruleId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("staff_id")
    private Long staffId;

    @TableField(exist = false)
    private String staffName;

}
