package com.yida.data.common.core.entity.attendance;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 教职工考勤-规则设备
 *
 * @author ZYJ
 * @date 2022/9/13
 */
@Data
public class EduAttendanceStaffRuleDevice implements Serializable {

    private static final long serialVersionUID = 368478874776852825L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("教师考勤规则id")
    private Long ruleId;

    @ApiModelProperty("设备ID")
    private Long deviceId;
}
