package com.yida.data.common.core.entity.attendance;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;

/**
 * 教职工考勤-打卡人员 Entity
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:22
 */
@Data
@TableName("edu_attendance_staff_rule_obj")
public class EduAttendanceStaffRuleObj {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * 0-部门，1-教职工
     */
    @ApiModelProperty(value = "0-部门，1-教职工")
    @TableField("type")
    private Integer type;

    /**
     * 目标对象id
     */
    @ApiModelProperty(value = "目标对象id")
    @TableField("obj_id")
    private Long objId;

    @ApiModelProperty(value = "目标对象名称")
    @TableField(exist = false)
    private String objName;

}
