package com.yida.data.common.core.entity.attendance.attendance;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 规则适用部门人员 Entity
 */
@Data
@TableName("attendance_rule_obj_user")
public class AttendanceRuleObjUser {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 0-教职工部门，1-家校部门
     */
    @ApiModelProperty(value = "0-教职工部门，1-家校部门")
    @TableField("user_type")
    private Integer userType;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("rule_id")
    private Long ruleId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("dept_id")
    private Long deptId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("user_id")
    private Long userId;

    /**
     * 父级部门id，逗号连接
     */
    @ApiModelProperty(value = "")
    @TableField("user_name")
    private String userName;

}