package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.io.Serializable;

/**
 * 监控对应记录表(EduCameraRecord)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:30
 */
@Data
public class EduCameraRecord {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 摄像头id
     */
    private Long cameraId;
    /**
     * 视频地址
     */
    private String videoUrl;
    /**
     * 记录时间
     */
    private Date recordDate;
    /**
     * 创建时间
     */
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    /**
     * 创建人
     */
    private Long createId;



}

