package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

/**
 * 开放策略关联摄像头表(EduCameraStrategyOpenCamera)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:30
 */
@Data
public class EduCameraStrategyOpenCamera {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 摄像头id
     */
    private Long cameraId;
    /**
     * 开放策略id
     */
    private Long openId;

    /**
     * 0未删除，1已删除
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;
}

