package com.yida.data.common.core.entity.card;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 电子学生证-系统围栏与几米平台围栏对应关系 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:08:03
 */
@Data
@TableName("edu_student_card_fence_jimi")
public class EduStudentCardFenceJimi {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField("fence_id")
    private Long fenceId;

    /**
     * 几米平台围栏名称
     */
    @ApiModelProperty("几米平台围栏名称")
    private String jimiFenceName;

    /**
     * 几米平台 围栏id
     */
    @ApiModelProperty("几米 平台围栏id/电子围栏序号")
    @TableField("jimi_fence_id")
    private String jimiFenceId;

    @ApiModelProperty("0-学校围栏，1-家长围栏")
    private Integer type;

    @ApiModelProperty("几米账号id")
    private Long jimiAccountId;

}