package com.yida.data.common.core.entity.card;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 电子学生证-围栏学生关联表 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:08:01
 */
@Data
@TableName("edu_student_card_fence_student")
public class EduStudentCardFenceStudent {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 电子围栏id
     */
    @TableField("fence_id")
    private Long fenceId;

    /**
     * 学生id
     */
    @TableField("student_id")
    private Long studentId;
}