package com.yida.data.common.core.entity.constant;

/**
 * @ClassName JimiConstant
 * @Description TODO
 * @Author jianMingWang
 * @Date 2021/7/30 11:25
 * @Version 1.0
 **/
public interface JimiConstant {

    String JIMI_URL = "http://open.aichezaixian.com/route/rest";

    //获取后续访问接口的令牌，1分钟内只能访请求1次，在有效期内访问token不变。
    String GET_ACCESS_TOKEN_METHOD = "jimi.oauth.token.get";
    //刷新token
    String REFRESH_TOKEN_METHOD = "jimi.oauth.token.refresh";
    //根据imei获取定位数据
    String GET_LOCALTION_METHOD = "jimi.device.location.get";
    //获取所有设备定位信息
    String ALL_LOCATION_METHOD = "jimi.user.device.location.list";
    // 根据imei获取轨迹数据
    String GET_TRACK_METHOD = "jimi.device.track.list";
    //创建电子围栏
    String CREATE_DEVICE_FENCE_METHOD = "jimi.open.device.fence.create";
    // 删除电子围栏
    String DELETE_DEVICE_FENCE_METHOD = "jimi.open.device.fence.delete";
    //创建平台围栏
    String CREATE_PLATT_FENCE_METHOD = "jimi.open.plat.fence.create";
    // 删除平台围栏
    String DELETE_PLAT_FENCE_METHOD = "jimi.open.plat.fence.delete";
    // 查询电子围栏
    String GET_DEVICE_FENCE_METHOD = "jimi.open.device.fence.get";

    //给指定设备发送指令
    String SEND_INSTRUCTION_METHOD = "jimi.open.instruction.send";

    //获取指定设备机型支持的指令列表
    String LIST_INSTRUCTION_METHOD = "jimi.open.instruction.list";
    //根据IMEI获取最新定位数据
    String GET_NEW_LOCATION = "jimi.device.location.get";


    String FENCESHAPE = "circle";
    Integer SCALE = 10;
    String MAPTYPE = "baidu";
    String MAPTYPE_POSITION = "BAIDU";
    
    String ACCOUNT = "cfgx";
    String PASSWORD = "A12345678";
    String APPKEY = "8FB345B8693CCD00F778B9A7293E3FE1";
    String APPSECRET = "c86ba154eafa4bc390eced1171d456f3";


}
