package com.yida.data.common.core.entity.constant;

public interface WxPublicConstant {

    /**
     * 获取token
     */
    String GET_ACCESS_TOKEN = "https://api.weixin.qq.com/cgi-bin/token";

    /**
     * 获取用户信息
     */
    String USER_INFO = "https://api.weixin.qq.com/cgi-bin/user/info";

    /**
     * 上传图文消息 图片素材
     */
    String UPLOAD_NEWS_IMG = "https://api.weixin.qq.com/cgi-bin/media/uploadimg";

    /**
     * 上传图文消息
     */
    String UPLOAD_NEWS = "https://api.weixin.qq.com/cgi-bin/media/uploadnews";

    /**
     * 群发消息
     */
    String SEND_MSG = "https://api.weixin.qq.com/cgi-bin/message/mass/sendall";

    /**
     * 上传永久素材
     */
    String UPLOAD_MATERIAL = "https://api.weixin.qq.com/cgi-bin/material/add_material";

    /**
     * 删除永久素材
     */
    String DELETE_MATERIAL = "https://api.weixin.qq.com/cgi-bin/material/del_material";

    /**
     * 上传临时素材
     */
    String UPLOAD_TEMP_MATERIAL = "https://api.weixin.qq.com/cgi-bin/media/upload";

    /**
     * 生成二维码
     */
    String QR_CODE = "https://api.weixin.qq.com/cgi-bin/qrcode/create";

    /**
     * 发送客服消息
     */
    String PUSH_CUSTOM_MSG = "https://api.weixin.qq.com/cgi-bin/message/custom/send";

    /**
     * 发送模板消息
     */
    String PUSH_TEMPLATE_MSG = "https://api.weixin.qq.com/cgi-bin/message/template/send";

    /**
     * 获取微信小程序 URL Link
     */
    String GENERATE_URL_LINK = "https://api.weixin.qq.com/wxa/generate_urllink";

    /**
     * 获取JS-SDK jsapi_ticket
     * https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#62
     */
    String GET_JS_API_TICKET_URL = "https://api.weixin.qq.com/cgi-bin/ticket/getticket";
}
