package com.yida.data.common.core.entity.consume;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 学校收钱吧终端信息缓存类
 *
 * @author ZYJ
 * @date 2023/4/3
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeptConsumeTerminalCache implements Serializable {

    private static final long serialVersionUID = 2616403279476013295L;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 终端序列号
     */
    private String terminalSn;

    /**
     * 终端密钥
     */
    private String terminalKey;
}