package com.yida.data.common.core.entity.customform;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 关联用户对应家长表 Entity
 * @author ccl
 * @date 2021-11-05 15:41:11
 */
@Data
@TableName("core_custom_form_relation_user_parent")
public class CoreCustomFormRelationUserParent {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("parent_id")
    private Long parentId;

    @TableField("custom_user_id")
    private Long customUserId;

    @TableField("custom_form_id")
    private Long customFormId;

    @TableField("fill_type")
    private Integer fillType;

    @TableField("parent_wx_id")
    private String parentWxId;

    @TableField("fill_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime fillTime;
}
