package com.yida.data.common.core.entity.customform;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 表单对应主题表 Entity
 *
 * @author ccl
 * @date 2021-11-05 15:41:09
 */
@Data
@TableName("core_custom_form_topical")
public class CoreCustomFormTopical {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 表单id
     */
    @TableField("custom_form_id")
    private Long customFormId;

    /**
     * 表单背景图
     */
    @TableField("background_img_url")
    private String backgroundImgUrl;

    /**
     * 表单头图
     */
    @TableField("header_img_url")
    private String headerImgUrl;

    /**
     * logo
     */
    @TableField("logo_url")
    private String logoUrl;

    /**
     * 1为左对齐，2为居中，3为右对齐
     */
    @TableField("logo_type")
    private Integer logoType;

    /**
     * 封面图
     */
    @TableField("surface_plot_url")
    private String surfacePlotUrl;

}