package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * @author chenbo
 */
@Data
@TableName("core_examination_core_average")
public class CoreExaminationCoreAverage {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 考试id，对应core_examination
     */
    @TableField("core_examination_id")
    private Long coreExaminationId;

    /**
     * 教师id
     */
    @TableField("teacher_id")
    private Long teacherId;

    /**
     * 优秀得分率
     */
    @TableField("great")
    private Double great;

    /**
     * 良好得分率
     */
    @TableField("good")
    private Double good;

    /**
     * 及格得分率
     */
    @TableField("pass")
    private Double pass;

    /**
     * 低分得分率
     */
    @TableField("poor")
    private Double poor;

}