package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 考试成绩发布配置对应屏蔽类型管理 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-22 10:20:59
 */
@Data
@TableName("core_examination_publish_block_type")
public class CoreExaminationPublishBlockType {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 本次考试主键
     */
    @TableField("core_examination_id")
    private Long coreExaminationId;

    /**
     * 本次考试发布信息主键
     */
    @TableField("core_examination_publish_id")
    private Long coreExaminationPublishId;

    /**
     * 对应的屏蔽类型主键
     */
    @TableField("core_examination_block_type_id")
    private Long coreExaminationBlockTypeId;

    /**
     *
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

}