package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;


/**
 * 考试成绩发布配置对应成绩换算 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-22 10:21:00
 */
@Data
@TableName("core_examination_publish_grade_convert_type")
public class CoreExaminationPublishGradeConvertType {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 本次考试主键
     */
    @TableField("core_examination_id")
    private Long coreExaminationId;

    /**
     * 本次考试发布信息主键
     */
    @TableField("core_examination_publish_id")
    private Long coreExaminationPublishId;

    /**
     * 级别名称
     */
    @TableField("level")
    private String level;

    /**
     * 最大分值
     */
    @TableField("max_score")
    private Double maxScore;

    /**
     * 最小分值
     */
    @TableField("min_score")
    private Double minScore;

    /**
     *
     */
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

}