package com.yida.data.common.core.entity.exam;

import lombok.Data;
import org.apache.poi.hpsf.Decimal;

import java.io.Serializable;

/**
 * H5返回的学生科目成绩实体类
 *
 * @author zyj
 * @date 2020/6/15
 */
@Data
public class CoreStudentReturnCourseData implements Serializable {

    private static final long serialVersionUID = 5688779141686807380L;

    /**
     * 科目名称
     */
    private String courseName;

    /**
     * 本次考试设置的科目分数
     */
    private Double courseScore;

    /**
     * 本次考试该科目学生的分数
     */
    private Double studentCourseScore;

    /**
     * 对应成绩等级
     */
    private String gradeLevel;

    /**
     * 当前科目是否缺考
     * 1=是，0=否
     */
    private String studentCourseMiss;
}