package com.yida.data.common.core.entity.exam;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class EduExamAvg {

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField(value = "score_avg")
    @ApiModelProperty(value = "平均分")
    private Double scoreAvg;

    @ApiModelProperty("平均得分率")
    private Double scoreAvgRate;

    @TableField(value = "dept_type")
    @ApiModelProperty(value = "0-班级，1-年级")
    private Integer deptType;

    @TableField(value = "course_id")
    @ApiModelProperty(value = "课程id，为空则为总平均")
    private Long courseId;

    @TableField(value = "dept_id")
    @ApiModelProperty(value = "班级或年级id")
    private Long deptId;

    @TableField("exam_id")
    @ApiModelProperty(value = "考试id")
    private Long examId;
}
