package com.yida.data.common.core.entity.health;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import static com.yida.data.common.core.utils.ExcelUtil.getCellValue;

/**
 * @author ccl
 */
@Data
public class EduProject {

    @ApiModelProperty("性别")
    private String sex;

    @ApiModelProperty("身高")
    private String height;

    @ApiModelProperty("体重")
    private String wight;

    @ApiModelProperty("年级id")
    private Long eduGradeId;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学年成绩的数据")
    private EduStudentPhysicalExaminationGradeResults coreStudentPhysicalExaminationGradeResults;


    @ApiModelProperty("50米跑时间(8.8)")
    private String stu50MeterRace ;

    @ApiModelProperty("坐位体前屈（8或者-8）")
    private String stuBodyFlexion ;


    @ApiModelProperty("50米×8(1′51,1'51'')往返跑")
    private String stu50MeterRaceBack;

    @ApiModelProperty("一分钟仰卧起坐")
    private String oneMinuteSitUp;

    @ApiModelProperty("一分钟跳绳")
    private String ropeSkipping ;

    @ApiModelProperty("立定跳远")
    private String standingJump ;

    @ApiModelProperty("引体向上（男）")
    private String pullUp;

    @ApiModelProperty("1000米跑（男）")
    private String meterRace1000 ;

    @ApiModelProperty("800米跑（女）")
    private String meterRace800;

    @ApiModelProperty("肺活量")
    private String lungCapacity;


    @ApiModelProperty("左眼裸眼视力")
    private String leftEye;

    @ApiModelProperty("右眼裸眼视力")
    private String rightEye ;
}
