package com.yida.data.common.core.entity.letter;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
* 校长信箱提问问题收藏 Entity
*
* @author zhanghaijun
* @date 2021-07-20 10:55:47
*/
@Data
@TableName("edu_letter_box_collect")
public class EduLetterBoxCollect {

        /**
        * 
        */
            @TableId(value = "id", type = IdType.AUTO)
            private Long id;

        /**
        * 提问问题主id
        */
                @TableField("core_letter_box_id")
            private Long coreLetterBoxId;

        /**
        * 收藏人appId
        */
                @TableField("app_id")
            private String appId;

        /**
        * 对应的学校id
        */
                @TableField("school_id")
            private Long schoolId;

        /**
        * 收藏状态：0收藏，1取消收藏
        */
                @TableField("status")
            private Integer status;

}