package com.yida.data.common.core.entity.notice;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel("学校通知-接收的学生列表")
@Data
@EqualsAndHashCode
public class EduNoticeSchoolReceiveStudent {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    @TableField(value = "notice_id")
    @ApiModelProperty(value = "")
    private Long noticeId;

    private Long studentId;

    @TableField(value = "parent_id")
    @ApiModelProperty(value = "")
    private Long parentId;

    @ApiModelProperty("家长微信id")
    private String parentWxId;

    @ApiModelProperty("家长易达appId")
    private String parentYidaAppId;

    @ApiModelProperty("家长名称，学生名+关系")
    private String parentName;

    @ApiModelProperty("是否确认，0-未确认，1-已确认")
    private Integer isConfirm;
}
