package com.yida.data.common.core.entity.notice.qywx.inside;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import com.yida.data.common.core.entity.notice.qywx.inside.templateCard.CardAction;
import com.yida.data.common.core.entity.notice.qywx.inside.templateCard.HorizontalContent;
import com.yida.data.common.core.entity.notice.qywx.inside.templateCard.Jump;
import com.yida.data.common.core.entity.notice.qywx.inside.templateCard.MainTitle;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TemplateCardNotice {

    //模板卡片类型，文本通知型卡片填写 "text_notice"
    private String card_type;
    //一级标题
    private MainTitle main_title;

    //二级普通文本，建议不超过160个字，（支持id转译）
    private String sub_title_text;

    //二级标题+文本列表
    private List<HorizontalContent> horizontal_content_list;

    //整体卡片的点击跳转事件，text_notice必填本字段
    private CardAction card_action;

    //跳转指引样式的列表，该字段可为空数组，但有数据的话需确认对应字段是否必填，列表长度不超过3
    private List<Jump> jump_list;
}
