package com.yida.data.common.core.entity.school;

import lombok.Data;

import java.util.Date;

@Data
public class CoreAppContent {
    private String id;

    private String appId;

    private String parentContentId;

    private Integer fileType;

    private String columnType;

    private String columnId;

    private String appColumnId;

    private Integer recommendCount;

    private Integer isAdvertisement;

    private Integer advertisementCount;

    private Integer isTop;

    private Date topTime;

    /**
     * 发布状态
     * 0:未发布  1:已发布 2:已撤回
     */
    private Integer isPublish;

    private Date publishTime;

    private String delFlag;

    private String createById;

    private Date createDate;

    private Date bcreateDate;

    private Date ecreateDate;

    private String provider;

    private Long timelen;

    private Integer transponds;

    private Integer comments;

    private Integer likes;

    private String videoRadio;

    private String deviceType;

    private String status;

    private String title;

    private String titleFilePath;

    private String videoCover;

    private String content;

    private String dataSource;

    private String dataSourceIcon;

    private String recommendKey;

    private String url;

    private String providerPhone;

    private String author;

    private String isTimer;

    private String auditor;//审核人

    private String nextAuditor;//下一级审核人

    private String auditorLevel;//审核等级

    private String isShelves;//是否上架（是否在集中指挥显示）

    private Integer publishType;

    private Integer areaId;

    /**
     * 地区id
     */
    private Integer centerId;

    /**
     * 时间戳
     */
    private Date timestamp;
}
