package com.yida.data.common.core.entity.school.secondClass;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author zhanghaijun
 * @date 2022-04-21 10:10:35
 */
@Data
@TableName("edu_second_class_venue_guide_schedule")
public class EduSecondClassVenueGuideSchedule {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("guide_id")
    private Long guideId;

    /**
     * 工作日期，1-周一，7-周天
     */
    @ApiModelProperty(value = "工作日期，1-周一，7-周天")
    @TableField("work_date")
    private Integer workDate;

    /**
     * 工作时间
     */
    @ApiModelProperty(value = "工作时间")
    @TableField("work_time")
    private String workTime;

}