package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业微信服务商代开发应用模板表
 *
 * @author ZYJ
 * @date 2022/11/3
 */
@Data
public class EduAppTemplate implements Serializable {

    private static final long serialVersionUID = 5143956082215782989L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("应用模板名称")
    private String templateName;

    @ApiModelProperty("应用模板id")
    private String templateId;

    @ApiModelProperty("应用模板secret")
    private String templateSecret;

    @ApiModelProperty("应用模板code")
    private String templateCode;

    @ApiModelProperty("服务商企业微信corpId")
    private String serviceCorpId;
}
