package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class EduHotWord {
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("查询词汇")
    private String word;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("1为学校招生范围查询词汇")
    private Integer type;

    @ApiModelProperty("记录总数")
    @TableField(exist = false)
    private Long num;
}
