package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ccl
 */
@Data
public class EduSchoolInquireCommonQuestion {
    @TableId(type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("部门id")
    private Long deptId;
    @ApiModelProperty("问题")
    private String question;
    @ApiModelProperty("答案")
    private String answer;
    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty("创建人id")
    private Long createId;
    @ApiModelProperty("修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty("修改人id")
    private Long updateId;
    @ApiModelProperty("")
    private Integer delFlag;

    @TableField(exist = false)
    private String label;

    @TableField(exist = false)
    private List<Long> labelId;
}
