package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ccl
 */
@Data
public class EduSchoolInquirePhone {
    @TableId(type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("部门id")
    private Long deptId;
    @ApiModelProperty("'学校id'")
    private Long schoolId;
    @ApiModelProperty("'电话号'")
    private String phone;
    @ApiModelProperty("'联系人名称'")
    private String name;
    @ApiModelProperty("'创建时间'")
    private LocalDateTime createDate;
    @ApiModelProperty("'创建人'")
    private Long createId;
    @ApiModelProperty("'修改时间'")
    private LocalDateTime updateDate;
    @ApiModelProperty("'修改人")
    private Long updateId;
    @ApiModelProperty("'默认0：0-未删除，1-已删除'")
    private Integer delFlag;
    @TableField(exist = false)
    private List<Long> labelId;
}
