package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class EduYidaApp {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("应用名称")
    private String name;

    @ApiModelProperty("应用区域id")
    private String appAreaId;

    @ApiModelProperty("应用接口地址")
    private String appUrl;

    @ApiModelProperty("应用 教育栏目id")
    private String appColId;

    @ApiModelProperty("应用 热门学校区域位id")
    private String appSchoolRegionId;

}
