package com.yida.data.common.core.entity.system;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import javax.validation.constraints.NotBlank;

import lombok.Data;

/**
 * @author MrBird
 */
@Data
@TableName("t_user_connection")
public class UserConnection {

    @NotBlank(message = "{required}")
    private String userName;

    @NotBlank(message = "{required}")
    private String providerName;

    @NotBlank(message = "{required}")
    private String providerUserId;

    @TableField(value = "PROVIDER_USER_NAME")
    private String providerUserName;

    @TableField(value = "NICK_NAME")
    private String nickName;

    @TableField("IMAGE_URL")
    private String imageUrl;

    @TableField("LOCATION")
    private String location;

    @TableField("REMARK")
    private String remark;

}