package com.yida.data.common.core.entity.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统功能枚举
 *
 * @author ZYJ
 * @date 2023/2/19
 */
@Getter
@AllArgsConstructor
public enum SysFunctionEnum {

    /**
     * 系统功能枚举
     */
    HAI_PU_TIAN("hai_pu_tian", "海普天消费机");

    /**
     * 功能名称
     */
    private final String value;

    /**
     * 说明
     */
    private final String message;
}
