package com.yida.data.common.core.entity.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 用户状态枚举
 *
 * @author ZYJ
 * @date 2021/9/28
 */
@Getter
@AllArgsConstructor
public enum UserStatusEnum {

    /**
     * 用户状态枚举
     */
    LOCK_STATUS("0", "锁定"),
    EFFECTIVE_STATUS("1", "有效");

    /**
     * 用户状态值
     */
    private final String status;

    /**
     * 用户状态说明
     */
    private final String message;
}
