package com.yida.data.common.core.entity.user;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EduCollectData {

    /**
     * 学区名称
     */
    @ApiModelProperty(value = "学区名称")
    private String campusName;

    /**
     * 学段名称
     */
    @ApiModelProperty(value = "学段名称")
    private String sectionName;

    /**
     * 年级名称
     */
    @ApiModelProperty(value = "年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ApiModelProperty(value = "班级名称")
    private String className;

    /**
     * 班级Id
     */
    @ApiModelProperty(value = "班级Id")
    private Long classId;

    /**
     * 总人数
     */
    @ApiModelProperty(value = "总人数")
    private Long totalNum;

    /**
     * 已采集人数
     */
    @ApiModelProperty(value = "已采集人数")
    private Long alreadyNum;

}
