package com.yida.data.common.core.entity.userLeave;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
@TableName("edu_leave_request_process_config_approval_user")
public class EduLeaveRequestProcessConfigApprovalUser {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    @TableField("process_id")
    private Long processId;

    /**
     * 指定人员ID
     */
    @ApiModelProperty(value = "指定人员ID")
    @TableField("staff_id")
    private Long staffId;

    /**
     * 指定角色ID，这里指的是班主任、系主任
     */
    @ApiModelProperty(value = "指定角色ID，这里指的是班主任、系主任")
    @TableField("staff_role_id")
    private Integer staffRoleId;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "所属第几审核阶段ID")
    @TableField("view_id")
    private Long viewId;
}