package com.yida.data.common.core.entity.userLeave;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.List;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
@TableName("edu_leave_request_process_config_view")
public class EduLeaveRequestProcessConfigView {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    @TableField("process_id")
    private Long processId;


    /**
     * 审批人员类型：0指定角色，1指定人员
     */
    @ApiModelProperty(value = "审批人员类型：0指定角色，1指定人员")
    @TableField("approval_user_type")
    private Integer approvalUserType;

    /**
     * 审批方式：0会审，1或审
     */
    @ApiModelProperty(value = "审批方式：0会审，1或审")
    @TableField("approval_type")
    private Integer approvalType;

    /**
     * 排序
     */
    @ApiModelProperty(value = "审批方式：0会审，1或审")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "审核人员")
    private transient List<EduLeaveRequestProcessConfigApprovalUser> eduLeaveRequestProcessConfigApprovalUserList;

}