package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 审核角色类型枚举
 *
 * @author ZYJ
 * @date 2023/11/24
 */
@Getter
@AllArgsConstructor
public enum ApprovalRoleTypeEnum {

    /**
     * 审核角色类型枚举
     * 1、班主任，2、系主任
     */
    CLASS_TEACHER_TYPE(1, "班主任"),
    DEAN_TYPE(2, "系主任");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String message;
}
