package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 数据状态枚举
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Getter
@AllArgsConstructor
public enum AtlasManagementRedisEnum {
    /**
     * 图集点赞数
     */
    ATLAS_MANAGEMENT_LIKE_NUM("图集点赞数", "ATLAS_MANAGEMENT_LIKE_NUM"),
    /**
     * 图片或视频点赞数
     */
    ATLAS_MANAGEMENT_DETAILS_LIKE_NUM("图片或视频点赞数", "ATLAS_MANAGEMENT_DETAILS_LIKE_NUM"),
    /**
     * 图片或视频点赞人集合
     */
    ATLAS_MANAGEMENT_DETAILS_LIKE_DETAILS("图片或视频点赞人集合", "ATLAS_MANAGEMENT_DETAILS_LIKE_DETAILS");

    private final String name;

    private final String value;
}
