package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 人脸下发类型枚举
 *
 * @author ZYJ
 * @date 2023/9/28 11:17
 */
@Getter
@AllArgsConstructor
public enum IssuedTypeEnum {

    /**
     * 人脸下发类型枚举
     */
    FACE_GROUP(0, "人脸组下发"),
    LEAVE_REQUEST(1, "请假下发");

    /**
     * 下发类型
     */
    private final Integer type;

    /**
     * 下发描述
     */
    private final String message;
}
