package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 企业微信应用类型枚举
 *
 * @author ZYJ
 * @date 2022/11/10
 */
@Getter
@AllArgsConstructor
public enum QywxAppTypeEnum {

    /**
     * 应用类型枚举
     */
    SELF_BUILT_APPLICATION_TYPE(0, "自建应用"),
    SERVICE_PROVIDER_APPLICATION_TYPE(1, "服务商代开发应用");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String message;
}
