package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 用户类型枚举
 *
 * @author ZYJ
 * @date 2023/6/28
 */
@Getter
@AllArgsConstructor
public enum UserTypeEnum {

    /**
     * 用户类型枚举
     */
    STAFF_USER_TYPE(0, "教职工"),
    PARENT_USER_TYPE(1, "家长");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String message;
}
