package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 微信支付类型枚举
 *
 * @author ZYJ
 * @date 2022/3/30
 */
@Getter
@AllArgsConstructor
public enum WxPayTypeEnum {

    /**
     * 微信支付类型枚举
     */
    JS_TYPE(0, "微信js api支付"),
    H5_TYPE(1, "微信h5支付");

    /**
     * 状态
     */
    private final Integer status;

    /**
     * 描述
     */
    private final String message;
}
