package com.yida.data.common.core.file;

import com.yida.data.common.core.file.common.export.SelectExportData;

/**
 * 导出excel默认interface
 *
 * @author ZYJ
 * @date 2023/12/11
 */
public interface IExportExcelClient<T extends SelectExportData> {

    /**
     * 导出excel数据
     *
     * @param t 导出文件查询类
     * @author ZYJ
     * @date 2023/12/11 11:10
     */
    void exportExcelData(T t);

    /**
     * 查询导出进度
     *
     * @param key 导出唯一标识
     * @return java.lang.Object
     * @author ZYJ
     * @date 2023/12/12 14:06
     */
    Object selectExportInfo(String key);
}
