package com.yida.data.common.core.file.common.export;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 导出文件查询类
 *
 * @author ZYJ
 * @date 2023/10/19
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SelectExportData implements Serializable {

    private static final long serialVersionUID = 3164964446820550103L;

    @ApiModelProperty("本次操作标识")
    private String key;

    @ApiModelProperty("本次操作模块名称")
    private String functionName;
}
