package com.yida.data.common.core.vo;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 导入进度通用vo
 */
@Data
public class ImportPercentVO<T> {
    @ApiModelProperty("总数")
    private Long total;

    @ApiModelProperty("进度,0-100")
    private Integer percent = 0;

    @ApiModelProperty("是否完成，0-否，1-是")
    private Integer finish = 0;

    @ApiModelProperty("错误数据")
    private List<T> error = new ArrayList<>();
}
