package com.yida.data.rabbit.constant;

public interface RabbitConstant {

    // 亲情电话交换机
    String TELEPHONE_EXCHANGE = "telephone_exchange";

    // 亲情电话-套餐队列
    String TELEPHONE_MEAL_QUEUE = "telephone_meal_queue";

    // 亲情电话-套餐绑定
    String TELEPHONE_MEAL_KEY = "telephone_meal_key";

    /**
     * 学生邀请交换机
     */
    String INVITE_IMPORT_EXCHANGE = "invite_import_exchange";

    /**
     * 学生邀请队列
     */
    String INVITE_IMPORT_QUEUE = "invite_import_queue";

    /**
     * 学生邀请绑定key值
     */
    String INVITE_IMPORT_KEY = "invite_import_key";

    /**
     * 图集点赞和取消赞交换机
     */
    String ATLAS_LIKE_EXCHANGE = "atlas_like_exchange";

    /**
     * 图集点赞和取消赞队列
     */
    String ATLAS_LIKE_QUEUE = "atlas_like_queue";

    /**
     * 图集点赞和取消赞绑定key值
     */
    String ATLAS_LIKE_KEY = "atlas_like_key";

    /**
     * 微信公众号扫描回调交换机
     */
    String WXPUBLIC_QR_EXCHANGE = "wxpublic_qr_exchange";
    /**
     * 区域后台绑定接收消息队列
     */
    String AGENT_RECEIVE_MSG_QUEUE = "agent_receive_msg_queue";

    /**
     * 区域后台绑定接收消息绑定
     */
    String AGENT_RECEIVE_MSG_KEY = "agent_receive_msg_key";

    /**
     * 访客邀请码队列
     */
    String VISITOR_INVITE_CODE_QUEUE = "visitor_invite_code_queue";

    /**
     * 访客邀请码绑定key
     */
    String VISITOR_INVITE_CODE_KEY = "visitor_invite_code_key";


    /**
     * 电子学生证交换机
     */
    String CARD_EXCHANGE = "card_exchange";

    /**
     * 电子学生证接收定位消息队列
     */
    String CARD_810A_MSG_QUEUE = "card_810a_msg_queue";

    /**
     * 电子学生证接收定位消息绑定
     */
    String CARD_810A_MSG_KEY = "card_810a_msg_key";

    /**
     * 处理消息交换机
     */
    String MSG_EXCHANGE = "msg_exchange";

    /**
     * 系统通知保存队列
     */
    String MSG_NOTICE_SYS_SAVE_QUEUE = "msg_notice_sys_save_queue";
    /**
     * 系统通知保存 绑定key
     */
    String MSG_NOTICE_SYS_SAVE_KEY = "msg_notice_sys_save_key";

    /**
     * websocket推送消息队列
     */
    String MSG_WEBSOCKET_QUEUE = "msg_websocket_queue";

    /**
     * websocket推送队列与交换机绑定key
     */
    String MSG_WEBSOCKET_KEY = "msg_websocket_key";

    /**
     * 企业微信处理交换机
     */
    String QYWX_HANDLE_EXCHANGE = "qywx_handle_exchange";

    /**
     * 企业微信处理队列
     */
    String QYWX_HANDLE_QUEUE = "qywx_handle_queue";

    /**
     * 企业微信处理绑定key值
     */
    String QYWX_HANDLE_KEY = "qywx_handle_key";
}
