package com.yida.data.attendance.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 考勤规则关联设备表 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddAttendanceRuleDeviceDTO {

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Integer deviceType;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String deviceSn;

}