package com.yida.data.attendance.dto;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceRuleUserAddDTO extends BaseDTO {

    /**
     * 0-教职工打卡，1学生上学考勤，2学生宿舍考勤
     */
    @ApiModelProperty(value = "0-教职工，1学生")
    private Integer userType;
    private Long ruleId;
    private Long deptId;
    private Long userId;

}
