package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PageAttendanceRuleDTO extends BaseDTO {

    /**
     *
     */
    @ApiModelProperty(value = "规则名称")
    private String ruleName;

    /**
     *
     */
    @ApiModelProperty(value = "规则类型,0-固定上下班时间模式，1自由打卡模式")
    private Integer type;

    /**
     *
     */
    @ApiModelProperty(value = "规则类型,0-教职工打卡，1学生上学考勤，2学生宿舍考勤")
    private Integer userType;


    /**
     *
     */
    @ApiModelProperty(value = "启用状态：0-未启用，1-已启用")
    private Integer status;


    private Long schoolId;
}
