package com.yida.data.attendance.feign;

import com.yida.data.attendance.fallback.RemoteUserStrategyServiceFallback;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = FebsServerConstant.EDU_ATTENDANCE, contextId = "remoteUserStrategyServiceClient",
        fallbackFactory = RemoteUserStrategyServiceFallback.class)
public interface RemoteUserStrategyService {

    @GetMapping("/in/eduUserStrategy/checkOverTimeUserStrategy")
    ResultBean<String> checkOverTimeUserStrategy();
}
