package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AttdanceResultTotalVO {

    @ApiModelProperty("请假人数")
    private Integer leaveNumber;

    @ApiModelProperty("正常人数")
    private Integer normalNumber;

    @ApiModelProperty("晚归人数")
    private Integer lateNumber;

    @ApiModelProperty("异常晚归人数")
    private Integer abLateNumber;

    @ApiModelProperty("缺卡人数")
    private Integer missNumber;
}
