package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import lombok.Data;

@Data
public class AttdanceResultVO {

    @ApiModelProperty("主键ID")
    private Long id;
    @ApiModelProperty("用户主键ID")
    private Long userId;
    @ApiModelProperty("开始日期")
    private LocalDate startDate;
    @ApiModelProperty("结束日期")
    private LocalDate endDate;
    @ApiModelProperty("开始星期")
    private String startWeek;
    @ApiModelProperty("结束星期")
    private String endWeek;
    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("学号/手机号")
    private String number;
    @ApiModelProperty("部门名称")
    private String deptName;
    @ApiModelProperty("打卡规则")
    private String ruleName;
    @ApiModelProperty("打卡规则ID")
    private Long ruleId;
    @ApiModelProperty("打卡规则时段")
    private String ruleTimeName;
    @ApiModelProperty("打卡规则时段ID")
    private Long ruleTimeId;
    @ApiModelProperty("应打卡天数")
    private Integer needDays;
    @ApiModelProperty("实际打卡天数")
    private Integer realDays;
    @ApiModelProperty("正常天数")
    private Integer normalDays;
    @ApiModelProperty("异常天数")
    private Integer abnormalDays;
    @ApiModelProperty("异常次数")
    private Integer abnormalNumber;
    @ApiModelProperty("迟到次数")
    private Integer lateNumber;
    @ApiModelProperty("迟到时长：单位分")
    private Integer lateTime;
    @ApiModelProperty("早退次数")
    private Integer leaveNumber;
    @ApiModelProperty("早退时长：单位分")
    private Integer leaveTime;
    @ApiModelProperty("旷工次数")
    private Integer outNumber;
    @ApiModelProperty("缺卡次数")
    private Integer missNumber;
}
