package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 考勤人脸对比返回类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RosterFaceMatchVO", description = "考勤人脸对比返回类")
public class AttendanceFaceMatchVO implements Serializable {

    private static final long serialVersionUID = 1474013091202762132L;

    @ApiModelProperty("0-对比成功，1-对比不成功")
    private Integer valid;

    @ApiModelProperty("对比分数")
    private String score;

    @ApiModelProperty("对比成功的图片")
    private String url;
}