package com.yida.data.attendance.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("通行记录导出实体对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AttendanceRecordExcelVO {

    @ApiModelProperty("姓名")
    @ExcelProperty(order = 0, value = "姓名")
    private String studentName;

    @ApiModelProperty("学号/手机号")
    @ExcelProperty(order = 1, value = "学号/手机号")
    private String studentNumber;

    @ApiModelProperty("校区")
    @ExcelProperty(order = 2, value = "校区")
    private String campusName;

    @ApiModelProperty("学段")
    @ExcelProperty(order = 3, value = "学段")
    private String sectionName;

    @ApiModelProperty("年级")
    @ExcelProperty(order = 4, value = "年级")
    private String gradeName;

    @ApiModelProperty("班级")
    @ExcelProperty(order = 5, value = "班级")
    private String className;

    @ApiModelProperty("通行时间")
    @ExcelProperty(order = 6, value = "通行时间")
    private String attendanceTime;

    @ApiModelProperty("通行位置")
    @ExcelProperty(order = 7, value = "通行位置")
    private String attendanceDevice;

}
