package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceRuleAdminUserVO {

    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 0-教职工，1学生
     */
    @ApiModelProperty(value = "0-教职工，1学生")
    private Integer userType;

    /**
     * 管理部门ID
     */
    @ApiModelProperty(value = "管理部门ID")
    private Long deptId;


    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id")
    private String deptName;

    /**
     * 考勤规则名称
     */
    @ApiModelProperty(value = "考勤人员Id")
    private Long staffId;

    /**
     * 考勤规则名称
     */
    @ApiModelProperty(value = "考勤人员名称")
    private String staffName;

}
