package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ImportBssidDataVO implements Serializable {

    private static final long serialVersionUID = 6853343450276063448L;


    @ApiModelProperty("本次操作标识")
    private String wifiName;

    @ApiModelProperty("进度 0-100")
    private Integer percent;

    @ApiModelProperty("是否下载完成，0-否，1-是")
    private Integer finish;

    @ApiModelProperty("错误文件路径")
    private String filePath;
}
