package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("打卡明细-返回类")
public class ManageListUserAttendanceDetailVO {

    @ApiModelProperty("用户Id")
    private Long userId;

    @ApiModelProperty("用户姓名")
    private String userName;

    @ApiModelProperty("用户姓名")
    private String deptName;

    @ApiModelProperty("宿舍")
    private String dormName;

    @ApiModelProperty("用户头像")
    private String avatar;

    @ApiModelProperty("学生类型，0-走读，1-住宿")
    private Integer studentType;

    @ApiModelProperty("用户类型：0职工，1学生")
    private Integer userType;

    @ApiModelProperty("打卡规则Id")
    private Long ruleId;

    @ApiModelProperty("打卡规则")
    private String ruleName;

    @ApiModelProperty("迟到次数")
    private Integer lateNum;

    @ApiModelProperty("晚归次数")
    private Integer lateDormNum;

    @ApiModelProperty("晚归分钟数")
    private Integer lateDormMinute;

    @ApiModelProperty("异常晚归次数")
    private Integer aBLateDormNum;

    @ApiModelProperty("异常晚归分钟数")
    private Integer aBLateDormMinute;

    @ApiModelProperty("早退次数")
    private Integer leaveNum;

    @ApiModelProperty("缺卡次数")
    private Integer missNum;

    @ApiModelProperty("请假次数")
    private Integer requestNum;

    @ApiModelProperty("迟到分钟数")
    private Integer lateMinute;

    @ApiModelProperty("早退分钟数")
    private Integer leaveMinute;


}
