package com.yida.data.attendance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.attendance.dto.AddAttendanceReportStrategyDTO;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceReportStrategy;
import java.util.List;
import org.springframework.scheduling.annotation.Async;

/**
 * 考勤-考勤推送策略 Service接口
 *
 * @date 2023-08-09 11:37:25
 */
public interface AttendanceReportStrategyService extends IService<AttendanceReportStrategy> {

    void saveStrategy(List<AddAttendanceReportStrategyDTO> dtoList);

    List<AttendanceReportStrategy> getList();

    @Async
    void sendNotice();
}
