package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.AttendanceRuleSpecialDateMapper;
import com.yida.data.attendance.service.AttendanceRuleSpecialDateService;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRuleSpecialDate;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 考勤-特殊日期 Service实现
*
* @date 2023-08-09 11:37:25
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class AttendanceRuleSpecialDateServiceImpl extends ServiceImpl
    <AttendanceRuleSpecialDateMapper, AttendanceRuleSpecialDate> implements AttendanceRuleSpecialDateService {



}
