package com.yida.data.server.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("810A学生证步数")
@Data
public class _810AStepDTO extends _810ABaseMsg {

    @ApiModelProperty("imei")
    @JsonProperty("DEVICENUM")
    private String DEVICENUM;

    @ApiModelProperty("步数")
    @JsonProperty("STEPS")
    private Integer STEPS;

    @ApiModelProperty("定位时间")
    @JsonProperty("TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime TIME;

}
