package com.yida.data.customForm.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName FormDataInput
 * @Author jianMingWang
 * @Date 2021/8/11 10:55
 * @Version 1.0
 **/
@Data
public class FormDataInput {


    @ApiModelProperty(value = "表单对应数据表名称")
    private String tableName;

    @ApiModelProperty(value = "表单对应数据JSON字符串")
    private String jsonDataString;

    @ApiModelProperty(value = "用户id")
    private Long userId;

}
