package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUserApprovalProcess;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormItem;
import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.bind.annotation.RequestParam;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 表单填报数据请求信息
 *
 * @author ZYJ
 * @date 2023/11/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormFillUserDataDTO", description = "表单填报数据请求信息")
public class ApplyFormFillUserDataDTO implements Serializable {

    private static final long serialVersionUID = -662728926408140104L;

    @ApiModelProperty(value = "填报用户id(学生id)", required = true)
    private Long userId;

    @ApiModelProperty(value = "表单id", required = true)
    private Long applyFormId;

    @ApiModelProperty(value = "用户填报信息id", required = true)
    private Long fillUserId;
}