package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * 教师端我审批的申请表单请求类
 *
 * @author ZYJ
 * @date 2023/11/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ApprovalFillUserFormPageDTO", description = "教师端我审批的申请表单请求类")
public class ApprovalFillUserFormPageDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = -4059072495960583855L;

    @ApiModelProperty("填报用户信息id集合")
    private List<Long> fillUserIds;

    @ApiModelProperty("学校id")
    private Long schoolId;
}