package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class FormFillUserPageDTO extends BaseDTO {

    @ApiModelProperty("请假人姓名")
    private String requestUserName;
    @ApiModelProperty("请假类型：0教师请假，1学生请假")
    private Integer requestType;
    @ApiModelProperty("所属学校ID")
    private Long schoolId;
    @ApiModelProperty("审核状态：0待审核，3审核中,4已审核(包含1已通过，2已拒绝)")
    private Integer status;
    private List<Integer> statusList;
    private List<Long> studentIdList;
    @ApiModelProperty("请假主体ID集合")
    private List<Long> idList;
}
