package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.common.core.enums.EnableStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * H5端-申请表单后台列表请求类
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "H5ApplyFormSelectPageDTO", description = "H5端-申请表单后台列表请求类")
public class H5ApplyFormSelectPageDTO extends BaseDTO<CoreApplyForm> implements Serializable {

    private static final long serialVersionUID = 488904990734180208L;

    @ApiModelProperty(value = "家长id")
    private Long parentId;

    @ApiModelProperty(value = "部门id")
    private Long deptId;
}