package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.entity.applyForm.CoreApplyFormApprovalProcess;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 保存申请表单流程类
 *
 * @author ZYJ
 * @date 2023/12/19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SaveFormProcessDTO", description = "保存申请表单流程类")
public class SaveFormProcessDTO implements Serializable {

    private static final long serialVersionUID = -1681343397781694833L;

    @ApiModelProperty(value = "表单id")
    private Long formId;

    @ApiModelProperty(value = "流程信息")
    private List<CoreApplyFormApprovalProcess> list;
}
