package com.yida.data.customForm.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class ImportStudentVO {

    @ExcelProperty(value = "学校", index = 0)
    @ApiModelProperty("学校")
    private String schoolName;

    @ExcelProperty(value = "校区", index = 1)
    @ApiModelProperty("校区")
    private String campusName;

    @ExcelProperty(value = "学段", index = 2)
    @ApiModelProperty("学段")
    private String sectionName;

    @ExcelProperty(value = "年级", index = 3)
    @ApiModelProperty("年级")
    private String gradeName;

    @ExcelProperty(value = "班级", index = 4)
    @ApiModelProperty("班级")
    private String className;

    @ExcelProperty(value = "姓名", index = 5)
    @ApiModelProperty("姓名")
    private String studentName;

    @ExcelProperty(value = "学号", index = 6)
    @ApiModelProperty("学号")
    private String studentNum;

}
