package com.yida.data.customForm.vo.apply;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 查询表单对应的审核流程数据
 *
 * @author ZYJ
 * @date 2023/12/16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormSelectPageVO", description = "查询表单对应的审核流程数据")
public class ApplyFormProcessSelectVO implements Serializable {

    private static final long serialVersionUID = 1002282786015046740L;

    @ApiModelProperty("审核流程id")
    private Long approvalProcessId;

    @ApiModelProperty("审核流程名称")
    private String approvalProcessName;

    @ApiModelProperty("审批人员类型：0-指定角色，1-指定人员")
    private Integer approvalUserType;

    @ApiModelProperty("审批方式：0-会审，1-或审")
    private Integer approvalType;

    @ApiModelProperty("审核人员字符串")
    private String approvalUserName;
}