package com.yida.data.customForm.vo.apply;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 教师查询我审核的表单类别数据
 *
 * @author ZYJ
 * @date 2023/11/28
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ApprovalApplyFormPageVO", description = "教师查询我审核的表单类别数据")
public class ApprovalApplyFormPageVO extends MyApplyFormPageVO implements Serializable {

    private static final long serialVersionUID = 6944129273047249532L;

    @ApiModelProperty("学生班级信息")
    private String userDeptName;
}