package com.yida.data.customForm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.customform.CoreCustomFormGroup;
import org.apache.ibatis.annotations.Param;

/**
 * 表单组 Mapper
 *
 * @author ccl
 * @date 2021-11-05 15:41:03
 */
public interface CoreCustomFormGroupMapper extends BaseMapper<CoreCustomFormGroup> {

    /**
     * 分页查询组列表并返回组内表name;
     * @param objectPage
     * @param groupName
     * @return
     */
    Page<CoreCustomFormGroup> findGroupPageList(@Param("objectPage") Page objectPage, @Param("groupName") String groupName);
}
