package com.yida.data.customForm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.customform.CoreCustomFormRelationUser;
import com.yida.data.common.core.entity.customform.CoreCustomFormStatistic;

import java.util.List;

/**
* 表单对应可见人员表 Service接口
*
* @author ccl
* @date 2021-11-05 15:41:11
*/
public interface CoreCustomFormRelationUserService extends IService<CoreCustomFormRelationUser> {
    /**
     * 查询对应表中所有应填人员，和已填人员
     * @param id
     */
    Integer findUserNum(Long id);

    /**
     * 查询统计数据
     * @param formId
     * @return
     */
    CoreCustomFormStatistic findStatistic(Long formId);

    /**
     * 条件查询用户
     * @param page
     * @param type
     * @param name
     * @param formId
     * @return
     */
    Page<CoreCustomFormRelationUser> findUserList(Page<CoreCustomFormRelationUser> page, Integer type, String name, Long formId);
}
