package com.yida.data.customForm.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.customform.CoreCustomFormModelItems;
import com.yida.data.customForm.mapper.CoreCustomFormModelItemsMapper;
import com.yida.data.customForm.service.CoreCustomFormModelItemsService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;

/**
* 自定义表单模板组件 Service实现
*
* @author wjm
* @date 2021-08-30 15:22:49
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CoreCustomFormModelItemsServiceImpl extends ServiceImpl
        <CoreCustomFormModelItemsMapper, CoreCustomFormModelItems> implements CoreCustomFormModelItemsService {

private final CoreCustomFormModelItemsMapper coreCustomFormModelItemsMapper;

}
