package com.yida.data.customForm.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.customform.CoreCustomForm;
import com.yida.data.common.core.entity.customform.CoreCustomFormType;
import com.yida.data.customForm.mapper.CoreCustomFormTypeMapper;
import com.yida.data.customForm.service.CoreCustomFormTypeService;
import org.checkerframework.checker.units.qual.C;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.QueryRequest;

import java.util.List;

/**
 * 自定义表单类型表 Service实现
 *
 * @author wjm
 * @date 2021-08-12 10:56:57
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CoreCustomFormTypeServiceImpl extends ServiceImpl<CoreCustomFormTypeMapper, CoreCustomFormType> implements CoreCustomFormTypeService {

    private final CoreCustomFormTypeMapper coreCustomFormTypeMapper;

}
