package com.yida.data.form.apply.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.form.apply.mapper.CoreApplyFormFillUserApprovalProcessRecordMapper;
import com.yida.data.form.apply.service.CoreApplyFormFillUserApprovalProcessRecordService;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUserApprovalProcessRecord;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 填报用户表单审核流程记录表(具体的审核信息) Service
 *
 * @author ZYJ
 * @date 2023/11/24
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class CoreApplyFormFillUserApprovalProcessRecordServiceImpl
        extends ServiceImpl<CoreApplyFormFillUserApprovalProcessRecordMapper, CoreApplyFormFillUserApprovalProcessRecord>
        implements CoreApplyFormFillUserApprovalProcessRecordService {


}
