package com.yida.data.form.apply.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.form.apply.mapper.CoreApplyFormItemMapper;
import com.yida.data.form.apply.service.CoreApplyFormItemService;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormItem;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 申请类型表单组件 Service
 *
 * @author ZYJ
 * @date 2023/11/14 19:17
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class CoreApplyFormItemServiceImpl extends ServiceImpl<CoreApplyFormItemMapper, CoreApplyFormItem>
        implements CoreApplyFormItemService {

}