package com.yida.data.form.apply.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.form.apply.mapper.CoreApprovalProcessUserMapper;
import com.yida.data.form.apply.service.CoreApprovalProcessUserService;
import com.yida.data.common.core.entity.applyForm.CoreApprovalProcessUser;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 审核流程人员配置表 Service
 *
 * @author ZYJ
 * @date 2023/11/21
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class CoreApprovalProcessUserServiceImpl extends ServiceImpl<CoreApprovalProcessUserMapper, CoreApprovalProcessUser>
        implements CoreApprovalProcessUserService {

}
