package com.yida.data.form.customForm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.customform.CoreCustomFormRelationUser;
import org.apache.ibatis.annotations.Param;

/**
 * 表单对应可见人员表 Mapper
 *
 * @author ccl
 * @date 2021-11-05 15:41:11
 */
public interface CoreCustomFormRelationUserMapper extends BaseMapper<CoreCustomFormRelationUser> {

    /**
     * 查询所有的人数和所有已填的人
     * @param id
     */
    Integer findUserNum(@Param("id") Long id);

    /**
     * 为填报得人员
     * @param formId
     * @return
     */
    Integer findNotCommit(Long formId);

    Page<CoreCustomFormRelationUser> findUserList(@Param("page") Page<CoreCustomFormRelationUser> page, @Param("type") Integer type,
                                                  @Param("name") String name, @Param("formId") Long formId);
}
