package com.yida.data.form.customForm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.customform.CoreCustomFormRelationUserParent;
import com.yida.data.common.core.entity.customform.CoreCustomFormStatistic;
import org.apache.ibatis.annotations.Param;

/**
 * @author ccl
 */
public interface CoreCustomFormRelationUserParentMapper extends BaseMapper<CoreCustomFormRelationUserParent> {
    /**
     * 查询总数
     * @param formId
     * @return
     */
    Integer findTotal(@Param("formId") Long formId);

    /**
     * 查询未提交数据
     * @param formId
     * @return
     */
    Integer findParentStatistic(Long formId);
}
