package com.yida.data.form.customForm.service.impl;

import com.yida.data.common.core.entity.customform.CoreCustomFormAuth;
import com.yida.data.form.customForm.mapper.CoreCustomFormAuthMapper;
import com.yida.data.form.customForm.service.CoreCustomFormAuthService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
* 表单对应管理员权限表 Service实现
*
* @author ccl
* @date 2021-11-05 15:41:13
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CoreCustomFormAuthServiceImpl extends ServiceImpl
<CoreCustomFormAuthMapper, CoreCustomFormAuth> implements CoreCustomFormAuthService {

private final CoreCustomFormAuthMapper coreCustomFormAuthMapper;

}
