package com.yida.data.form.customForm.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.customform.CoreCustomFormItemChildren;
import com.yida.data.form.customForm.mapper.CoreCustomFormItemChildrenMapper;
import com.yida.data.form.customForm.service.CoreCustomFormItemChildrenService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * 自定义表单类型表 Service实现
 *
 * @author wjm
 * @date 2021-08-12 10:56:57
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CoreCustomFormItemChildrenServiceImpl extends ServiceImpl<CoreCustomFormItemChildrenMapper, CoreCustomFormItemChildren> implements CoreCustomFormItemChildrenService {

    @Resource
    private final CoreCustomFormItemChildrenMapper coreCustomFormItemChildrenMapper;
}
