package com.yida.data.device.dto.camera;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 主题设备保存请求类
 *
 * @author ZYJ
 * @date 2022/4/29
 */
@Data
@ApiModel(value = "ThemeCameraDTO", description = "主题设备保存请求类")
public class ThemeCameraDTO implements Serializable {

    private static final long serialVersionUID = -7236602194359865843L;

    @ApiModelProperty("设备id")
    private Long cameraId;

    @ApiModelProperty("设备名称")
    private String cameraName;
}