package com.yida.data.device.dto.consume;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.consume.EduConsumeOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 消费订单列表请求类(充值记录)
 *
 * @author ZYJ
 * @date 2023/3/24
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "H5ConsumeOrderPageDTO", description = "消费订单列表请求类(充值记录)")
public class H5ConsumeOrderPageDTO extends BaseDTO<EduConsumeOrder> implements Serializable {

    private static final long serialVersionUID = 3749227164138041581L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学校id")
    private Long deptId;
}