package com.yida.data.device.dto.studentCard;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@Data
public class CardWithAddressDTO extends BaseDTO {

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("校区id")
    private Long campusId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    private List<Long> studentIds;

    @ApiModelProperty("在线状态，0-离线，1-在线")
    private Integer onlineStatus;
}
