package com.yida.data.device.dto.telephone;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.telephone.EduTelephoneBlack;
import com.yida.data.common.core.entity.telephone.EduTelephonePeriod;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class TelephoneDTO {
    private List<Long> schoolId;
    private List<EduTelephonePeriod> periods;
    private List<EduTelephoneBlack> blacks;
    @ApiModelProperty("单个设置传话机id")
    private Long telephoneId;
    /**
     * 每月最大分钟数
     */
    @TableField("month_max_len")
    @ApiModelProperty("每月最大分钟数")
    private Integer monthMaxLen;
    /**
     * 每次最大分钟数
     */
    @TableField("time_max_len")
    @ApiModelProperty("每次最大分钟数")
    private Integer timeMaxLen;
}
