package com.yida.data.device.feign.telephone;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;

import com.yida.data.device.fallback.RemoteTelephoneServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = FebsServerConstant.EDU_DEVICE, contextId = "studentCardService",
        fallbackFactory = RemoteTelephoneServiceFallback.class)
public interface RemoteTelephoneService {

    /**
     * 更新设备在线状态
     */
    @GetMapping("/in/telephone/telephone/updateTelephoneStatus")
    ResultBean updateTelephoneStatus();
}
