package com.yida.data.device.vo.camera;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * H5家长端主题列表返回类
 *
 * @author ZYJ
 * @date 2022/4/29
 */
@Data
@ApiModel(value = "H5ThemeListVO", description = "H5家长端主题列表返回类")
public class H5ThemeListVO implements Serializable {

    private static final long serialVersionUID = 7850044412510177331L;

    @ApiModelProperty("主题id")
    private Long id;

    @ApiModelProperty("主题名称")
    private String theme;

    @ApiModelProperty("主题简介")
    private String themeDescribe;

    @ApiModelProperty("设备数据集合")
    private List<ListCameraVO> cameraList;
}
