package com.yida.data.device.vo.camera;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 主题标签返回类
 *
 * @author ZYJ
 * @date 2022/4/29
 */
@Data
@ApiModel(value = "ThemeTagVO", description = "主题标签返回类")
public class ThemeTagVO implements Serializable {

    private static final long serialVersionUID = 5688003345642366787L;

    @ApiModelProperty("主题id")
    private Long id;

    @ApiModelProperty("主题名称")
    private String theme;

    @ApiModelProperty("主题简介")
    private String themeDescribe;
}
