package com.yida.data.device.vo.consume;

import lombok.Data;

import java.io.Serializable;

/**
 * 消费订单退款数据
 *
 * @author ZYJ
 * @date 2023/4/3
 */
@Data
public class ConsumeRefundOrderVO implements Serializable {

    private static final long serialVersionUID = -6557981285672617008L;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 退款id
     */
    private Long refundId;

    /**
     * 退款号
     */
    private String refundCode;

    /**
     * 订单支付方式
     * 支付方式：1：微信，2：支付宝，3：银联，4：收钱吧
     */
    private String payWay;

    /**
     * 学校部门id
     */
    private Long deptId;
}
