package com.yida.data.device.vo.studentCard;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

@ApiModel("告警分页信息")
@Data
public class AlarmPageVO {

    @ApiModelProperty("姓名")
    private String studentName;

    @ApiModelProperty("班级")
    private String gradeClass;

    @ApiModelProperty("学校")
    private String schoolName;

    @ApiModelProperty("imei")
    private String imei;

    @ApiModelProperty("告警类型")
    private Integer alarmType;

    @ApiModelProperty("告警时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alarmTime;

    @ApiModelProperty("位置")
    private String address;

    private Long studentId;
}
