package com.yida.data.device.vo.studentCard;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.time.LocalDateTime;
import lombok.Data;

@Data
public class CardWithAddressVO {

    private Long cardId;
    private Long studentId;

    private String studentName;

    private Integer onlineStatus;

    private String imei;

    private Double lng;

    private Double lat;

    private Integer posType;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime posTime;
}
