package com.yida.data.device.vo.studentCard;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class StudentAlarmVO {

    @ApiModelProperty("告警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("告警类型")
    private Integer alarmType;

    @ApiModelProperty("备注信息")
    private String remark;

    private String remarkValue;
}
