package com.yida.data.device.consume.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.consume.EduConsumeOrderRefund;
import com.yida.data.device.consume.mapper.EduConsumeOrderRefundMapper;
import com.yida.data.device.consume.service.EduConsumeOrderRefundService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 消费订单退款信息Service实现
 *
 * @author ZYJ
 * @date 2023-04-03 16:12:35
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduConsumeOrderRefundServiceImpl extends ServiceImpl
        <EduConsumeOrderRefundMapper, EduConsumeOrderRefund> implements EduConsumeOrderRefundService {


}
