package com.yida.data.device.consume.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.consume.EduConsumeRecord;
import com.yida.data.device.consume.mapper.EduConsumeRecordMapper;
import com.yida.data.device.consume.service.EduConsumeRecordService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 消费机学生消费记录Service实现
 *
 * @author ZYJ
 * @date 2023-03-24 16:16:49
 */
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduConsumeRecordServiceImpl extends ServiceImpl
        <EduConsumeRecordMapper, EduConsumeRecord> implements EduConsumeRecordService {


}
