package com.yida.data.device.studentCard.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.card.EduStudentCardFenceStudent;
import com.yida.data.device.studentCard.mapper.EduStudentCardFenceStudentMapper;
import com.yida.data.device.studentCard.service.EduStudentCardFenceStudentService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 电子学生证-围栏学生关联表 Service实现
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:08:01
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduStudentCardFenceStudentServiceImpl extends ServiceImpl
        <EduStudentCardFenceStudentMapper, EduStudentCardFenceStudent> implements EduStudentCardFenceStudentService {

    private final EduStudentCardFenceStudentMapper eduStudentCardFenceStudentMapper;

}
