package com.yida.data.device.telephone.controller;


import com.yida.data.common.core.common.ResultBean;
import com.yida.data.device.telephone.service.EduTelephoneService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("亲情电话-话机管理(不鉴权)")
@Slf4j
@Validated
@RestController
@RequestMapping("/in/telephone/telephone")
@RequiredArgsConstructor
public class InEduTelephoneController {
    private final EduTelephoneService eduTelephoneService;

    @ApiOperation("更新话机在线状态")
    @GetMapping("/updateTelephoneStatus")
    public ResultBean updateTelephoneStatus() {
        eduTelephoneService.updateTelephoneStatus();
        return ResultBean.buildSuccess();
    }
}
