package com.yida.data.device.telephone.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.telephone.EduTelephoneFamily;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 亲情电话-亲情号码 Mapper
 *
 * @author zhanghaijun
 * @date 2021-08-10 16:59:43
 */
public interface EduTelephoneFamilyMapper extends BaseMapper<EduTelephoneFamily> {

    List<EduTelephoneFamily> listFamily(@Param("cardno") String cardno);

    IPage<EduTelephoneFamily> listFamilyPage(Page page, @Param("cardno") String cardno);
}
