package com.yida.data.device.telephone.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.telephone.EduTelephoneBlack;
import com.yida.data.device.telephone.mapper.EduTelephoneBlackMapper;
import com.yida.data.device.telephone.service.EduTelephoneBlackService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 亲情电话-黑名单 Service实现
 *
 * @author zhanghaijun
 * @date 2021-08-10 16:59:08
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduTelephoneBlackServiceImpl extends ServiceImpl
        <EduTelephoneBlackMapper, EduTelephoneBlack> implements EduTelephoneBlackService {

    private final EduTelephoneBlackMapper eduTelephoneBlackMapper;

}
