package com.yida.data.device.telephone.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.telephone.EduTelephoneMsg;
import com.yida.data.device.telephone.mapper.EduTelephoneMsgMapper;
import com.yida.data.device.telephone.service.EduTelephoneMsgService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 亲情电话-留言 Service实现
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:31:56
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduTelephoneMsgServiceImpl extends ServiceImpl
        <EduTelephoneMsgMapper, EduTelephoneMsg> implements EduTelephoneMsgService {

    private final EduTelephoneMsgMapper eduTelephoneMsgMapper;

}
