package com.yida.data.mall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 导出账单缴费统计数据请求类
 *
 * @author ZYJ
 * @date 2022/7/12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ExportBillStatisticsDTO", description = "导出账单缴费统计数据请求类")
public class ExportBillStatisticsDTO implements Serializable {

    private static final long serialVersionUID = 5435564071555665213L;

    @ApiModelProperty("账单id")
    private Long billId;
}