package com.yida.data.mall.dto.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 前端账单详情请求类
 *
 * @author ZYJ
 * @date 2022/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "H5BillInfoDTO", description = "前端账单详情请求类")
public class H5BillInfoDTO extends H5BillSelectDTO implements Serializable {

    private static final long serialVersionUID = -4760375774007517855L;

    @ApiModelProperty("账单id")
    private Long billId;
}