package com.yida.data.mall.dto.h5;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.mall.EduBillOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 账单订单列表请求类
 *
 * @author ZYJ
 * @date 2022/4/1
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "H5BillOrderPageDTO", description = "账单订单列表请求类")
public class H5BillOrderPageDTO extends BaseDTO<EduBillOrder> implements Serializable {

    private static final long serialVersionUID = -6270962271090093401L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学校id")
    private Long deptId;
}