package com.yida.data.mall.vo;

import com.yida.data.mall.dto.BillItemSaveDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 账单项目详情返回数据
 *
 * @author ZYJ
 * @date 2021/12/30
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillItemInfoVO", description = "账单项目详情返回数据")
public class BillItemInfoVO extends BillItemSaveDTO implements Serializable {

    private static final long serialVersionUID = 6159620666461210303L;

}