package com.yida.data.mall.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 账单支付金额数据
 *
 * @author ZYJ
 * @date 2022/4/19
 */

@Data
public class BillPayPriceVO implements Serializable {

    private static final long serialVersionUID = 2665541205116788235L;

    /**
     * 已缴费项目或选项金额
     */
    private BigDecimal itemPrice;

    /**
     * 已缴费项目减免金额
     */
    private BigDecimal reductionPrice;

    /**
     * 部门名称
     */
    private String deptName;
}