package com.yida.data.mall.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 账单支付数据
 *
 * @author ZYJ
 * @date 2022/4/19
 */
@Data
public class BillPayVO implements Serializable {

    private static final long serialVersionUID = -585058100840477676L;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 选项id
     */
    private Long subItemId;

    /**
     * 账单支付金额数据
     */
    private BillPayPriceVO billPayPriceVO;

    /**
     * 对应缴费人数
     */
    private Long payNum;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;
}