package com.yida.data.mall.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 缴费账单退款数据
 *
 * @author ZYJ
 * @date 2022/4/18
 */
@Data
public class BillRefundOrderVO implements Serializable {

    private static final long serialVersionUID = 5558171087490003798L;

    /**
     * 缴费账单订单id
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 缴费账单退款id
     */
    private Long refundId;

    /**
     * 退款号
     */
    private String refundCode;

    /**
     * 缴费账单订单支付方式
     * 支付方式：1：微信，2：支付宝，3：银联，4：其他待定
     */
    private String payWay;

    /**
     * 学校部门id
     */
    private Long deptId;
}
