package com.yida.data.mall.vo;

import com.yida.data.mall.dto.BillSubItemSaveDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 账单项目选项返回数据
 *
 * @author ZYJ
 * @date 2021/12/30
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BillItemSubInfoVO", description = "账单项目选项返回数据")
public class BillSubItemInfoVO extends BillSubItemSaveDTO implements Serializable {

    private static final long serialVersionUID = -4139695478881544598L;

}