package com.yida.data.mall.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 前端账单订单详情返回类
 *
 * @author ZYJ
 * @date 2022/4/1
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "H5BillOrderInfoVO", description = "前端账单订单详情返回类")
public class H5BillOrderInfoVO extends H5BillOrderPageVO implements Serializable {

    private static final long serialVersionUID = 4305873650455028954L;

    @ApiModelProperty("缴费项目集合")
    private List<H5BillItemVO> itemList;
}