package com.yida.data.mall.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.mall.EduBillOrderStudent;
import com.yida.data.mall.mapper.EduBillOrderStudentMapper;
import com.yida.data.mall.service.EduBillOrderStudentService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 账单订单学生详细信息 Service实现
 *
 * @author ZYJ
 * @date 2022-03-31 14:50:42
 */
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduBillOrderStudentServiceImpl extends ServiceImpl
        <EduBillOrderStudentMapper, EduBillOrderStudent> implements EduBillOrderStudentService {


}
