package com.yida.data.school.dto.atlas;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetails;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 图集作品后台列表请求类
 *
 * @author ZYJ
 * @date 2021/9/2
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AtlasDetailsSelectPageDTO", description = "图集作品后台列表请求类")
public class AtlasDetailsSelectPageDTO extends BaseDTO<CoreAtlasManagementDetails> implements Serializable {

    private static final long serialVersionUID = -8279187438715633542L;

    /**
     * 图集id
     */
    @NotNull
    @ApiModelProperty(value = "图集id", required = true)
    private Long atlasId;
}