package com.yida.data.school.dto.config;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel("学校关键功能点配置条件请求类")
@Data
public class EduSchoolFunctionConfigDTO {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "学校主键")
    @TableId(value = "school_id")
    private Long school_id;

    @ApiModelProperty(value = "关键功能点code")
    @TableId(value = "function_code")
    private String functionCode;

    @ApiModelProperty(value = "是否启用1启用，其他未启用")
    @TableId(value = "function_code")
    private Integer state;
}
