package com.yida.data.school.dto.exam;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ClassCompareDTO {

    @ApiModelProperty("查询的课程，不传为总分")
    Long courseId;

    @ApiModelProperty("查询的班级列表")
    List<Long> classIds;

    @ApiModelProperty("考试id")
    Long examId;

    @ApiModelProperty("高分率开始")
    Double highScoreRateStart;
    @ApiModelProperty("高分率结束")
    Double highScoreRateEnd;
    @ApiModelProperty("优秀率开始")
    Double excellentScoreRateStart;
    @ApiModelProperty("优秀率结束")
    Double excellentScoreRateEnd;
    @ApiModelProperty("良好率开始")
    Double goodScoreRateStart;
    @ApiModelProperty("良好率结束")
    Double goodScoreRateEnd;
    @ApiModelProperty("及格率开始")
    Double passScoreRateStart;
    @ApiModelProperty("及格率结束")
    Double passScoreRateEnd;
    @ApiModelProperty("低分率开始")
    Double lowScoreRateStart;
    @ApiModelProperty("低分率结束")
    Double lowScoreRateEnd;

    @ApiModelProperty("考试总分，不传")
    private Double score;
}
