package com.yida.data.school.dto.exam;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ScoreSectionStasticDTO {
    @ApiModelProperty("查询的课程，不传为总分")
    Long courseId;

    @ApiModelProperty("查询的班级列表")
    List<Long> classIds;

    @ApiModelProperty("考试id")
    Long examId;

    @ApiModelProperty("最低分")
    private Double minScore;

    @ApiModelProperty("最高分")
    private Double maxScore;

    @ApiModelProperty("分数区间")
    private Double scoreInterval;
}
