package com.yida.data.school.dto.facility;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("批量生成寝室")
@Data
public class BatchGenerateDormRoomDTO {

    @ApiModelProperty("宿舍楼id")
    private Long dormId;
    @ApiModelProperty("床位数量")
    private Integer bedNum;
    @ApiModelProperty("楼层")
    private Integer floor;
    @ApiModelProperty("起始门牌号")
    private Integer startNum;
    @ApiModelProperty("结束门牌号")
    private Integer endNum;
}
