package com.yida.data.school.dto.index;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 导入寝室
 */
@Data
public class ImportDormRoomDTO {

    @ApiModelProperty("宿舍楼名称")
    @ExcelProperty("宿舍楼名称")
    private String dormName;

    @ApiModelProperty("楼层")
    @ExcelProperty("楼层")
    private Integer floor;

    @ApiModelProperty("寝室号")
    @ExcelProperty("寝室号")
    private String dormRoomName;

    @ApiModelProperty("床位数量")
    @ExcelProperty("床位数量")
    private Integer bedNum;

    @ApiModelProperty("错误原因")
    @ExcelProperty("错误原因")
    private String error;
}
