package com.yida.data.school.dto.index;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 查询宿舍楼列表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ListDormRoomDTO {

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("宿舍楼id")
    private List<Long> dormIds;

    @ApiModelProperty("楼层")
    private Integer floor;

    @ApiModelProperty("宿管id")
    private Long masterId;
}
