package com.yida.data.school.dto.index;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class PageDormDTO extends BaseDTO {
    @ApiModelProperty("宿舍楼id")
    private Long dormId;

    @ApiModelProperty("宿管id")
    private Long masterId;

    @ApiModelProperty("关键词")
    private String keyword;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("宿舍id(后台使用)")
    private List<Long> dormRoomIds;

    @ApiModelProperty("宿舍楼id集合(查询条件有宿管id时使用)")
    private List<Long> dormIds;
}
