package com.yida.data.school.dto.screen;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 保存校园大数据基础建设
 *
 * @author ZYJ
 * @date 2023/4/20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SchoolDashboardBaseSaveDTO", description = "保存校园大数据基础建设")
public class SchoolDashboardBaseSaveDTO implements Serializable {

    private static final long serialVersionUID = -7304594726411432290L;

    @ApiModelProperty(value = "标题")
    private String label;

    @ApiModelProperty(value = "数量+单位")
    private String unit;

    @ApiModelProperty(value = "图标")
    private String icon;
}