package com.yida.data.school.dto.secondClass;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 查询课程条件
 */
@Data
public class ListCourseDTO extends BaseDTO {

    @ApiModelProperty("讲师id")
    private Long lecturerId;

    @ApiModelProperty("课程名称")
    private String name;

    @ApiModelProperty("主题id")
    private Long subjectId;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("排序方式 0/null-创建时间倒序，1-访问量倒序")
    private Integer sortType;

    @ApiModelProperty("发布状态 0-未发布，1-已发布")
    private Integer status;

    @ApiModelProperty("推荐到首页 0-不推荐，1-推荐")
    private Integer homeRecommed;

    @ApiModelProperty("限制查询条数")
    private Integer limit;
}
