package com.yida.data.school.dto.secondClass;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassBanner;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassSubject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@ApiModel("保存主页信息")
@Data
public class SaveHomeInfoDTO {

    private Integer type;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("banner")
    private EduSecondClassBanner banner;

    @ApiModelProperty("主题列表")
    private List<EduSecondClassSubject> subjectList;
}
