package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DormImportDTO", description = "Excel预选宿舍导入类")
public class DormImportFixDTO implements Serializable {


    /**
     * 宿舍楼
     */
    @ExcelProperty(index = 0, value = "宿舍楼")
    @ApiModelProperty(value = "宿舍楼")
    private String dormName;

    /**
     * 寝室号
     */
    @ExcelProperty(index = 1, value = "宿舍号")
    @ApiModelProperty(value = "宿舍号")
    private String dormRoomName;
    /**
     * 姓名
     */
    @ExcelProperty(index = 2, value = "姓名")
    @ApiModelProperty(value = "姓名")
    private String rosterName;

    /**
     * 身份证号
     */
    @ExcelProperty(index = 3, value = "身份证号")
    @ApiModelProperty(value = "身份证号")
    private String idNumber;


}