package com.yida.data.school.dto.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 指南花名册导入错误返回类
 *
 * @author ZYJ
 * @date 2023/6/1
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideRosterErrorExportDTO", description = "学生信息导入错误返回类")
public class GuideRosterErrorExportDTO implements Serializable {

    private static final long serialVersionUID = 3208630028278503011L;

    /**
     * 错误信息
     */
    @ExcelProperty("错误信息")
    private String errorMessage;
}