package com.yida.data.school.dto.transaction;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class ListBuyStudentDTO {
    Integer pageSize;
    Integer pageNum;
    @ApiModelProperty("商品对应学校id")
    private Long schoolId;
    @ApiModelProperty("校区id")
    private Long campusId;
    @ApiModelProperty("学段id")
    private Long sectionId;
    @ApiModelProperty("年级id")
    private Long gradeId;
    @ApiModelProperty("班级id")
    private Long classId;
    @ApiModelProperty("学生姓名")
    private String studentName;
    @ApiModelProperty("学生学号")
    private String stuNum;
    @ApiModelProperty("距离到期时间的天数")
    private Integer dateNum;
    @ApiModelProperty("商品id")
    private Long productId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dateTime;
    private List<Long> studentId;
}
