package com.yida.data.school.dto.transaction;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class ProductSelectDTO {

    @ApiModelProperty("省")
    private Long provinceId;

    @ApiModelProperty("市")
    private Long cityId;

    @ApiModelProperty("县")
    private Long countyId;

    @ApiModelProperty("乡")
    private Long villageId;

    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 商品
     */
    @ApiModelProperty("学校id")
    private Long schoolId;
    /**
     * 开始价格
     */
    @ApiModelProperty("开始价格")
    private Double startPrice;
    /**
     * 结束价格
     */
    @ApiModelProperty("结束价格")
    private Double endPrice;

    /**
     * 时间
     */
    @ApiModelProperty("开始时间")
    private String startTime;
    /**
     * 时间
     */
    @ApiModelProperty("结束时间")
    private String endTime;

    /**
     * 页码
     */
    private Integer current = 1;
    /**
     * 数量
     */
    private Integer size = 10;

    @ApiModelProperty("一级类目")
    private String firstCategory;

    @ApiModelProperty("二级类目")
    private String secondCategory;

    @ApiModelProperty("商品名称")
    private String name;

    @ApiModelProperty("商品状态 0是未上架，1是已上架，3是已经下架")
    private Integer status;
}
