package com.yida.data.school.feign.news;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.school.fallback.news.RemoteManuscriptServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "manuscriptServiceClient",
        fallbackFactory = RemoteManuscriptServiceFallback.class)
public interface RemoteManuscriptService {

    @GetMapping("/in/news/manuscript/publishManuscript")
    ResultBean publishManuscript(@RequestParam("id") Long id);
}
