package com.yida.data.school.vo.atlas;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 图集作品评论详情返回数据
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AtlasDetailsCommentInfoVO", description = "图集作品评论详情返回数据")
public class AtlasDetailsCommentInfoVO extends AtlasDetailsCommentSelectPageVO implements Serializable {

    private static final long serialVersionUID = -1282311365081126495L;

    @ApiModelProperty(value = "未通过理由")
    private String reason;
}