package com.yida.data.school.vo.classSchedule;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("课表分页查询信息")
public class ClassSchedulePageInfoVO {
    @ApiModelProperty("课表id")
    private Long id;

    @ApiModelProperty("课表名称")
    private String name;

    @ApiModelProperty("校区")
    private String districtName;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("学期")
    private String semesterName;

    @ApiModelProperty("使用状态，0-使用，1-停用")
    private String status;

    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}
