package com.yida.data.school.vo.exam;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class ExamVO {
    @ApiModelProperty("考试id")
    private Long examId;
    @ApiModelProperty("本场考试名字")
    private String name;
    @ApiModelProperty("本场考试满分")
    private Integer totalScore;
    @ApiModelProperty("考试开始时间")
    private LocalDateTime startDate;
    @ApiModelProperty("考试结束时间")
    private LocalDateTime endDate;
    @ApiModelProperty("该学生总分得分")
    private Integer score;
}
