package com.yida.data.school.vo.exam;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImportScoreVO {

    @ApiModelProperty("导入开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("上传进度，1-100")
    private Integer percent;

    @ApiModelProperty("上传是否完成，0-未完成，1-完成")
    private Integer finish;

    @ApiModelProperty("错误信息")
    private List<String> errorMsg;
}
