package com.yida.data.school.vo.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("成绩和平均分")
public class ScoreAndAvgCompareVO {
    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("分数")
    private Double score;

    @ApiModelProperty("班级平均分")
    private Double classAvgScore;

    @ApiModelProperty("年级平均分")
    private Double gradeAvgScore;

    @ApiModelProperty("得分率")
    private Double scoreRate;

    @ApiModelProperty("班级平均得分率")
    private Double classAvgScoreRate;

    @ApiModelProperty("年级平均得分率")
    private Double gradeAvgScoreRate;
}
