package com.yida.data.school.vo.exam;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("成绩分布信息")
@Data
public class ScoreDistributeVO {

    @ApiModelProperty("所在分数段上界")
    private Double top;

    @ApiModelProperty("所在分数段下届")
    private Double bottom;

    @ApiModelProperty("所在分数等级")
    private String level;

    @ApiModelProperty("班级学生数")
    private Integer classStudentNum;

    @ApiModelProperty("年级学生数")
    private Integer gradeStudentNum;

    @ApiModelProperty("所在分数段在列表中的索引")
    private Integer index;

    @ApiModelProperty("分数段信息")
    private List<ScoreSectionVO> sectionList;
}
