package com.yida.data.school.vo.exam;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("分数段统计返回信息")
public class ScoreSectionStasticVO {

    @ApiModelProperty("参考人数")
    private Integer studentNum;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("分数段列表")
    private List<ScoreSectionVO> sectionList;
}
