package com.yida.data.school.vo.exam;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("成绩趋势信息")
@Data
public class ScoreTrendVO {
    @ApiModelProperty("考试时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate date;

    @ApiModelProperty("得分率")
    private Double scoreRate;

    @ApiModelProperty("得分")
    private Double score;

    @ApiModelProperty("该场考试总分")
    private Double examScore;
}
