package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author ccl
 */
@Data
public class EyeResultVO {
    @ApiModelProperty("测试时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date createDate;
    @ApiModelProperty("项目名字")
    private String projectName;
    @ApiModelProperty("得分结果")
    private String projectResult;
    @ApiModelProperty("得分等级")
    private String projectRank;
}
