package com.yida.data.school.vo.health;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 视力最新测试返回类
 *
 * @author ZYJ
 * @date 2021/11/3
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "EyesTestNewVO", description = "视力最新测试返回类")
public class EyesTestNewVO {

    @ApiModelProperty("左眼视力")
    private EyeResultVO rightEye;

    @ApiModelProperty("右眼视力")
    private EyeResultVO leftEye;

    @ApiModelProperty(value = "活动类型")
    private String activityType = "3";
}
