package com.yida.data.school.vo.health;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author ccl
 */
@Data
public class ImportStudentScoreVO {
    @ApiModelProperty("导入进度")
    private String percent;

    @ApiModelProperty("上传任务是否已完成,0-进行中，1-已完成")
    private Integer status;

    @ApiModelProperty("错误数量")
    private Integer errNum;

    private List<ImportErrVO> errVO;
}
