package com.yida.data.school.vo.health;

import com.yida.data.common.core.entity.health.EduStudentPhysicalExaminationGradeResults;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author chenbo
 */
@Data
public class StudentHealthListVO {

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学生Id")
    private String studentId;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学校名")
    private String schoolName;

    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "年级名")
    private String gradeName;

    @ApiModelProperty(value = "年级id")
    private String gradeId;
    /**
     * 学生性别
     */
    @ApiModelProperty(value = "班级名")
    private String className;

    @ApiModelProperty(value = "班级id")
    private String classId;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学生性别(1为女,0为男)")
    private Integer studentSex;

    @ApiModelProperty("学生体测详情")
    private EduStudentPhysicalExaminationGradeResults projectVO;

}
