package com.yida.data.school.vo.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("寝室信息")
@Data
public class DormRoomInfoVO {

    @ApiModelProperty("寝室id")
    private Long dormRoomId;

    @ApiModelProperty("寝室号(名称)")
    private String dormRoomName;

    @ApiModelProperty("楼层")
    private Integer floor;

    @ApiModelProperty("床位数量")
    private Integer bedNum;

    @ApiModelProperty("已入住人数")
    private Integer checkInNum;
}
