package com.yida.data.school.vo.index;

import com.yida.data.common.core.entity.home.EduHomeFunction;
import com.yida.data.common.core.entity.school.EduDeptHomeApp;
import com.yida.data.common.core.entity.school.EduSchoolHomeAnnouncement;
import com.yida.data.common.core.entity.school.EduSchoolHomeApp;
import com.yida.data.common.core.entity.school.EduSchoolHomeCover;
import com.yida.data.common.core.entity.school.EduSchoolHomeMicro;
import com.yida.data.common.core.entity.school.EduSchoolHomeNews;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("校园主页信息")
@Data
public class HomeInfoVO {

    @ApiModelProperty("顶部banner图区域")
    private List<EduSchoolHomeCover> coverList;

    @ApiModelProperty("应用区-家长")
    private List<EduSchoolHomeApp> parentAppList;

    @ApiModelProperty("应用区-教师")
    private List<EduSchoolHomeApp> teacherAppList;

    @ApiModelProperty("公告区")
    private EduSchoolHomeAnnouncement announcement;

    @ApiModelProperty("功能区")
    private EduHomeFunction function;

    @ApiModelProperty("微官网")
    private EduSchoolHomeMicro micro;

    @ApiModelProperty("新闻区")
    private EduSchoolHomeNews news;

    private Integer deptType;
    @ApiModelProperty("关联小程序List:新版")
    private List<EduDeptHomeApp> eduDeptHomeAppList;
}
