package com.yida.data.school.vo.index;

import com.yida.data.school.dto.index.ImportDormRoomDTO;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImportDormRoomPercentVO {

    @ApiModelProperty("总数")
    private Integer total;

    @ApiModelProperty("进度")
    private Integer percent = 0;

    @ApiModelProperty("上传是否完成，0-未完成，1-已完成")
    private Integer finish = 0;

    @ApiModelProperty("错误数据")
    private List<ImportDormRoomDTO> error = new ArrayList<>();
}
