package com.yida.data.school.vo.index;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("菜单信息")
@Data
public class MenuInfoVO {

    private Long id;

    @ApiModelProperty("菜单名称")
    private String name;

    @ApiModelProperty("菜单内容，0-发消息，1-跳转链接，2-跳转栏目")
    private Integer contentType;

    @ApiModelProperty("发消息类型 0-图文，1-图片，2-视频，3-音频")
    private Integer sourceType;

    @ApiModelProperty("图片、音视频地址，跳转链接地址")
    private String url;

    @ApiModelProperty("跳转栏目")
    private String colId;

    @ApiModelProperty("稿件id")
    private Long manuscriptId;

    @ApiModelProperty("子菜单")
    private List<MenuInfoVO> children;

}
