package com.yida.data.school.vo.news;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("教职工创建的草稿")
@Data
public class SchollNoticeTeacherDraftVO {

    @ApiModelProperty("通知id")
    private Long id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("上次编辑时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastEditTime;

    @ApiModelProperty("内容")
    private String content;
}
