package com.yida.data.school.vo.news;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class SchoolNoticeInfoByParentVO {

    @ApiModelProperty("标题")
    private String title;


    @ApiModelProperty("内容")
    private String content;

    private String contentUrl;


    @ApiModelProperty("发送时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendDate;

    private Integer type;

    @ApiModelProperty("家长确认状态，0-未确认，1-已确认")
    private Integer confirmStatus;
    private Integer status;

    @ApiModelProperty(value = "是否需要确认，0-是，1-否")
    private Integer isConfirm;

}
