package com.yida.data.school.vo.secondClass;

import com.yida.data.common.core.vo.NameValueVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;


@ApiModel("课程前端详情")
@Data
public class CourseH5DetailVO {

    @ApiModelProperty("课程名称")
    private String name;

    @ApiModelProperty("播放量")
    private Integer visitNum;

    @ApiModelProperty("课程简介")
    private String remark;

    @ApiModelProperty("讲师列表")
    private List<CourseLecturerVO> lecturerList;

    @ApiModelProperty("课程内容列表，名称-地址")
    private List<CourseContentVO> contentList;
}
