package com.yida.data.school.vo.secondClass;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CourseVO {

    private Long id;

    @ApiModelProperty("封面图地址")
    private String coverUrl;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("课程大纲")
    private String remark;

    @ApiModelProperty("讲师名称")
    private String lecturerName;

    @ApiModelProperty("时长，秒")
    private Integer duration;

    @ApiModelProperty("授课方式，0-录播")
    private Integer type;

    @ApiModelProperty("课程状态，0-未发布，1-已发布")
    private Integer status;

    @ApiModelProperty("首页推荐，0-否，1-是")
    private Integer homeRecommend;

    @ApiModelProperty("播放量")
    private Integer visitNum;

    @ApiModelProperty("主题id")
    private Long subjectId;
}
