package com.yida.data.school.vo.secondClass;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SubjectVO {

    private Long id;

    private String name;

    @ApiModelProperty("信息类型,0-普通信息流，1-排行榜")
    private Integer type;

    @ApiModelProperty("图文类型，0-无图，1-左图右文，2-右图左文，3-上图下文")
    private Integer contentType;

    @ApiModelProperty("排列方向，0-纵向，1-横向")
    private Integer orientation;

    @ApiModelProperty("单排数量/排行数量")
    private Integer rowNum;

    @ApiModelProperty("主题类型（0-首页，1-场馆，2-名师在线）")
    private Integer topicType;
}
