package com.yida.data.school.vo.secondClass;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("场馆展品信息")
@Data
public class VenueExhibitVO {

    private Long id;

    @ApiModelProperty("展品名称")
    private String name;

    private Integer sort;

    @ApiModelProperty(value = "展品介绍，音频")
    private String remarkAudio;

    @ApiModelProperty(value = "展品介绍，图片视频，多个逗号隔开")
    private String remarkFile;

    @ApiModelProperty("展品介绍，视频封面，图片为空，数量与file对应，逗号隔开")
    private String remarkFileCover;

    @ApiModelProperty("展品介绍文件类型，0-图片，1-视频，逗号隔开，数量与file字段对应")
    private String remarkFileType;

    private String remark;
}
