package com.yida.data.school.vo.secondClass;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("场馆基础信息")
@Data
public class VenueVO {

    private Long id;

    @ApiModelProperty("名称")
    private String name;

    private Long provinceId;

    private Long cityId;

    private Long countyId;

    private Long villageId;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("联系方式")
    private String mobile;

    @ApiModelProperty("开放日期，1-周一...7-周天")
    private String openDate;

    @ApiModelProperty("开放时间")
    private String openTime;

    @ApiModelProperty("简介")
    private String remark;

    private String remarkAudio;

    @ApiModelProperty("简介封面")
    private String remarkFileCover;

    private String remarkFile;

    private Long subjectId;

    private Integer visitNum;

    private String ticketRemark;
}
