package com.yida.data.school.vo.smart;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Excel职工信息导入类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DormImportDTO", description = "Excel预选宿舍导入类")
public class DormImportVO implements Serializable {

    private static final long serialVersionUID = -7185619098630344263L;
    /**
     * 系部
     */
    @ApiModelProperty(value = "系部")
    private Long departmentId;

    /**
     * 系部
     */
    @ApiModelProperty(value = "系部")
    private String departmentName;

    /**
     * 专业
     */
    @ApiModelProperty(value = "专业")
    private Long majorId;

    /**
     * 专业
     */
    @ApiModelProperty(value = "专业")
    private String majorName;

    /**
     * 宿舍楼
     */
    @ApiModelProperty(value = "宿舍楼")
    private String dormName;

    /**
     * 宿舍楼
     */
    @ApiModelProperty(value = "宿舍楼")
    private Long dormId;

    /**
     * 寝室号
     */
    @ApiModelProperty(value = "宿舍号")
    private String dormRoomName;
    /**
     * 寝室号
     */
    @ApiModelProperty(value = "宿舍号")
    private Long dormRoomId;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别，0男1女")
    private Integer gender;

    /**
     * 人数
     */
    @ApiModelProperty(value = "人数")
    private String realNumber;

}