package com.yida.data.school.vo.smart;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 导入花名册情况-实体
 *
 * @author ZYJ
 * @date 2023-06-12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ImportRosterDataVO implements Serializable {

    private static final long serialVersionUID = -6388906950409396682L;

    @ApiModelProperty("本次操作标识")
    private String key;

    @ApiModelProperty("进度 0-100")
    private Integer percent;

    @ApiModelProperty("是否下载完成，0-否，1-是")
    private Integer finish;

    @ApiModelProperty("错误文件路径")
    private String filePath;
}
