package com.yida.data.school.vo.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 迎新指南花名册统计信息
 *
 * @author ZYJ
 * @date 2023/8/28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StatisticsGuideRosterVO", description = "迎新指南花名册统计信息")
public class StatisticsGuideRosterVO implements Serializable {

    private static final long serialVersionUID = 8889668433802480660L;

    @ApiModelProperty("卡片名称")
    private String cardName;

    @ApiModelProperty("总数量")
    private Integer totalNumber;

    @ApiModelProperty("执行数量")
    private Integer executeNumber;
}