package com.yida.data.school.vo.smart.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 花名册人脸对比返回类
 *
 * @author ZYJ
 * @date 2023/6/21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RosterFaceMatchVO", description = "花名册人脸对比返回类")
public class RosterFaceMatchVO implements Serializable {

    private static final long serialVersionUID = 1474013091202762132L;

    @ApiModelProperty("0-对比成功，1-对比不成功")
    private Integer valid;

    @ApiModelProperty("对比分数")
    private String score;

    @ApiModelProperty("对比成功的图片")
    private String url;
}