package com.yida.data.school.vo.transcation;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author chenbo
 */
@Data
public class EduProductNoticeVO {
    @ApiModelProperty("校区名字")
    private String campusName;
    @ApiModelProperty("年级名字")
    private String gradeName;
    @ApiModelProperty("班级名字")
    private String className;
    @ApiModelProperty("学生id")
    private Long studentId;
    @ApiModelProperty("学生名字")
    private String studentName;
    @ApiModelProperty("学生学号")
    private String studentNumber;
    @ApiModelProperty("学段")
    private String sectionName;
    @ApiModelProperty("到期时间")
    private String endValidDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最近一次催缴时间")
    private LocalDateTime putDate;
    @ApiModelProperty("商品id")
    private Long productId;
}
