package com.yida.data.school.vo.transcation;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.converter.LocalDateTimeConverter;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;

@Data
public class StudentApplyImportVO {

    @ExcelProperty(index = 0, value = "序号")
    @ApiModelProperty(value = "序号")
    private Long indexNo;

    @ExcelProperty(index = 1, value = "学校名称")
    @ApiModelProperty("学校名称")
    private String schoolName;

    @ExcelProperty(index = 2, value = "校区名称")
    @ApiModelProperty("校区名称")
    private String campusName;

    @ExcelProperty(index = 3, value = "学段名称")
    @ApiModelProperty("学段名称")
    private String sectionName;

    @ExcelProperty(index = 4, value = "年级名称")
    @ApiModelProperty("年级名称")
    private String gradeName;

    @ExcelProperty(index = 5, value = "班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ExcelProperty(index = 6, value = "学生姓名")
    @ApiModelProperty("学生姓名")
    private String studentName;

    @ExcelProperty(index = 7, value = "学生学号")
    @ApiModelProperty("学生学号")
    private String studentNumber;

    @ExcelProperty(index = 8, value = "开通应用")
    @ApiModelProperty("开通应用")
    private String applyCode;

    @ExcelProperty(index = 9, value = "有效开始时间")
    @ApiModelProperty("有效开始时间")
    private String startTime;

    @ExcelProperty(index = 10, value = "有效结束时间")
    @ApiModelProperty("有效结束时间")
    private String endTime;
}
