package com.yida.data.school.vo.userLeave;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfig;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfigApplicableDepartments;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfigApprovalUser;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfigView;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
public class EduLeaveRequestProcessConfigVO extends EduLeaveRequestProcessConfig {

    /**
     * 具体的审核流程
     */
    private List<EduLeaveRequestProcessConfigView> eduLeaveRequestProcessConfigViewList;

    /**
     * 适用人员
     */
    private List<EduLeaveRequestProcessConfigApplicableDepartments> applicableDepartmentsList;

}