package com.yida.data.school.vo.userLeave;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 请假统计返回类
 *
 * @author ZYJ
 * @date 2023/12/16
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EduLeaveRequestStatisticsVO implements Serializable {

    private static final long serialVersionUID = 5765795717989616560L;

    @ApiModelProperty("周统计")
    private Long weekNumber;

    @ApiModelProperty("月统计")
    private Long monthNumber;
}