package com.yida.data.school.vo.visitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class PassCodeVO {

    @ApiModelProperty("0-有效，1-无效")
    private Integer valid;

    private String qrBase64;

    private String name;

    private String idCard;

    private String staffName;

    private String staffMobile;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDateTime appointmentTime;

}
