package com.yida.data.school.classCall.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.classCall.EduClassCall;
import com.yida.data.common.core.entity.classschedule.EduClassSchedule;
import com.yida.data.school.dto.classCall.ClassCallAddDTO;
import com.yida.data.school.dto.classCall.ClassCallPageDTO;
import com.yida.data.school.dto.classSchedule.ClassSchedulePageDTO;
import com.yida.data.school.vo.classSchedule.ClassSchedulePageInfoVO;

/**
 * 课堂点名 Service接口
 */
public interface EduClassCallService extends IService<EduClassCall> {

    /**
     * 分页查询点名记录
     *
     * @param dto
     * @return
     */
    IPage<EduClassCall> listClassCallPage(ClassCallPageDTO dto);

    void save(ClassCallAddDTO dto);

    EduClassCall getDetailById(Long id);

}
