package com.yida.data.school.classSchedule.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.classschedule.EduClassScheduleTimeClass;
import com.yida.data.school.vo.classSchedule.ClassScheduleInfoVO;

import java.util.List;

/**
 * 课程表关联班级表 Service接口
 *
 * @author wjm
 * @date 2021-08-13 16:53:38
 */
public interface EduClassScheduleTimeClassService extends IService<EduClassScheduleTimeClass> {
    List<ClassScheduleInfoVO> listClassScheduleInfo(Long classScheduleId, Long classId);

    /**
     * 根据年级、班级获取课程表
     *
     * @param classScheduleId
     * @param classId
     * @return
     */
    ClassScheduleInfoVO getClassScheduleInfo(Long gradeId, Long classId, Long semsterId);

    /**
     * 修改某一堂课程
     */
    void updateClassTime(EduClassScheduleTimeClass timeClass);
}
