package com.yida.data.school.classSchedule.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.classschedule.EduClassScheduleTime;
import com.yida.data.school.classSchedule.mapper.EduClassScheduleTimeMapper;
import com.yida.data.school.classSchedule.service.EduClassScheduleTimeService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 课程表时间安排 Service实现
 *
 * @author wjm
 * @date 2021-08-13 16:53:37
 */
@Service
@RequiredArgsConstructor
@Transactional
public class EduClassScheduleTimeServiceImpl extends ServiceImpl
        <EduClassScheduleTimeMapper, EduClassScheduleTime> implements EduClassScheduleTimeService {

    private final EduClassScheduleTimeMapper eduClassScheduleTimeMapper;

}
