package com.yida.data.school.epidemic.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.epidemic.EpidemicRiskAreasData;
import com.yida.data.school.epidemic.mapper.EpidemicRiskAreasDataMapper;
import com.yida.data.school.epidemic.service.EpidemicRiskAreasDataService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
@RequiredArgsConstructor
public class EpidemicRiskAreasDataServiceImpl extends ServiceImpl<EpidemicRiskAreasDataMapper, EpidemicRiskAreasData>
        implements EpidemicRiskAreasDataService {

    @Override
    public IPage<EpidemicRiskAreasData> findRiskAreaList(Page<EpidemicRiskAreasData> page, String name, String dept, String address, Long deptId) {
        return baseMapper.findRiskAreaList(page,name,dept,address,deptId);
    }
}
