package com.yida.data.school.exam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.exam.CoreExaminationTeacher;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CoreExaminationTeacherMapper extends BaseMapper<CoreExaminationTeacher> {

    /**
     * 查询本次考试对应的监考老师列表数据
     */
    IPage<CoreExaminationTeacher> findExaminationTeacherPageList(Page page, @Param("examId") Integer examId,
                                                                 @Param("teacherName") String teacherName);
}