package com.yida.data.school.exam.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.exam.CoreExaminationCoreAverage;
import com.yida.data.school.exam.mapper.CoreExaminationCoreAverageMapper;
import com.yida.data.school.exam.service.CoreExaminationCoreAverageService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */
@Service
public class CoreExaminationCoreAverageServiceImpl extends ServiceImpl<CoreExaminationCoreAverageMapper, CoreExaminationCoreAverage> implements CoreExaminationCoreAverageService {
    @Override
    @Transactional
    public void updateScoreAvenge(CoreExaminationCoreAverage coreExaminationCoreAverage) {
        saveOrUpdate(coreExaminationCoreAverage);
    }
}
