package com.yida.data.school.facility.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.school.EduDormitoryMaster;
import com.yida.data.school.facility.mapper.EduDormitoryMasterMapper;
import com.yida.data.school.facility.service.EduDormitoryMasterService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 宿舍楼宿管 Service实现
 *
 * @author ZYJ
 * @date 2022/8/22
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduDormitoryMasterServiceImpl extends ServiceImpl
        <EduDormitoryMasterMapper, EduDormitoryMaster> implements EduDormitoryMasterService {


}
