package com.yida.data.school.health.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.health.EduGrade;
import com.yida.data.common.core.entity.health.EduNationalStandardProjectWeight;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 年级的基础信息表 Mapper
 *
 * @author wjm
 * @date 2021-09-14 17:16:22
 */
public interface EduGradeMapper extends BaseMapper<EduGrade> {

    /**
     * 查询年级对应所有项目
     * @param gradeId
     * @param sexType
     * @return 年级对应所有项目
     */
    List<EduNationalStandardProjectWeight> findGradeProject(@Param("gradeId") Long gradeId, @Param("sexType") Integer sexType);
}
