package com.yida.data.school.health.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.health.EduHealthStudentPhysicalExaminationGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 体质健康对应组别表 Mapper
 *
 * @author zhanghaijun
 * @date 2021-11-10 17:16:54
 */
public interface EduHealthStudentPhysicalExaminationGroupMapper extends BaseMapper<EduHealthStudentPhysicalExaminationGroup> {

    /**
     * 查询组中所有学生id
     * @param groupId
     * @return
     */
    List<Long> findStudentId(@Param("groupId") Long groupId);

    Page<EduHealthStudentPhysicalExaminationGroup>  findHealthGroup(@Param("page") Page<EduHealthStudentPhysicalExaminationGroup> page, @Param("schoolId") Long schoolId, @Param("groupName") String groupName, @Param("status") Integer status);
}
