package com.yida.data.school.health.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.health.EduGrade;
import com.yida.data.school.vo.health.ProjectVO;


import java.util.List;

/**
* 年级的基础信息表 Service接口
*
* @author wjm
* @date 2021-09-14 17:16:22
*/
public interface EduGradeService extends IService<EduGrade> {
    /**
     * 查询年级对应项目
     * @param gradeId
     * @param sexType
     * @return 权重表中对应项目id
     */
    List<ProjectVO> findGradeProject(Long gradeId, Integer sexType);
}
