package com.yida.data.school.health.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.health.EduGradeReleateProject;
import com.yida.data.school.health.mapper.EduGradeReleateProjectMapper;
import com.yida.data.school.health.service.EduGradeReleateProjectService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 年级和项目权重关联中间表 Service实现
*
* @author wjm
* @date 2021-09-14 17:16:21
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduGradeReleateProjectServiceImpl extends ServiceImpl
<EduGradeReleateProjectMapper, EduGradeReleateProject> implements EduGradeReleateProjectService {

private final EduGradeReleateProjectMapper eduGradeReleateProjectMapper;

}
