package com.yida.data.school.index.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.school.EduSchoolHomeCover;
import com.yida.data.school.vo.index.HomeInfoVO;

import io.swagger.models.auth.In;
import java.util.List;

/**
 * Service接口
 *
 * @author zhanghaijun
 * @date 2021-07-19 17:21:58
 */
public interface EduSchoolHomeCoverService extends IService<EduSchoolHomeCover> {

    HomeInfoVO getHomeInfo(Long schoolId, Integer userType);

    /**
     * 更新轮播图
     *
     * @param coverList
     * @param schoolId
     */
    void updateCover(List<EduSchoolHomeCover> coverList, Long schoolId);
}
