package com.yida.data.school.index.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.school.EduSchoolHomeMicroCol;
import com.yida.data.school.index.mapper.EduSchoolHomeMicroColMapper;
import com.yida.data.school.index.service.EduSchoolHomeMicroColService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * Service实现
 *
 * @author zhanghaijun
 * @date 2021-07-19 17:21:58
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduSchoolHomeMicroColServiceImpl extends ServiceImpl
        <EduSchoolHomeMicroColMapper, EduSchoolHomeMicroCol> implements EduSchoolHomeMicroColService {

    private final EduSchoolHomeMicroColMapper eduSchoolHomeMicroColMapper;

}
