package com.yida.data.school.letter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.letter.EduLetterBoxConfig;
import com.yida.data.school.dto.letterbox.LetterBoxConfigDTO;

import java.util.List;

/**
 * @author ccl
 */
public interface EduLetterBoxConfigService extends IService<EduLetterBoxConfig> {

    /**
     * 查询滚动图列表
     * @param schoolId
     * @return
     */
    List<EduLetterBoxConfig> findBannerList(Long schoolId);

    /**
     * 新增或修改滚动图
     * @param configs
     * @param schoolId
     */
    void saveOrUpdateBanner(List<EduLetterBoxConfig> configs,Long schoolId);

    /**
     * 查询学校对应配置
     * @param deptId 学校id
     * @return
     */
    LetterBoxConfigDTO findConfig(Long deptId);
}
