package com.yida.data.school.letter.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.letter.EduLetterBoxReply;
import com.yida.data.school.letter.mapper.EduLetterBoxReplyMapper;
import com.yida.data.school.letter.service.EduLetterBoxReplyService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 信箱回复 Service实现
 *
 * @author zhanghaijun
 * @date 2021-07-20 10:55:52
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduLetterBoxReplyServiceImpl extends ServiceImpl
        <EduLetterBoxReplyMapper, EduLetterBoxReply> implements EduLetterBoxReplyService {

    private final EduLetterBoxReplyMapper eduLetterBoxReplyMapper;

}
