package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenuContentBreakfast;
import com.yida.data.school.menu.mapper.EduMenuContentBreakfastMapper;
import com.yida.data.school.menu.service.EduMenuContentBreakfastService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 菜谱早餐表 Service实现
*
* @author ZYJ
* @date 2021-09-27 14:22:33
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuContentBreakfastServiceImpl extends ServiceImpl
<EduMenuContentBreakfastMapper, EduMenuContentBreakfast> implements EduMenuContentBreakfastService {

private final EduMenuContentBreakfastMapper eduMenuContentBreakfastMapper;

}
