package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenuContent;
import com.yida.data.school.menu.mapper.EduMenuContentMapper;
import com.yida.data.school.menu.service.EduMenuContentService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 菜谱内容 Service实现
*
* @author ZYJ
* @date 2021-09-27 14:22:50
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuContentServiceImpl extends ServiceImpl
<EduMenuContentMapper, EduMenuContent> implements EduMenuContentService {

private final EduMenuContentMapper eduMenuContentMapper;

}
