package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenuContentSnacks;
import com.yida.data.school.menu.mapper.EduMenuContentSnacksMapper;
import com.yida.data.school.menu.service.EduMenuContentSnacksService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 菜谱课间餐 Service实现
*
* @author ZYJ
* @date 2021-09-27 14:22:43
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuContentSnacksServiceImpl extends ServiceImpl
<EduMenuContentSnacksMapper, EduMenuContentSnacks> implements EduMenuContentSnacksService {

private final EduMenuContentSnacksMapper eduMenuContentSnacksMapper;

}
