package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenuContentSupper;
import com.yida.data.school.menu.mapper.EduMenuContentSupperMapper;
import com.yida.data.school.menu.service.EduMenuContentSupperService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 菜谱晚餐 Service实现
*
* @author ZYJ
* @date 2021-09-27 14:22:45
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuContentSupperServiceImpl extends ServiceImpl
<EduMenuContentSupperMapper, EduMenuContentSupper> implements EduMenuContentSupperService {

private final EduMenuContentSupperMapper eduMenuContentSupperMapper;

}
