package com.yida.data.school.news.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.notice.EduNoticeSystem;
import com.yida.data.school.vo.news.SysNoticeInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface EduNoticeSystemMapper extends BaseMapper<EduNoticeSystem> {

    IPage<SysNoticeInfoVO> listNoticePage(Page page, @Param("userId") Long userId);

    Integer existNewMsg(Long userId);
}