package com.yida.data.school.news.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.EduSchoolMatter;
import com.yida.data.school.vo.index.MatterPageInfoVO;

import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author zhanghaijun
 * @date 2021-07-19 17:21:58
 */
public interface EduSchoolMatterMapper extends BaseMapper<EduSchoolMatter> {

    IPage<MatterPageInfoVO> listMatterPage(Page page,
                                           @Param("schoolId") Long schoolId,
                                           @Param("type") Integer type,
                                           @Param("keyword") String keyword,
                                           @Param("groupId") Long groupId);
}
