package com.yida.data.school.news.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.notice.EduNoticeSystem;
import com.yida.data.school.dto.news.SysNoticeSaveDTO;
import com.yida.data.school.vo.news.SysNoticeInfoVO;

public interface EduNoticeSystemService extends IService<EduNoticeSystem> {

    /**
     * 分页查询通知
     */
    IPage<SysNoticeInfoVO> listNoticePage(Long userId, Integer current, Integer size);

    /**
     * 查询信息
     */
    Boolean existNewMsg(Long userId);

    /**
     * 保存系统通知
     *
     * @param dto
     */
    void saveNotice(SysNoticeSaveDTO dto);

}
