package com.yida.data.school.news.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.school.EduSchoolMatterMatterGroup;
import com.yida.data.school.news.mapper.EduSchoolMatterMatterGroupMapper;
import com.yida.data.school.news.service.EduSchoolMatterMatterGroupService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * Service实现
 *
 * @author zhanghaijun
 * @date 2021-07-19 17:21:58
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduSchoolMatterMatterGroupServiceImpl extends ServiceImpl
        <EduSchoolMatterMatterGroupMapper, EduSchoolMatterMatterGroup> implements EduSchoolMatterMatterGroupService {

    private final EduSchoolMatterMatterGroupMapper eduSchoolMatterMatterGroupMapper;

}
