package com.yida.data.school.screen.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.screen.EduSchoolDashboardDataBase;
import com.yida.data.school.screen.mapper.EduSchoolDashboardDataBaseMapper;
import com.yida.data.school.screen.service.EduSchoolDashboardDataBaseService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 校园大数据仪表盘数据中心-基础建设Service实现
 *
 * @author ZYJ
 * @date 2023-04-19 16:52:15
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduSchoolDashboardDataBaseServiceImpl extends ServiceImpl
        <EduSchoolDashboardDataBaseMapper, EduSchoolDashboardDataBase> implements EduSchoolDashboardDataBaseService {

}
