package com.yida.data.school.screen.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.screen.EduSchoolDashboardDataTeacher;
import com.yida.data.school.screen.mapper.EduSchoolDashboardDataTeacherMapper;
import com.yida.data.school.screen.service.EduSchoolDashboardDataTeacherService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 校园大数据仪表盘数据中心-师资力量Service实现
 *
 * @author ZYJ
 * @date 2023-04-19 16:58:48
 */
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduSchoolDashboardDataTeacherServiceImpl extends ServiceImpl
        <EduSchoolDashboardDataTeacherMapper, EduSchoolDashboardDataTeacher> implements EduSchoolDashboardDataTeacherService {

}
