package com.yida.data.school.secondClass.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.school.vo.secondClass.VenueOrderVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 第二课堂-场馆-预约记录 Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-21 19:37:41
 */
public interface EduSecondClassVenueOrderMapper extends BaseMapper<EduSecondClassVenueOrder> {

    List<VenueOrderVO> listVenueOrder(@Param("venueId") Long venueId,@Param("userId")String userId);
}
