package com.yida.data.school.secondClass.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueExhibitGroup;
import com.yida.data.school.vo.secondClass.VenueExhibitGroupVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-18 09:39:53
 */
public interface EduSecondclassVenueExhibitGroupMapper extends BaseMapper<EduSecondClassVenueExhibitGroup> {


    /**
     * 查询分组列表
     * @param venueId
     * @return
     */
    List<VenueExhibitGroupVO> listGroup(@Param("venueId") Long venueId);
}
