package com.yida.data.school.secondClass.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassBanner;

public interface EduSecondClassBannerService extends IService<EduSecondClassBanner> {

    /**
     * 保存banner
     *
     * @param banner
     */
    void saveBanner(EduSecondClassBanner banner);

    /**
     * 查询banner
     *
     * @param deptId
     * @param type
     * @return
     */
    EduSecondClassBanner getBanner(Long deptId, Integer type);

    void removeBanner(Long deptId, Integer type);
}
