package com.yida.data.school.secondClass.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassCourseContent;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.school.dto.secondClass.ListCourseContentDTO;
import com.yida.data.school.vo.secondClass.CourseContentVO;

/**
*  Service接口
*
* @author zhanghaijun
* @date 2022-04-11 11:09:15
*/
public interface EduSecondClassCourseContentService extends IService<EduSecondClassCourseContent> {

    /**
     * 分页查询课程内容
     * @param dto
     * @return
     */
    IPage<CourseContentVO> listContentPage(ListCourseContentDTO dto);

    void saveContent(EduSecondClassCourseContent ccontent);

    /**
     * 改变讲师
     * @param id
     * @param lecturerId
     */
    void changeLecturer(Long id,Long lecturerId);

    void delContent(Long id);

    /**
     * 变更排序
     * @param id
     * @param sortStep
     */
    void changeSort(Long id,Integer sortStep);
}
