package com.yida.data.school.secondClass.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassSubject;
import com.yida.data.school.secondClass.mapper.EduSecondClassSubjectMapper;
import com.yida.data.school.secondClass.service.EduSecondClassSubjectService;
import com.yida.data.school.vo.secondClass.SubjectVO;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * Service实现
 *
 * @author zhanghaijun
 * @date 2022-04-11 14:44:56
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduSecondClassSubjectServiceImpl extends ServiceImpl
    <EduSecondClassSubjectMapper, EduSecondClassSubject> implements EduSecondClassSubjectService {


    @Override
    public List<SubjectVO> listSubject(Integer topicType, Integer type, Long deptId) {
        return baseMapper.listSubject(topicType, type, deptId);
    }
}
