package com.yida.data.school.smart.excel;

import com.yida.data.common.core.file.common.export.SelectExportData;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 导出指南花名册身份证、通知书图片查询类
 *
 * @author ZYJ
 * @date 2023/10/20 15:41
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SelectGuidePicExportData extends SelectExportData implements Serializable {

    private static final long serialVersionUID = 8067293275859870239L;

    /**
     * 指南id
     */
    private Long guideId;
}
