package com.yida.data.school.smart.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelationStep;
import org.apache.ibatis.annotations.Param;

/**
 * 智慧迎新指南花名册-微信用户绑定关系-执行步骤表 Mapper
 *
 * @author ZYJ
 * @date 2023-05-19 14:37:43
 */
public interface EduSmartWelcomeGuideRosterRelationStepMapper extends BaseMapper<EduSmartWelcomeGuideRosterRelationStep> {

    /**
     * 查询报名成功人数
     *
     * @param guideId    指南id
     * @param stepNumber 步骤数量
     * @return long
     * @author ZYJ
     * @date 2023/5/30 17:45
     */
    long countCompleteRoster(@Param("guideId") Long guideId,
                             @Param("stepNumber") long stepNumber);
}
