package com.yida.data.school.smart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelation;

/**
 * 智慧迎新指南花名册-微信用户绑定关系表Service接口
 *
 * @author ZYJ
 * @date 2023-05-17 13:53:18
 */
public interface EduSmartWelcomeGuideRosterRelationService extends IService<EduSmartWelcomeGuideRosterRelation> {

    /**
     * 查询openId是否绑定了对应的信息
     *
     * @param openId 微信openId
     * @param deptId 部门id
     * @return com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelation
     * @author ZYJ
     * @date 2023/6/30 17:07
     */
    EduSmartWelcomeGuideRosterRelation getOpenIdRelation(String openId, Long deptId);
}
