package com.yida.data.school.smart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelationStep;

/**
 * 智慧迎新指南花名册-微信用户绑定关系-执行步骤表 Service接口
 *
 * @author ZYJ
 * @date 2023-05-19 14:37:43
 */
public interface EduSmartWelcomeGuideRosterRelationStepService extends IService<EduSmartWelcomeGuideRosterRelationStep> {

    /**
     * 查询报名成功人数
     *
     * @param guideId    指南id
     * @param stepNumber 步骤数量
     * @return long
     * @author ZYJ
     * @date 2023/5/30 17:40
     */
    long countCompleteRoster(Long guideId, long stepNumber);
}
