package com.yida.data.school.smart.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideClassRecord;
import com.yida.data.school.smart.mapper.EduSmartWelcomeGuideClassRecordMapper;
import com.yida.data.school.smart.service.EduSmartWelcomeGuideClassRecordService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 智慧迎新班级预分记录Service实现
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduSmartWelcomeGuideClassRecordServiceImpl extends ServiceImpl
    <EduSmartWelcomeGuideClassRecordMapper, EduSmartWelcomeGuideClassRecord> implements EduSmartWelcomeGuideClassRecordService {


}
