package com.yida.data.school.smart.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepClass;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepClassFix;
import com.yida.data.school.smart.mapper.EduSmartWelcomeGuideStepClassFixMapper;
import com.yida.data.school.smart.mapper.EduSmartWelcomeGuideStepClassMapper;
import com.yida.data.school.smart.service.EduSmartWelcomeGuideStepClassFixService;
import com.yida.data.school.smart.service.EduSmartWelcomeGuideStepClassService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 智慧迎新班级固定人员Service实现
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduSmartWelcomeGuideStepClassFixServiceImpl extends ServiceImpl
    <EduSmartWelcomeGuideStepClassFixMapper, EduSmartWelcomeGuideStepClassFix> implements
    EduSmartWelcomeGuideStepClassFixService {


}
