package com.yida.data.school.smart.service.impl;

import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideStepStaff;
import com.yida.data.school.smart.mapper.EduSmartWelcomeGuideStepStaffMapper;
import com.yida.data.school.smart.service.EduSmartWelcomeGuideStepStaffService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import lombok.RequiredArgsConstructor;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 智慧迎新指南步骤-审核人员表Service实现
 *
 * @author ZYJ
 * @date 2023-05-15 15:33:18
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduSmartWelcomeGuideStepStaffServiceImpl extends ServiceImpl
        <EduSmartWelcomeGuideStepStaffMapper, EduSmartWelcomeGuideStepStaff> implements EduSmartWelcomeGuideStepStaffService {


}
