package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 校园卡号导入错误返回类
 *
 * @author ZYJ
 * @date 2023/2/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CardErrorExportDTO", description = "校园卡号导入错误返回类")
public class CardErrorExportDTO implements Serializable {

    private static final long serialVersionUID = -3132562554433758713L;

    @ExcelProperty("学生学号")
    private String stuNumber;

    @ExcelProperty("校园卡号")
    private String stuCardNumber;

    @ExcelProperty("错误信息")
    private String errorMessage;
}