package com.yida.data.user.dto;

import com.yida.data.common.core.enums.ImportTemplateTypeEnum;
import lombok.Data;

import java.io.Serializable;

/**
 * 下载学生导入模板请求类
 * 学生excel
 *
 * @author ZYJ
 * @date 2022/7/5
 */
@Data
public class DownloadStudentTemplateDTO implements Serializable {

    private static final long serialVersionUID = 4039500896043394420L;

    /**
     * 模板类型. 1: 智慧迎新数据导入模板, 2: 一键邀请导入模板
     * {@link ImportTemplateTypeEnum}
     */
    private Integer type;
}
