package com.yida.data.user.dto;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FaceGroupUserPageDTO extends BaseDTO {

    @ApiModelProperty("人脸组id")
    private Long groupId;

    @ApiModelProperty("人员类别,0-学生，1-教职工")
    private Integer userType;

    @ApiModelProperty("下发状态，多选,0-未下发，1-已下发，2-下发中，3-下发失败")
    private Integer status;

    @ApiModelProperty("是否只展示已上传人脸的用户，0-是，1-否，默认1")
    private Integer onlyShowImport = 1;

    @ApiModelProperty("搜索关键词")
    private String keyword;
}
