package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 导入职工dto
 */
@Data
public class ImportStaffInformationDTO {

    @ApiModelProperty("学号")
    @ExcelProperty("学号")
    private String studentNum;


    @ApiModelProperty("学生类型：0走读，1住宿")
    @ExcelProperty("类型")
    private String type;

    @ApiModelProperty("错误原因")
    @ExcelProperty("错误原因")
    private String error;
}
