package com.yida.data.user.dto;

import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ListStaffDTO {

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("姓名(精准)")
    private String accurateName;

    @ApiModelProperty("姓名(模糊)")
    private String name;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("教职工部门id")
    private Long deptId;

    @ApiModelProperty("教职工id")
    private List<Long> ids;

    @ApiModelProperty("0-同步到企业微信，1-不同步")
    private Integer wxPath;
}
