package com.yida.data.user.dto.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * h5绑定学生信息请求类
 *
 * @author ZYJ
 * @date 2022/4/21
 */
@Data
@ApiModel(value = "BindStudentDTO", description = "h5绑定学生信息请求类")
public class BindStudentDTO implements Serializable {

    private static final long serialVersionUID = -7397224473083255351L;

    @ApiModelProperty("学生姓名")
    private String stuName;

    @ApiModelProperty("身份证号")
    private String idNumber;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("家长id")
    private Long parentId;

    @ApiModelProperty("家长称呼")
    private String parentType;
}
