package com.yida.data.user.vo;

import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ClassAttendanceDataVO {

    /**
     * 宿舍名称/班级名称
     */
    @ApiModelProperty(value = "班级ID")
    private Long classId;
    /**
     * 宿舍名称/班级名称
     */
    @ApiModelProperty(value = "类型：0班级，1宿舍")
    private Integer type;
    /**
     * 宿舍名称/班级名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 总人数
     */
    @ApiModelProperty(value = "总人数")
    private Integer totalNum;
    /**
     * 已采集人数
     */
    @ApiModelProperty(value = "异常人数")
    private Integer abnormalNum;
    /**
     * 关联学生数据
     */
    @ApiModelProperty(value = "关联学生数据")
    private List<Object> studentList;
    /**
     * 考勤时段ID
     */
    @ApiModelProperty(value = "考勤时段ID")
    private Long ruleTimeId;


}
