package com.yida.data.user.vo;

import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
public class CollectDataVO extends TeacherClassVO {

    /**
     * 总人数
     */
    @ApiModelProperty(value = "总人数")
    private Long totalNum;
    /**
     * 已采集人数
     */
    @ApiModelProperty(value = "已采集人数")
    private Long collectNum;

    @ApiModelProperty(value = "已采集人数")
    private List<EduStudent> studentList;
}
