package com.yida.data.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName EduMessageStrategyVo
 * @Description TODO
 * @Author jianMingWang
 * @Date 2021/8/23 19:54
 * @Version 1.0
 **/
@ApiModel("关注回复信息")
@Data
public class EduMessageStrategyVo implements Serializable {
    private static final long serialVersionUID = 3402319388861031699L;
    @ApiModelProperty(value = "主键ID")
    public Integer id;
    @ApiModelProperty(value = "回复内容")
    public String content;
    @ApiModelProperty(value = "学校ID")
    public Integer schoolId;

    @ApiModelProperty(value = "类型：1：关注自动回复，2：关键词回复，3：收到消息回复")
    public Integer type;
    @ApiModelProperty(value = "子类型，1=智慧迎新关注回复")
    public Integer subType;
}
