package com.yida.data.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName EduSchoolStudentInformationVo
 * @Description TODO
 * @Author jianMingWang
 * @Date 2021/8/21 16:09
 * @Version 1.0
 **/

@ApiModel("学生报到数量信息")
@Data
public class EduSchoolStudentInNumformationVo implements Serializable {

    private static final long serialVersionUID = 3324192023547093406L;

    /***
     * 学生总数
     **/
    @ApiModelProperty(value = "学生总数")
    private Integer totalNum;

    /***
     * 已报到学生人数
     **/
    @ApiModelProperty(value = "已报到学生人数")
    private Integer checkNum;

    /***
     * 未报到学生人数
     **/
    @ApiModelProperty(value = "未报到学生人数")
    private Integer noCheckNum;

    public EduSchoolStudentInNumformationVo(Integer totalNum, Integer checkNum) {
        this.totalNum = totalNum;
        this.checkNum = checkNum;
        this.noCheckNum = totalNum - checkNum;
    }
}
