package com.yida.data.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 学校须知返回类
 *
 * @author ZYJ
 * @date 2021/8/19
 */
@Data
@Builder
@ApiModel(value = "SchoolTipsVo", description = "学校须知返回类")
public class SchoolTipsVo implements Serializable {

    private static final long serialVersionUID = -8058251956399564627L;
    /**
     * 学校须知标题
     */
    @ApiModelProperty(value = "学校须知标题")
    private String title;
    /**
     * 学校须知内容
     */
    @ApiModelProperty(value = "学校须知内容")
    private String content;
}
