package com.yida.data.user.vo;

import com.yida.data.common.core.vo.NameValueVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;


@Data
@ApiModel("职工分布数据")
public class StaStaffDistributeVO {

    @ApiModelProperty("职工性别分布")
    private List<NameValueVO<String,Integer>> gender;
    @ApiModelProperty("职工学段分布")
    private List<NameValueVO<String,Integer>> section;
    @ApiModelProperty("教职工课程")
    private List<NameValueVO<String,Integer>> course;
    @ApiModelProperty("教职工身份")
    private List<NameValueVO<String,Integer>> type;

    private Integer num;
}
