package com.yida.data.user.vo;

import com.yida.data.common.core.vo.NameValueVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@ApiModel("看板用户统计")
@Data
public class StaStudentVO {

    @ApiModelProperty("学生性别分布")
    private List<NameValueVO<String,Integer>> gender;
    @ApiModelProperty("学生学段分布")
    private List<NameValueVO<String,Integer>> section;
    @ApiModelProperty("学生类型分布")
    private List<NameValueVO<String,Integer>> type;
    @ApiModelProperty("学生家庭类型分布")
    private List<NameValueVO<String,Integer>> familyType;

    private Integer num;
}
