package com.yida.data.user.vo;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("教师列表查询实体")
public class TeacherListVO {
    @ApiModelProperty("教师id")
    private Long id;
    @ApiModelProperty("教师系统账号id")
    private Long sysUserId;
    @ApiModelProperty("教师名称")
    private String name;
    @ApiModelProperty("学校id")
    private Long schoolId;
    @ApiModelProperty("学校名称")
    private String schoolName;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("教师id")
    private Integer type;
    private Long createId;
    @ApiModelProperty("创建人名称")
    private String createUser;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("账号状态，0-锁定，1-有效")
    private Integer status;

    @ApiModelProperty("教师角色班级列表")
    private List<TeacherDeptVO> deptVOList;
}
