package com.yida.data.user.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UserFacePageVO {
    @ApiModelProperty("人脸id")
    private Long faceId;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("用户名称")
    private String name;

    @ApiModelProperty("人脸url")
    private String picPath;

    @ApiModelProperty("学号")
    private String stuNumber;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("性别，0-男，1-女")
    private Integer sex;

    @ApiModelProperty("用户类型，0-学生，1-职工")
    private Integer userType;

    @ApiModelProperty("下发状态，0-未下发，1-已下发")
    private Integer status;

    @ApiModelProperty("学生-班级，教职工-部门")
    private String dept;
}
