package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategyPlan;
import com.yida.data.user.vo.StrategyPlanVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人脸组-策略-通行计划Mapper
 *
 * @author ZYJ
 * @date 2022-12-12 11:36:19
 */
public interface EduFaceGroupStrategyPlanMapper extends BaseMapper<EduFaceGroupStrategyPlan> {

    /**
     * 查询人脸组-策略-通行计划
     *
     * @param strategyId 策略id
     * @return java.util.List<com.yida.data.user.vo.StrategyPlanVO>
     * @author ZYJ
     * @date 2022/12/12 14:43
     */
    List<StrategyPlanVO> listStrategyPlan(@Param("strategyId") Long strategyId);
}
