package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.user.EduStudentApply;
import com.yida.data.user.dto.ListStudentApplyDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EduStudentApplyMapper extends BaseMapper<EduStudentApply> {

    List<EduStudentApply> getStudentApplyStatus(@Param("studentId") Long studentId,
                                                @Param("applyCode") String applyCode);

    IPage<EduStudentApply> listStudentApply(@Param("dto") ListStudentApplyDTO dto, Page page);

    EduStudentApply getStudentApply(@Param("studentId") Long studentId,
                                    @Param("applyCode") String applyCode);
}
