package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategySpecialDate;
import com.yida.data.user.vo.StrategySpecialDateVO;

import java.util.List;

/**
 * 人脸组-策略-特殊日期Service接口
 *
 * @author ZYJ
 * @date 2022-12-26 13:57:32
 */
public interface EduFaceGroupStrategySpecialDateService extends IService<EduFaceGroupStrategySpecialDate> {

    /**
     * 查询特殊日期
     *
     * @param strategyId 策略id
     * @return java.util.List<com.yida.data.user.vo.StrategySpecialDateVO>
     * @author ZYJ
     * @date 2022/12/26 17:11
     */
    List<StrategySpecialDateVO> listStrategySpecialDate(Long strategyId);
}
