package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduParentStudent;

import java.util.List;

public interface EduParentStudentService extends IService<EduParentStudent> {

    /**
     * 查询数据库中已存在的家长和学生关系数据
     *
     * @param parentId 家长id
     * @return com.yida.data.common.core.common.ResultBean<java.util.List < com.yida.data.common.core.entity.user.EduParentStudent>>
     * @author ZYJ
     * @date 2021/8/21 16:24
     */
    List<EduParentStudent> listParentStudent(Long parentId);
}
