package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.school.EduSchoolTips;
import com.yida.data.user.vo.SchoolTipsVo;

/**
 * 学校智慧迎新-须知service层
 *
 * @author ZYJ
 * @date 2021/8/19
 */
public interface EduSchoolTipsService extends IService<EduSchoolTips> {

    /**
     * 根据学校id获取须知信息
     *
     * @param schoolId 学校id
     * @return com.yida.data.common.core.common.ResultBean<com.yida.data.school.vo.SchoolTipsVo>
     * @author ZYJ
     * @date 2021/8/19 17:50
     */
    SchoolTipsVo getSchoolTips(Long schoolId);

}
