package com.yida.data.user.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduStudentApply;
import com.yida.data.common.core.entity.user.EduStudentApplyFor;
import com.yida.data.user.dto.ListStudentApplyDTO;
import com.yida.data.user.dto.ListStudentApplyForDTO;
import com.yida.data.user.vo.StudentApplyImportProgressVO;
import com.yida.data.user.vo.StudentApplyImportVO;
import com.yida.data.user.vo.StudentApplyStatusVO;
import java.io.IOException;
import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.scheduling.annotation.Async;
import org.springframework.web.multipart.MultipartFile;

public interface EduStudentApplyForService extends IService<EduStudentApplyFor> {


    /**
     * 分页查询
     */
    IPage<EduStudentApplyFor> listStudentApplyFor(ListStudentApplyForDTO dto, Page<EduStudentApplyFor> page);


    void saveStudentApplyFor(EduStudentApplyFor eduStudentApplyFor);

    void dealApplyFor(Long id, Integer status);

    EduStudentApplyFor getByStudentId(Long studentId, String appCode);
}
