package com.yida.data.user.service;

import com.yida.data.common.core.entity.constant.FebsConstant;
import org.springframework.scheduling.annotation.Async;

/**
 * 企业微信同步service
 *
 * @author ZYJ
 * @date 2022/9/16
 */
public interface QywxSyncService {

    /**
     * 同步企业微信学生数据
     */
    @Async(FebsConstant.ASYNC_POOL)
    void syncQywxStudent(Long schoolId);

    /**
     * 同步企业微信职工数据
     */
    @Async(FebsConstant.ASYNC_POOL)
    void syncQywxStaff(Long schoolId);
}
