package com.yida.data.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategySpecialDate;
import com.yida.data.user.mapper.EduFaceGroupStrategySpecialDateMapper;
import com.yida.data.user.service.EduFaceGroupStrategySpecialDateService;
import com.yida.data.user.vo.StrategySpecialDateVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 人脸组-策略-特殊日期Service实现
 *
 * @author ZYJ
 * @date 2022-12-26 13:57:32
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduFaceGroupStrategySpecialDateServiceImpl extends ServiceImpl
        <EduFaceGroupStrategySpecialDateMapper, EduFaceGroupStrategySpecialDate> implements EduFaceGroupStrategySpecialDateService {

    @Override
    public List<StrategySpecialDateVO> listStrategySpecialDate(Long strategyId) {
        return baseMapper.listStrategySpecialDate(strategyId);
    }
}
