package com.yida.data.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategySpecialTime;
import com.yida.data.user.mapper.EduFaceGroupStrategySpecialTimeMapper;
import com.yida.data.user.service.EduFaceGroupStrategySpecialTimeService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 人脸组-策略-特殊日期-时间Service实现
 *
 * @author ZYJ
 * @date 2022-12-26 13:57:32
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduFaceGroupStrategySpecialTimeServiceImpl extends ServiceImpl
        <EduFaceGroupStrategySpecialTimeMapper, EduFaceGroupStrategySpecialTime> implements EduFaceGroupStrategySpecialTimeService {



}
