package com.yida.data.job.controller;

import com.yida.data.common.core.entity.job.Job;
import com.yida.data.job.service.IJobService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @author chenbo
 */

@Api(tags = "不鉴权商品上架")
@Slf4j
@RestController
@AllArgsConstructor
@RequestMapping("/in/job")
public class InJobController {
    private final IJobService jobService;

    @PostMapping("/saveJobNoPermission")
    public void saveJobNoPermission(@RequestBody Job job) {
        this.jobService.createJob(job);
    }
}
