package com.yida.data.job.task;

import com.yida.data.mall.feign.RemoteBillOrderService;
import com.yida.data.mall.feign.RemoteBillStatisticsService;
import com.yida.data.school.feign.smart.RemoteSmartWelcomeService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * 迎新指南模块相关定时任务
 *
 * @author ZYJ
 * @date 2023/6/21
 */
@Component
@AllArgsConstructor
public class GuideTask {

    private final RemoteSmartWelcomeService remoteSmartWelcomeService;

    /**
     * 更新超时迎新订单状态
     */
    public void updateGuideRosterOrderStatus() {
        remoteSmartWelcomeService.updateGuideRosterOrderStatus();
    }
}
