package com.yida.data.system.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 保存代理商学校关联关系请求类
 *
 * @author ZYJ
 * @date 2021/9/26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AgentSchoolRelateSaveDTO", description = "保存代理商学校关联关系请求类")
public class AgentSchoolRelateSaveDTO implements Serializable {

    private static final long serialVersionUID = 3060035641070158625L;

    /**
     * 学校id
     */
    @NotNull
    @ApiModelProperty(value = "学校id集合", required = true)
    private List<Long> schoolIds;
}