package com.yida.data.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author ccl
 */
@Data
public class FindSchoolPageListDTO {
    @ApiModelProperty("学校类型：1学历学校，2培训学校，3特殊学校")
    private List<Integer> schoolType;

    @ApiModelProperty("school_type = 1时有该项：1幼儿园，2小学，3初中，4高中，5大学")
    private List<Integer> natureType;

    @ApiModelProperty("1为公办，2为民办")
    private List<Integer> schoolOwnership;

    @ApiModelProperty("1盈利，2非盈利")
    private List<Integer> schoolProfit;

    @ApiModelProperty("教育局或代理商id")
    private Long deptId;

    @ApiModelProperty("学校名字")
    private String schoolName;

    @ApiModelProperty("标签，用英文','分割")
    private String tag;

    private Integer pageNum = 1;
    private Integer pageSize = 10;
}
