package com.yida.data.system.vo;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 级联选择区域信息返回类
 *
 * @author ZYJ
 * @date 2022/1/11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CascadeAreaVO", description = "级联选择区域信息返回类")
public class CascadeAreaVO implements Serializable {

    private static final long serialVersionUID = 1617387497912863835L;

    private String value;

    private String label;

    private String leaf;

    private List<CascadeAreaVO> children;
}
