package com.yida.data.system.constant;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 操作日志常量类
 *
 * @author ZYJ
 * @date 2021/1/15
 */
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public final class LogConstant {

    /**
     * 最大每次发送日志条数
     */
    public static final int MAX_SEND_SIZE = 5000;

    /**
     * 日志抓取频次间隔时间.单位毫秒
     */
    public static final int MAX_INTERVAL = 10000;
}
