package com.yida.data.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.SystemUserMenu;
import com.yida.data.system.dto.MenuForUserDTO;

import java.util.List;

/**
 * @author ccl
 */
public interface SystemUserMenuService extends IService<SystemUserMenu> {

    /**
     * 新增用户菜单
     * @param menuForUserDTO
     */
    void saveUserMenu(MenuForUserDTO menuForUserDTO);

    /**
     * 修改用户菜单
     * @param menuForUserDTO
     */
    void updateUserMenu(MenuForUserDTO menuForUserDTO);

    /**
     * 查询用户对应菜单
     * @param userId
     * @return
     */
    List<Long> findUserMenu(Long userId);
}
