package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.DeptSchoolLabel;
import com.yida.data.system.mapper.DeptSchoolLabelMapper;
import com.yida.data.system.service.DeptSchoolLabelService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class DeptSchoolLabelServiceImpl extends ServiceImpl<DeptSchoolLabelMapper,
        DeptSchoolLabel> implements DeptSchoolLabelService {
}
