package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.Dict;
import com.yida.data.system.mapper.DictMapper;
import com.yida.data.system.service.DictService;
import com.yida.data.system.vo.DictTypePageVO;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Service
@Transactional(readOnly = true)
public class DictServiceImpl extends ServiceImpl<DictMapper, Dict> implements DictService {


    @Override
    public IPage<DictTypePageVO> listDictTypePage(String typeName, Integer pageNum, Integer pageSize) {
        return baseMapper.listDictTypePage(new Page(pageNum, pageSize), typeName);
    }
}
