package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.EduAppTemplate;
import com.yida.data.system.mapper.EduAppTemplateMapper;
import com.yida.data.system.service.EduAppTemplateService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 企业微信服务商代开发应用模板service
 *
 * @author ZYJ
 * @date 2022/11/3
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduAppTemplateServiceImpl extends ServiceImpl<EduAppTemplateMapper,
        EduAppTemplate> implements EduAppTemplateService {
}
