package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.EduBaseApp;
import com.yida.data.system.mapper.EduBaseAppMapper;
import com.yida.data.system.service.EduBaseAppService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 基础应用信息(本地配置) Service实现
 *
 * @author ZYJ
 * @date 2023-06-28 14:57:58
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduBaseAppServiceImpl extends ServiceImpl
        <EduBaseAppMapper, EduBaseApp> implements EduBaseAppService {


}
