package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.EduQywxServiceProviderSchool;
import com.yida.data.system.mapper.EduQywxServiceProviderSchoolMapper;
import com.yida.data.system.service.EduQywxServiceProviderSchoolService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 企业微信服务商-学校密文corpId对照表service
 *
 * @author ZYJ
 * @date 2022/11/9
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduQywxServiceProviderSchoolServiceImpl extends ServiceImpl<EduQywxServiceProviderSchoolMapper,
        EduQywxServiceProviderSchool> implements EduQywxServiceProviderSchoolService {

    
}
