package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.UPayConfig;
import com.yida.data.system.mapper.UPayConfigMapper;
import com.yida.data.system.service.UPayConfigService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 收钱吧学校信息配置Service实现
 *
 * @author ZYJ
 * @date 2023-03-20 17:53:13
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class UPayConfigServiceImpl extends ServiceImpl
        <UPayConfigMapper, UPayConfig> implements UPayConfigService {

}
