package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.WhiteList;
import com.yida.data.system.mapper.WhiteListMapper;
import com.yida.data.system.service.WhiteListService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 白名单Service实现
 *
 * @author ZYJ
 * @date 2023-02-20 14:15:49
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class WhiteListServiceImpl extends ServiceImpl
        <WhiteListMapper, WhiteList> implements WhiteListService {


}
