package com.yida.data.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.system.Menu;
import com.yida.data.common.core.entity.system.SystemUserMenu;

import java.util.List;

/**
 * 用户权限dao曾
 *
 * @author ZYJ
 * @date 2021/11/8
 */
public interface UserMenuMapper extends BaseMapper<SystemUserMenu> {

    /**
     * 通过用户名查询用户权限串
     *
     * @param username 用户名
     * @return java.util.List<com.yida.data.common.core.entity.system.Menu>
     * @author ZYJ
     * @date 2021/11/8 15:54
     */
    List<SystemUserMenu> findUserPermissions(String username);
}
