package com.yida.data.common.core.entity;

import lombok.Data;

import java.io.Serializable;

@Data
public class WxPublicQr implements Serializable {

    private static final long serialVersionUID = 4930203914521367827L;
    /**
     * 扫描用户微信公众号下openId
     */
    private String userOpenId;

    /**
     * 消息唯一标识
     * 代理商部门id
     */
    private String flag;

    /**
     * 学校id，公众号为学校绑定时有该数据
     */
    private Long schoolId;

    /**
     * 扫描绑定时的登陆用户id
     */
    private Long userId;
}
