package com.yida.data.common.core.entity.apply.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 删除状态枚举
 *
 * @author ZYJ
 * @date 2020/9/10
 */
@Getter
@AllArgsConstructor
public enum DelFlagType {

    /**
     * 普通/未删除状态
     */
    NORMAL_TYPE(0, "未删除"),

    /**
     * 删除状态
     */
    DELETE_TYPE(1, "删除");

    private final Integer value;

    private final String name;
}
