package com.yida.data.common.core.entity.attendance.attendance;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 考勤-规则管理员 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_rule_admin")
public class AttendanceRuleAdmin {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("school_id")
    private Long schoolId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("rule_id")
    private Long ruleId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("user_type")
    private Integer userType;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("dept_id")
    private Long deptId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField("staff_id")
    private Long staffId;

}