package com.yida.data.common.core.entity.attendance.attendance;

import java.util.Date;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 考勤规则关联wifi Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
@TableName("attendance_rule_wifi")
public class AttendanceRuleWifi {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_date", fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    private Long createId;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableField(value = "create_name", fill = FieldFill.INSERT)
    private String createName;

    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    @TableField("rule_id")
    private Long ruleId;

    /**
     * wifi名称
     */
    @ApiModelProperty(value = "wifi名称")
    @TableField("wifi_name")
    private String wifiName;

    /**
     * BSSID
     */
    @ApiModelProperty(value = "BSSID")
    @TableField("wifi_bssid")
    private String wifiBssid;
    
    /**
     * BSSID
     */
    @ApiModelProperty(value = "ip")
    @TableField("ip")
    private String ip;

}