package com.yida.data.common.core.entity.camera;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

/**
 * 摄像头对外开放策略关联班级id表(EduCameraStrategyOpenClass)实体类
 *
 * @author makejava
 * @since 2022-03-14 09:19:30
 */
@Data
public class EduCameraStrategyOpenClass {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 开放策略id
     */
    private Long openId;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 当前部门的上级链状部门字符串, 用于数据回显
     */
    private String parentDept;

    /**
     * 0未删除，1已删除
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;
}

