package com.yida.data.common.core.entity.card;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 几米平台账号信息 Entity
 *
 * @author wjm
 * @date 2021-08-30 14:48:12
 */
@Data
public class EduStudentCardJimiAccount {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    @TableField("username")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    @TableField("password")
    private String password;

    /**
     * 已创建围栏数量
     */
    @ApiModelProperty(value = "已创建围栏数量")
    @TableField("fence_num")
    private Integer fenceNum;

}
