package com.yida.data.common.core.entity.constant;

public interface AppConstant {

    /**
     * 通讯录(用于操作) https://developer.work.weixin.qq.com/document/path/96078
     */
    String CONTACT = "通讯录";

    /**
     * 通讯录(用于查询) 职工端智慧迎新
     */
    String CONTACT_SELECT = "contact_resources";

    /**
     * 家校沟通
     */
    String CONTACT_SCHOOL = "家校沟通";

    /**
     * 考勤
     */
    String ATTENDANCE_STAFF = "attendance_staff";
    String ATTENDANCE_TEACHER = "attendance_teacher";
    String ATTENDANCE_PARENT = "attendance_parent";
    /**
     * 采集
     */
    String COLLECT_TEACHER = "collect_teacher";
    String COLLECT_PARENT = "collect_parent";
    /**
     * 成绩
     */
    String SCORE_TEACHER = "score_teacher";
    String SCORE_PARENT = "score_parent";

    /**
     * 商品
     */
    String PRODUCT_PARENT = "product_parent";

    /**
     * 电子学生证
     */
    String ELECTRONIC_PARENT = "electronic_parent";

    /**
     * 新闻咨询
     */
    String NEWS_PARENT = "news_parent";

    /**
     * 通知管理
     */
    String NOTICE_PARENT = "notice_parent";

    /**
     * 校长信箱
     */
    String LETTER_BOX = "letter_box_parent";

    /**
     * 校长信箱
     */
    String LETTER_BOX_TEACHER = "letter_box_teacher";

    /**
     * 校长信箱有用
     */
    String LETTER_BOX_LIKE = "letter_box_parent_like";

    /**
     * 校长信箱没用
     */
    String LETTER_BOX_DISLIKE = "letter_box_parent_dislike";

    /**
     * 自定义表单家长端
     */
    String CUSTOM_FORM_PARENT = "custom_form_parent";

    /**
     * 自定义表单教师端端
     */
    String CUSTOM_FORM_TEACHER = "custom_form_teacher";

    /**
     * 请假教师端
     */
    String TEACHER_LEAVE_REQUEST = "teacher_leave_request";

    /**
     * 请假家长端
     */
    String STUDENT_LEAVE_REQUEST = "student_leave_request";

    /**
     * 访客教师端
     */
    String VISITOR_STAFF = "visitor_staff";

    /**
     * 微官网 家长端智慧迎新
     */
    String INDEX_PARENT = "index_parent";

    /**
     * 查寝
     */
    String DORM_ATTENDANCE_STAFF = "dorm_attendance_staff";

    /**
     * 智慧迎新职工端
     */
    String SMART_WELCOME_STAFF = "smart_welcome_staff";
}
