package com.yida.data.common.core.entity.constant;

/**
 * 消费机常量
 *
 * @author ZYJ
 * @date 2023/4/4
 */
public interface ConsumeConstant {

    /**
     * 接口错误信息字段名称
     */
    String ERROR_CONTENT_NAME = "error";

    /**
     * 接口错误状态码名称
     */
    String ERROR_CODE_NAME = "errorCode";

    /**
     * 接口错误信息名称
     */
    String ERROR_MESSAGE_NAME = "errorMessage";

    /**
     * 获取人员信息
     */
    String GET_PERSON_INFO = "/hpt/v2/Accounts/Get";

    /**
     * 挂失卡片
     */
    String LOCK_CARD = "/hpt/v2/Accounts/LockCard";

    /**
     * 解挂卡片
     */
    String UN_LOCK_CARD = "/hpt/v2/Accounts/UnLockCard";

    /**
     * 充值
     */
    String RECHARGE = "/hpt/v2/Accounts/Recharge";

    /**
     * 充值撤销
     */
    String UNDO_RECHARGE = "/hpt/v2/Accounts/UndoRecharge";
}
