package com.yida.data.common.core.entity.constant;

public interface QywxConstant {

    //----------公众平台-----------
    // 公众平台获取token  https://api.weixin.qq.com/sns/oauth2/access_token?appid=APPID&secret=SECRET&code=CODE&grant_type=authorization_code
    String GET_PUBLIC_TOKEN_URL = " https://api.weixin.qq.com/sns/oauth2/access_token";


    //------------企业微信------------
    // 企业微信获取access token url
    String GET_TOKEN_URL = "https://qyapi.weixin.qq.com/cgi-bin/gettoken?access_token=";

    /**
     * 获取图普token url
     */
    String GET_TUPUTOKEN_URL = "https://access.tuputech.com/auth/token/1blrfi3o07360acktekko23138thm76sduimt5mu";

    /**
     * 发送家校通知接口 post
     */
    String PUSH_SCHOOL_NOTICE_URL = "https://qyapi.weixin.qq.com/cgi-bin/externalcontact/message/send?access_token=";

    String PUSH_STAFF_NOTICE_URL = "https://qyapi.weixin.qq.com/cgi-bin/message/send?access_token=";

    /**
     * 上传临时素材接口 post https://qyapi.weixin.qq.com/cgi-bin/media/upload?access_token=ACCESS_TOKEN&type=TYPE
     */
    String UPLOAD_TEMP_FILEE_URL = "https://qyapi.weixin.qq.com/cgi-bin/media/upload";

    /**
     * 查询用户信息
     */
    String USER_INFO_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/getuserinfo";

    /**
     * 查询用户详细信息
     */
    String USER_DETAIL_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/get";

    /**
     * 获取访问用户敏感信息 post https://qyapi.weixin.qq.com/cgi-bin/auth/getuserdetail?access_token=ACCESS_TOKEN
     */
    String USER_SENSITIVE_INFO_URL = "https://qyapi.weixin.qq.com/cgi-bin/auth/getuserdetail?access_token=";

    /**
     * 查询部门成员详情 get https://qyapi.weixin.qq.com/cgi-bin/user/list?access_token=ACCESS_TOKEN&department_id=DEPARTMENT_ID&fetch_child=FETCH_CHILD
     */
    String USER_DETAIL_LIST_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/list";

    /**
     * 获取成员ID列表 POST https://qyapi.weixin.qq.com/cgi-bin/user/list_id?access_token=ACCESS_TOKEN
     */
    String USER_ID_LIST_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/list_id?access_token=";

    /**
     * 创建部门 POST https://qyapi.weixin.qq.com/cgi-bin/department/create?access_token=ACCESS_TOKEN
     */
    String DEPT_CREATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/department/create";

    /**
     * 更新部门 POST https://qyapi.weixin.qq.com/cgi-bin/department/update?access_token=ACCESS_TOKEN
     */
    String DEPT_UPDATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/department/update";

    /**
     * 删除部门 GET https://qyapi.weixin.qq.com/cgi-bin/department/delete?access_token=ACCESS_TOKEN&id=ID
     */
    String DEPT_DELETE_URL = "https://qyapi.weixin.qq.com/cgi-bin/department/delete";

    /**
     * 获取部门列表 GET https://qyapi.weixin.qq.com/cgi-bin/department/list?access_token=ACCESS_TOKEN&id=ID
     */
    String DEPT_LIST_URL = "https://qyapi.weixin.qq.com/cgi-bin/department/list";

    /**
     * 获取子部门ID列表 GET https://qyapi.weixin.qq.com/cgi-bin/department/simplelist?access_token=ACCESS_TOKEN&id=ID
     */
    String SIMPLE_DEPT_LIST_URL = "https://qyapi.weixin.qq.com/cgi-bin/department/simplelist";

    /**
     * 获取单个部门详情 GET https://qyapi.weixin.qq.com/cgi-bin/department/get?access_token=ACCESS_TOKEN&id=ID
     */
    String DEPT_INFO_URL = "https://qyapi.weixin.qq.com/cgi-bin/department/get";

    /**
     * 创建部门（家校沟通） POST https://qyapi.weixin.qq.com/cgi-bin/school/department/create?access_token=ACCESS_TOKEN
     */
    String SCHOOL_DEPT_CREATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/department/create";

    /**
     * 更新部门（家校沟通） POST https://qyapi.weixin.qq.com/cgi-bin/school/department/update?access_token=ACCESS_TOKEN
     */
    String SCHOOL_DEPT_UPDATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/department/update";

    /**
     * 删除部门（家校沟通） GET https://qyapi.weixin.qq.com/cgi-bin/school/department/delete?access_token=ACCESS_TOKEN&id=ID
     */
    String SCHOOL_DEPT_DELETE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/department/delete";

    /**
     * 获取部门列表（家校沟通） GET https://qyapi.weixin.qq.com/cgi-bin/school/department/list?access_token=ACCESS_TOKEN&id=ID
     */
    String SCHOOL_DEPT_LIST_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/department/list";

    /**
     * 获取部门成员详情（家校沟通） GET https://qyapi.weixin.qq.com/cgi-bin/school/user/list?access_token=ACCESS_TOKEN&department_id=DEPARTMENT_ID&fetch_child=FETCH_CHILD
     */
    String SCHOOL_DEPT_LIST_USER_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/list";

    /**
     * 创建成员  POST https://qyapi.weixin.qq.com/cgi-bin/user/create?access_token=ACCESS_TOKEN
     */
    String USER_CREATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/create";

    /**
     * 更新成员  POST https://qyapi.weixin.qq.com/cgi-bin/user/update?access_token=ACCESS_TOKEN
     */
    String USER_UPDATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/update";

    /**
     * 批量删除成员 post https://qyapi.weixin.qq.com/cgi-bin/user/batchdelete?access_token=ACCESS_TOKEN
     */
    String USER_DELETE_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/batchdelete";

    /**
     * 批量创建学生 POST https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_create_student?access_token=ACCESS_TOKEN
     */
    String STUDENT_CREATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_create_student";

    /**
     * 批量删除学生 POST https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_delete_student?access_token=ACCESS_TOKEN&userid=USERID
     */
    String STUDENT_DELETE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_delete_student";

    /**
     * 批量更新学生 POST https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_update_student
     */
    String STUDENT_UPDATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_update_student";

    /**
     * 批量创建家长 POST https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_create_parent?access_token=ACCESS_TOKEN
     */
    String PARENT_CREATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_create_parent";

    /**
     * 批量删除家长 POST https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_delete_parent?access_token=ACCESS_TOKEN
     */
    String PARENT_DELETE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_delete_parent";

    /**
     * 批量更新家长 POST https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_update_parent?access_token=ACCESS_TOKEN
     */
    String PARENT_UPDATE_URL = "https://qyapi.weixin.qq.com/cgi-bin/school/user/batch_update_parent";

    /**
     * 读取学生或家长  get https://qyapi.weixin.qq.com/cgi-bin/school/user/get?access_token=ACCESS_TOKEN&userid=USERID
     */
    String STUDENT_PARENT_INFO = "https://qyapi.weixin.qq.com/cgi-bin/school/user/get";
    /*
      ---------------------------------
      家校通讯录回调类型
      ---------------------------------
     */

    String SCHOOL_CONTACT_EVENT = "change_school_contact";

    /**
     * 创建部门回调类型
     */
    String SCHOOL_DEPT_CREATE_TYPE = "create_department";

    /**
     * 修改部门回调类型
     */
    String SCHOOL_DEPT_UPDATE_TYPE = "update_department";

    /**
     * 删除部门回调类型
     */
    String SCHOOL_DEPT_DELETE_TYPE = "delete_department";

    /**
     * 新增学生回调类型
     */
    String STUDENT_CREATE_TYPE = "create_student";

    /**
     * 修改学生回调类型
     */
    String STUDENT_UPDATE_TYPE = "update_student";

    /**
     * 删除学生回调类型
     */
    String STUDENT_DELETE_TYPE = "delete_student";

    /**
     * 创建家长回调类型
     */
    String PARENT_CREATE_TYPE = "create_parent";

    /**
     * 更新家长回调类型
     */
    String PARENT_UPDATE_TYPE = "update_parent";

    /**
     * 删除家长类型回调
     */
    String PARENT_DELETE_TYPE = "delete_parent";

    /**
     * 家长关注事件回调
     */
    String PARENT_SUBSCRIBE_TYPE = "subscribe";

    /**
     * 家长取消关注事件回调
     */
    String PARENT_UNSUBSCRIBE_TYPE = "unsubscribe";

    /**
     * ------------------通讯录回调类型--------------------
     */
    String CONTACT_EVENT = "change_contact";

    /**
     * 创建部门
     */
    String DEPT_CREATE_TYPE = "create_party";

    /**
     * 更新部门
     */
    String DEPT_UPDATE_TYPE = "update_party";

    /**
     * 删除部门
     */
    String DEPT_DELETE_TYPE = "delete_party";

    /**
     * 创建成员
     */
    String USER_CREATE_TYPE = "create_user";

    /**
     * 更新成员
     */
    String USER_UPDATE_TYPE = "update_user";

    /**
     * 删除成员
     */
    String USER_DELETE_TYPE = "delete_user";

    /**
     * 获取企业微信的jsapi_ticket
     * https://developer.work.weixin.qq.com/document/path/96909
     */
    String GET_JS_API_TICKET_URL = "https://qyapi.weixin.qq.com/cgi-bin/get_jsapi_ticket";
}
