package com.yida.data.common.core.entity.constant;

public interface WxPayConstant {

    /**
     * 接口状态码名称
     */
    String CODE_NAME = "code";

    /**
     * 订单不存在
     */
    String ORDER_NOT_EXIST = "ORDER_NOT_EXIST";

    /**
     * 微信支付  统一下单接口
     */
    String UFDODER_URL = "https://api.mch.weixin.qq.com/v3/pay/transactions/";

    /**
     * 微信支付  使用商户订单号 账单查询接口
     */
    String ORDER_QUERY = "https://api.mch.weixin.qq.com/v3/pay/transactions/out-trade-no/";

    /**
     * 关闭订单 https://api.mch.weixin.qq.com/v3/pay/transactions/out-trade-no/{out_trade_no}/close
     */
    String CLOSE_ORDER = "https://api.mch.weixin.qq.com/v3/pay/transactions/out-trade-no/";

    /**
     * 微信退款  申请退款接口
     */
    String REFUND = "https://api.mch.weixin.qq.com/v3/refund/domestic/refunds";

    /**
     * 查询退款
     */
    String REFUND_QUERY = "https://api.mch.weixin.qq.com/v3/refund/domestic/refunds/";

    /**
     * 申请账单
     */
    String BILL = "https://api.mch.weixin.qq.com/v3/bill/tradebill";
}
