package com.yida.data.common.core.entity.constant.hq;

/**
 * 海清回调code和errorCode常量类
 *
 * @author ZYJ
 * @date 2023/9/27
 */
public interface HaiqingCallbackCodeConstant {

    /**
     * 接口正忙，上一个批量指令还未完成
     */
    String DEVICE_BUSY = "410";

    /**
     * 单包数据超过1M
     */
    String DATA_OUT_OF_RANGE = "460";

    /**
     * customId(人脸id)已经存在
     */
    String ADD_PERSON_EXIST = "461";

    /**
     * customId(人脸id)不存在，不存在此名单
     */
    String EDIT_PERSON_NOT_EXIST = "462";

    /**
     * 操作成功, ok
     */
    String PUSH_RETURN_SUCCESS_RESULT = "ok";

    /**
     * 操作失败, fail
     */
    String PUSH_RETURN_FAIL_RESULT = "fail";
}
