package com.yida.data.common.core.entity.consume;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 学校消费机服务器信息Entity
 *
 * @author ZYJ
 * @date 2023-04-06 17:25:47
 */
@Data
@TableName("edu_consume_config")
public class EduConsumeConfig {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除，1删除0未删除，默认0
     */
    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableField("del_flag")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    /**
     * 对应部门id
     */
    @ApiModelProperty(value = "对应部门id")
    @TableField("dept_id")
    private Long deptId;

    /**
     * 服务器访问地址
     */
    @ApiModelProperty(value = "服务器访问地址")
    @TableField("service_ip")
    private String serviceIp;
}