package com.yida.data.common.core.entity.customform;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 权限关联主表 Entity
 *
 * @author ccl
 * @date 2021-11-05 15:41:15
 */
@Data
@TableName("core_custom_form_relation_admin_auth")
public class CoreCustomFormAuthRelationForm {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 权限id
     */
    @TableField("auth_code")
    private String authCode;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    @TableField("custom_form_id")
    private Long customFormId;
}