package com.yida.data.common.core.entity.customform;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.List;

/**
 * 表单对应管理员 Entity
 *
 * @author ccl
 * @date 2021-11-05 15:41:08
 */
@Data
@TableName("core_custom_form_relation_admin")
public class CoreCustomFormRelationAdmin {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 管理员id
     */
    @TableField("admin_id")
    private Long adminId;

    /**
     * 管理员名字
     */
    @TableField("admin_name")
    private String adminName;

    /**
     * 表单id
     */
    @TableField("custom_form_id")
    private Long customFormId;

    @TableField(exist = false)
    private List<CoreCustomFormAuthRelationForm> relationForms;
}