package com.yida.data.common.core.entity.customform;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 表单对应统计数据表 Entity
 *
 * @author ccl
 * @date 2021-11-05 15:58:43
 */
@Data
@TableName("core_custom_form_statistic")
public class CoreCustomFormStatistic {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 表单id
     */
    @TableField("custom_form_id")
    private Long customFormId;

    /**
     * 提交人数
     */
    @TableField("submit_num")
    private Integer submitNum;

    /**
     * 未提交总数
     */
    @TableField("not_submit_num")
    private Integer notSubmitNum;

    /**
     * 总人数
     */
    @TableField("total_num")
    private Integer totalNum;

    /**
     * 下载总数
     */
    @TableField("down_num")
    private Integer downNum;

}