package com.yida.data.common.core.entity.epidemic;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 疫情防控风险地区人员列表(EpidemicRiskAreasData)表实体类
 *
 * @author makejava
 * @since 2022-05-06 11:45:22
 */
@Data
public class EpidemicRiskAreasData {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("0教师，1学生")
    private Integer type;

    @ApiModelProperty("班级/部门")
    private String dept;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("1高风险，2中风险，3低风险")
    private Integer addressType;


    }

