package com.yida.data.common.core.entity.health.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 体质健康类型枚举
 * 0: 国标体测, 1: 国标自测
 *
 * @author ZYJ
 * @date 2021/10/29
 */
@Getter
@AllArgsConstructor
public enum HealthSourceTypeEnum {

    /**
     * 体质健康类型枚举
     */
    NATIONAL_TYPE(0, "国标体测"),
    SELF_TYPE(1, "国标自测");

    /**
     * 类型
     */
    private final Integer sourceType;

    /**
     * 解释
     */
    private final String message;
}
