package com.yida.data.common.core.entity.letter;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author ccl
 */
@Data
@TableName("edu_letter_box_reply_person")
public class EduLetterBoxReplyPerson {

    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("'学校id'")
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty("''用户id''")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty("'创建时间'")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value ="create_date", fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @ApiModelProperty("'创建人id'")
    @TableField(value ="create_id", fill = FieldFill.INSERT)
    private Long createId;
}
