package com.yida.data.common.core.entity.notice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 设备分组表 Entity
 *
 * @author zhanghaijun
 * @date 2021-06-16 15:27:11
 */
@Data
@TableName(value = "edu_notice_system")
public class EduNoticeSystem {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Long id;

    @TableField(value = "create_date")
    @ApiModelProperty(value = "")
    private LocalDateTime createDate;

    @TableField(value = "create_id")
    @ApiModelProperty(value = "")
    private Long createId;


    @TableField(value = "update_date", fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "")
    private LocalDateTime updateDate;

    @TableField(value = "update_id")
    @ApiModelProperty(value = "")
    private Long updateId;

    /**
     * 通知内容
     */
    @TableField(value = "content")
    @ApiModelProperty(value = "通知内容")
    private String content;


}
