package com.yida.data.common.core.entity.notice.qywx;

import com.yida.data.common.core.entity.notice.qywx.inside.Text;
import lombok.Data;
@Data
public class BaseStaffNotice {
    /**
     * 已成员ID列表（消息接收者，多个接收者用‘|’分隔，最多支持1000个
     */
    private String touser;

    /**
     * 部门ID列表，多个接收者用‘|’分隔，最多支持100个。当touser为@all时忽略本参数
     */
    private String toparty;

    /**
     * 标签ID列表，多个接收者用‘|’分隔，最多支持100个。当touser为@all时忽略本参数
     */
    private String totag;


    /**
     * 必须 企业应用的id，整型。可在应用的设置页面查看
     */
    private String agentid;

    private String msgtype = "text";

    private Text text;

}
