package com.yida.data.common.core.entity.notice.qywx;

import cn.hutool.json.JSONObject;
import com.yida.data.common.core.entity.constant.NoticeTypeConstant;
import com.yida.data.common.core.entity.notice.qywx.inside.News;
import com.yida.data.common.core.entity.notice.qywx.inside.TemplateCardNotice;
import com.yida.data.common.core.entity.notice.qywx.inside.templateCard.textNotice;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 职工模板卡片消息
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TemplateCardStaffNotice extends BaseStaffNotice implements Serializable {

    private static final long serialVersionUID = -7273948565592163788L;
    private String msgtype = NoticeTypeConstant.NOTICE_MSG_TEMPLATE_TYPE;
    private TemplateCardNotice template_card;
}


