package com.yida.data.common.core.entity.notice.qywx.inside.templateCard;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CardAction {

    //跳转事件类型，1 代表跳转url，2 代表打开小程序。text_notice卡片模版中该字段取值范围为[1,2]
    private Integer type;
    //		跳转事件的小程序的appid，必须是与当前应用关联的小程序，card_action.type是2时必填
    private String appid;

    //	跳转事件的小程序的pagepath，card_action.type是2时选填
    private String pagepath;

    //	跳转事件的url，card_action.type是1时必填
    private String url;
}
