package com.yida.data.common.core.entity.notice.qywx.inside.templateCard;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HorizontalContent {

    //链接类型，0或不填代表不是链接，1 代表跳转url，2 代表下载附件，3 代表点击跳转成员详情
    private Integer type;

    //	二级标题，建议不超过5个字
    private String keyname;

    //二级文本，如果horizontal_content_list.type是2，该字段代表文件名称（要包含文件类型），建议不超过30个字，（支持id转译）
    private String value;

    //链接跳转的url，horizontal_content_list.type是1时必填
    private String url;
}
