package com.yida.data.common.core.entity.notice.qywx.inside.templateCard;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Jump {

    /**
     * 跳转链接类型，0或不填代表不是链接，1 代表跳转url，2 代表跳转小程序
     */
    private Integer type;
    /**
     * 跳转链接样式的文案内容，建议不超过18个字
     */
    private String title;
    /**
     * 跳转链接的url，jump_list.type是1时必填
     */
    private String url;

}
