package com.yida.data.common.core.entity.school;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
@TableName("edu_school_manuscript_label")
public class EduSchoolManuscriptLabel {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("稿件id")
    private Long manuscriptId;

    @ApiModelProperty("标签")
    private Long label;
}
