package com.yida.data.common.core.entity.school.secondClass;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * 第二课堂-场馆-预约游客 Entity
 *
 * @author zhanghaijun
 * @date 2022-04-21 19:38:55
 */
@Data
public class EduSecondClassVenueOrderMember {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 预约记录id
     */
    @ApiModelProperty(value = "预约记录id")
    @TableField("order_id")
    private Long orderId;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    @TableField("id_card")
    private String idCard;

}