package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;


/**
 * 学校对应招生范围表(TDeptSchoolStudentRange)实体类
 *
 * @author makejava
 * @since 2022-04-01 19:05:20
 */
@Data
@TableName("t_dept_school_student_range")
public class DeptSchoolStudentRange {

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 部门关联学校信息表id
     */
    private Long deptSchoolId;
    /**
     * 招生地址
     */
    private String address;

}

