package com.yida.data.common.core.entity.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel("部门绑定公众号信息")
@Data
public class EduDeptWxPublic {

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("微信公号token")
    @NotNull
    private String token;

    @ApiModelProperty("微信公众号aes key")
    @NotNull
    private String aesKey;

    @ApiModelProperty("微信公众号id")
    @NotNull
    private String appId;

    @ApiModelProperty("微信公众号secret")
    private String secret;
}
