package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业微信服务商信息表
 *
 * @author ZYJ
 * @date 2022/11/3
 */
@Data
public class EduQywxServiceProvider implements Serializable {

    private static final long serialVersionUID = 600170148188322117L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @ApiModelProperty("服务商名称")
    private String serviceProviderName;

    @ApiModelProperty("服务商secret")
    private String serviceProviderSecret;

    @ApiModelProperty("服务商corpId")
    private String corpId;

    @ApiModelProperty("微信回调token")
    private String wxCallToken;

    @ApiModelProperty("微信回调编码aesKey")
    private String wxAesKey;
}
