package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
@TableName("t_user_menu")
public class SystemUserMenu {

    @ApiModelProperty("")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("用户id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty("菜单id")
    @TableField("menu_id")
    private Long menuId;


    @ApiModelProperty("菜单类型(0-合并, 1-剔除)")
    private Integer type;

    /**
     * 权限串
     */
    private transient String perms;
}
