package com.yida.data.common.core.entity.system;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 收钱吧学校信息配置Entity
 *
 * @author ZYJ
 * @date 2023/3/20
 */
@Data
@TableName("u_pay_config")
public class UPayConfig implements Serializable {

    private static final long serialVersionUID = 4708925018349787447L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "是否删除，1删除0未删除，默认0")
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @ApiModelProperty("对应部门id")
    private Long deptId;

    @ApiModelProperty("开发者序列号")
    private String vendorSn;

    @ApiModelProperty("开发者密钥")
    private String vendorKey;

    @ApiModelProperty("wap支付应用id")
    private String wapAppId;

    @ApiModelProperty("激活码内容")
    private String code;

    @ApiModelProperty("公钥")
    private String publicKey;
}