package com.yida.data.common.core.entity.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 学校关联第三方类型枚举
 *
 * @author ZYJ
 * @date 2021/9/27
 */
@Getter
@AllArgsConstructor
public enum SchoolTypeEnum {

    /**
     * 学校关联第三方类型枚举
     */
    COMPANY_WX_TYPE("0", "企业微信"),
    YI_DA_TYPE("1", "易达app");

    /**
     * 学校关联第三方类型
     */
    private final String value;

    /**
     * 类型名称
     */
    private final String name;
}
