package com.yida.data.common.core.entity.telephone;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 亲情电话-亲情号码 Entity
 *
 * @author zhanghaijun
 * @date 2021-08-10 16:59:43
 */
@Data
@TableName("edu_telephone_family")
public class EduTelephoneFamily {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("card_id")
    private Long cardId;

    /**
     * 关系
     */
    @TableField("relation")
    private String relation;

    /**
     * 电话号码
     */
    @TableField("phone")
    private String phone;

}