package com.yida.data.common.core.entity.user.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 部门是否可见类型枚举
 *
 * @author ZYJ
 * @date 2021/11/30
 */
@Getter
@AllArgsConstructor
public enum DeptVisibleTypeEnum {

    /**
     * 部门是否可见类型枚举
     */
    VISIBLE_TYPE(0, "可见"),
    INVISIBLE_TYPE(1, "不可见");

    /**
     * 类型
     */
    private final Integer value;

    /**
     * 名称
     */
    private final String name;
}
