package com.yida.data.common.core.entity.user.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 毕业状态枚举
 *
 * @author ZYJ
 * @date 2021/11/16
 */
@Getter
@AllArgsConstructor
public enum GraduatedStatusEnum {

    /**
     * 毕业状态枚举
     */
    UNDERGRADUATE_STATUS(0, "未毕业"),
    GRADUATED_STATUS(1, "已毕业");

    /**
     * 毕业状态
     */
    private final Integer value;

    /**
     * 类型名称
     */
    private final String name;
}
