package com.yida.data.common.core.entity.userLeave;

import lombok.Data;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.time.LocalDate;
import java.time.LocalTime;

/**
 * Entity
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
@Data
@TableName("edu_leave_request_process_config_applicable_departments")
public class EduLeaveRequestProcessConfigApplicableDepartments {

    /**
     *
     */
    @ApiModelProperty(value = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    @TableField("process_id")
    private Long processId;

    /**
     * 指定部门
     */
    @ApiModelProperty(value = "指定部门")
    @TableField("user_dept_id")
    private Long userDeptId;

    /**
     * 指定部门父ID，用于数据回显
     */
    @ApiModelProperty(value = "指定部门父ID，用于数据回显")
    @TableField("user_parent_dept_id")
    private String userParentDeptId;

}