package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 应用类型枚举
 *
 * @author ZYJ
 * @date 2023/6/28
 */
@Getter
@AllArgsConstructor
public enum AppTypeEnum {

    /**
     * 应用类型枚举
     */
    SYSTEM_APPLICATION_TYPE(0, "系统应用"),
    THIRD_PARTY_APPLICATION_TYPE(1, "第三方应用");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String message;
}
