package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 百度api模块枚举
 *
 * @author ZYJ
 * @date 2023/6/20
 */
@Getter
@AllArgsConstructor
public enum BaiDuModuleEnum {

    /**
     * 百度api模块枚举
     */
    FACE_DETECT("face_detect", "人脸识别");

    /**
     * 类型
     */
    private final String value;

    /**
     * 描述
     */
    private final String message;
}
