package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 数据状态枚举
 *
 * @author ZYJ
 * @date 2021/8/21
 */
@Getter
@AllArgsConstructor
public enum DataStatusEnum {

    /**
     * 数据状态枚举
     */
    CREATE_STATUS("0", "新增"),
    UPDATE_STATUS("1", "更新");

    /**
     * 数据状态
     */
    private final String status;

    /**
     * 数据状态描述
     */
    private final String message;
}
