package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 智慧迎新过期状态枚举
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Getter
@AllArgsConstructor
public enum ExpiredStatusEnum {

    /**
     * 智慧迎新过期状态枚举
     */
    NOT_EXPIRED_STATUS(0, "未过期"),
    EXPIRED_STATUS(1, "已过期");

    /**
     * 过期状态
     */
    private final Integer status;

    /**
     * 过期状态描述
     */
    private final String message;
}
