package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入模板类型枚举
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Getter
@AllArgsConstructor
public enum ImportTemplateTypeEnum {

    /**
     * 导入模板类型枚举
     */
    WELCOME_STUDENT_TEMPLATE(1, "智慧迎新导入模板"),
    WELCOME_INVITE_TEMPLATE(2, "智慧迎新一键邀请导入模板");

    /**
     * 模板类型
     */
    private final Integer type;

    /**
     * 模板类型描述
     */
    private final String message;
}
