package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否为不定费项枚举
 *
 * @author ZYJ
 * @date 2022/4/11
 */
@Getter
@AllArgsConstructor
public enum IndefiniteStatusEnum {

    /**
     * 是否为不定费项目枚举
     */
    NOT_INDEFINITE_STATUS(0, "不是不定费项"),
    IS_INDEFINITE_STATUS(1, "是不定费项");

    /**
     * 状态值
     */
    private final Integer status;

    /**
     * 描述
     */
    private final String message;
}
