package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 点赞状态枚举
 *
 * @author ZYJ
 * @date 2021/9/6
 */
@Getter
@AllArgsConstructor
public enum LikeMarkEnum {

    /**
     * 点赞状态枚举
     */
    NOT_LIKED_STATUS("0", "未点赞"),
    LIKED_STATUS("1", "已点赞");

    /**
     * 数据状态
     */
    private final String status;

    /**
     * 数据状态描述
     */
    private final String message;
}
