package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否减免枚举
 *
 * @author ZYJ
 * @date 2022/3/31
 */
@Getter
@AllArgsConstructor
public enum  ReductionStatusEnum {

    /**
     * 是否减免枚举
     */
    NOT_REDUCTION_STATUS(0, "不减免"),
    IS_REDUCTION_STATUS(1, "减免");

    /**
     * 状态值
     */
    private final Integer status;

    /**
     * 描述
     */
    private final String message;
}
