package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否退款状态枚举
 *
 * @author ZYJ
 * @date 2022/4/18
 */
@Getter
@AllArgsConstructor
public enum RefundStatusEnum {

    /**
     * 是否退款状态枚举
     * 0：否
     * 1：是
     */
    NOT_REFUND("0", "不是退款状态"),
    IS_REFUND("1", "是退款状态");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
