package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报到状态
 *
 * @author ZYJ
 * @date 2023/8/28 11:16
 */
@Getter
@AllArgsConstructor
public enum RegistrationStatusEnum {

    /**
     * 报到状态
     */
    NOT_REGISTRATION(0, "未报到"),
    REGISTRATION_SUCCESS(1, "报到成功(全部步骤通过)");

    /**
     * 状态
     */
    private final Integer status;

    /**
     * 描述
     */
    private final String message;
}
