package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 收钱吧通知返回结果枚举
 *
 * @author ZYJ
 * @date 2023/3/31
 */
@Getter
@AllArgsConstructor
public enum UPayNotifyResultEnum {

    /**
     * 收钱吧通知返回结果枚举
     */
    SUCCESS_STATUS("success", "处理成功"),
    FAILED_STATUS("failed", "处理失败");

    /**
     * 值
     */
    private final String value;

    /**
     * 描述
     */
    private final String message;
}
