package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 银联云闪付通知返回结果枚举
 *
 * @author ZYJ
 * @date 2022/6/27
 */
@Getter
@AllArgsConstructor
public enum UnionNotifyResultEnum {

    /**
     * 银联云闪付通知返回结果枚举
     */
    SUCCESS_STATUS("SUCCESS", "处理成功"),
    FAILED_STATUS("FAILED", "处理失败");

    /**
     * 值
     */
    private final String value;

    /**
     * 描述
     */
    private final String message;
}
