package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 图集作品类型枚举
 *
 * @author ZYJ
 * @date 2021/9/6
 */
@Getter
@AllArgsConstructor
public enum WorkTypeEnum {

    /**
     * 图集作品类型枚举
     */
    PICTURE_TYPE("0", "图片"),
    VIDEO_TYPE("1", "视频");

    /**
     * 数据类型
     */
    private final String type;

    /**
     * 数据类型描述
     */
    private final String message;
}
