package com.yida.data.common.core.enums.school;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 差异化功能点编码枚举
 */
@Getter
@AllArgsConstructor
public enum FunctionConfigCode {

    /**
     * WiFi打卡，会员使用
     */
    ATTENDANCE_WIFI("attendance_wifi", "wifi打卡"),

    /**
     * 门禁进去推送记录，会员使用
     */
    ATTENDANCE_ACCESS("attendance_access", "门禁");
    private final String code;
    private final String name;
}
