package com.yida.data.attendance.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 考勤规则关联地点 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddAttendanceRuleAddressDTO {

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    private Long ruleId;

    /**
     * 地点名称
     */
    @ApiModelProperty(value = "地点名称")
    private Long addressName;

    /**
     * 地点纬度
     */
    @ApiModelProperty(value = "地点纬度")
    private String addressLat;

    /**
     * 地点经度
     */
    @ApiModelProperty(value = "地点经度")
    private String addressLon;

    /**
     * 范围，米
     */
    @ApiModelProperty(value = "范围，米")
    private Integer range;

}