package com.yida.data.attendance.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 考勤-打卡提醒 Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Data
public class AddAttendanceRuleRemindDTO {


    /**
     * 类型=规则usertype
     */
    @ApiModelProperty(value = "类型=规则usertype")
    private Integer userType;

    /**
     * 0-上班提醒，1-下班提醒
     */
    @ApiModelProperty(value = "0-上班提醒，1-下班提醒")
    private Integer type;

    /**
     * 提醒的提前分钟数
     */
    @ApiModelProperty(value = "提醒的提前分钟数")
    private Integer minute;

    /**
     * 提醒文本
     */
    @ApiModelProperty(value = "提醒文本")
    private String message;

    /**
     * 1-添加接收人姓名，0-不添加接收人姓名
     */
    @ApiModelProperty(value = "1-添加接收人姓名，0-不添加接收人姓名")
    private Integer includeReceiver;

}