package com.yida.data.attendance.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 考勤规则关联wifi Entity
 *
 * @date 2023-08-09 11:37:25
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddAttendanceRuleWifiDTO {

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    private Long ruleId;

    /**
     * wifi名称
     */
    @ApiModelProperty(value = "wifi名称")
    private String wifiName;

    /**
     * BSSID
     */
    @ApiModelProperty(value = "BSSID")
    private String wifiBssid;


    @ApiModelProperty(value = "ip")
    private String ip;

}