package com.yida.data.attendance.dto;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceRuleAdminUserPageDTO extends BaseDTO {

    /**
     * 考勤规则名称
     */
    @ApiModelProperty(value = "管理员名称")
    private String staffName;
    /**
     * 考勤人员名称
     */
    @ApiModelProperty(value = "管理员Id")
    private String staffId;

    @ApiModelProperty(value = "规则Id")
    @NotNull
    private Long ruleId;

    private Long campusId;
    private Long sectionId;
    private Long gradeId;
    private Long classId;
    private Long deptId;

    private List<Long> deptIdList;
    private List<Long> staffIdList;
}
