package com.yida.data.attendance.dto;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceRuleUserPageDTO extends BaseDTO {

    /**
     * 0-教职工打卡，1学生上学考勤，2学生宿舍考勤
     */
    @ApiModelProperty(value = "0-教职工打卡，1学生上学考勤")
    private Integer userType;
    /**
     * 考勤规则名称
     */
    @ApiModelProperty(value = "考勤人员名称")
    private String userName;
    private Long ruleId;
    private Long schoolId;
    private Long campusId;
    private Long sectionId;
    private Long gradeId;
    private Long classId;
    private Long deptId;
    private List<Long> userIdList;
}
