package com.yida.data.attendance.dto;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UpdateAttendanceRuleStatusDTO {

    /**
     *
     */
    @ApiModelProperty(value = "规则Id")
    @NotNull
    private Long id;


    /**
     *
     */
    @ApiModelProperty(value = "启用状态：0-未启用，1-已启用")
    @NotNull
    private Integer status;

}
