package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.time.LocalTime;
import lombok.Data;

@Data
public class DetailVO {

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("星期")
    private Integer week;

    @ApiModelProperty("上班打卡状态；0正常，1异常")
    private Integer startStatus;

    @ApiModelProperty("上班打卡时间")
    private LocalTime startRealTime;

    @ApiModelProperty("下班打卡状态:0正常，1异常")
    private Integer endStatus;

    @ApiModelProperty("下班打卡时间")
    private LocalTime endRealTime;

    @ApiModelProperty("是否需要打卡考勤，0是，1否")
    private Integer needAttendance;

    @ApiModelProperty("打卡类型：0=需要上下班打卡，1=只需要打卡一次（取上班打卡时间与状态）")
    private Integer modelType;

}
