package com.yida.data.attendance.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("学生宿舍考勤结果导出实体对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StudentDormAttendanceResultTotalExcelVO {

    @ApiModelProperty("姓名")
    @ExcelProperty(order = 0, value = "姓名")
    private String studentName;

    @ApiModelProperty("学号")
    @ExcelProperty(order = 1, value = "学号")
    private String studentNumber;

    @ApiModelProperty("校区")
    @ExcelProperty(order = 2, value = "校区")
    private String campusName;

    @ApiModelProperty("学段")
    @ExcelProperty(order = 3, value = "学段")
    private String sectionName;

    @ApiModelProperty("年级")
    @ExcelProperty(order = 4, value = "年级")
    private String gradeName;

    @ApiModelProperty("班级")
    @ExcelProperty(order = 5, value = "班级")
    private String className;

    @ApiModelProperty("应打卡次数")
    @ExcelProperty(order = 6, value = "应打卡次数")
    private String needDay;

    @ApiModelProperty("实际打卡次数")
    @ExcelProperty(order = 7, value = "实际打卡次数")
    private String realDay;

    @ApiModelProperty("正常打卡次数")
    @ExcelProperty(order = 8, value = "正常打卡次数")
    private String normalDay;

    @ApiModelProperty("旷宿次数")
    @ExcelProperty(order = 9, value = "旷宿次数")
    private String missDay;

    @ApiModelProperty("晚归打卡次数")
    @ExcelProperty(order = 10, value = "晚归打卡次数")
    private String lateDay;

    @ApiModelProperty("异常晚归打卡次数")
    @ExcelProperty(order = 11, value = "异常晚归打卡次数")
    private String abLateDay;

}
