package com.yida.data.attendance.vo;

import com.carrotsearch.hppc.LongDeque;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceResult;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@Data
@ApiModel("获取某日用户考勤记录返回类")
public class UserAttendanceResultByDayVO {

    @ApiModelProperty("打卡规则")
    private AttendanceRuleVO rule;

    @ApiModelProperty("累计打卡时长，单位分钟")
    private Long attendanceTime;

    @ApiModelProperty("打卡结果")
    private List<AttendanceResult> result;

}
