package com.yida.data.attendance.service;

import com.yida.data.attendance.dto.AttendanceUserCheckInDTO;
import com.yida.data.attendance.dto.H5AttendanceRuleWifiDTO;
import com.yida.data.attendance.vo.AttendanceUserCheckInVO;
import com.yida.data.attendance.vo.AttendanceWifiVO;

public interface AttendanceCheckInService {

    /**
     * 查询用户当前时间的打卡规则
     *
     * @param dto
     * @return
     */
    AttendanceWifiVO findByUserIdAndDateTime(H5AttendanceRuleWifiDTO dto);

    /**
     * 用户打卡
     *
     * @param dto
     */
    AttendanceUserCheckInVO userCheckIn(AttendanceUserCheckInDTO dto);
}
