package com.yida.data.attendance.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.attendance.dto.AttendanceUserCheckInDTO;
import com.yida.data.attendance.dto.BssidImportDTO;
import com.yida.data.attendance.dto.H5AttendanceRuleWifiDTO;
import com.yida.data.attendance.vo.AttendanceUserCheckInVO;
import com.yida.data.attendance.vo.AttendanceWifiVO;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRuleWifi;
import com.yida.data.school.dto.smart.GuideRosterImportDTO;
import java.util.List;
import org.ehcache.impl.internal.concurrent.ConcurrentHashMap;
import org.springframework.scheduling.annotation.Async;

/**
 * 考勤规则关联wifi Service接口
 *
 * @date 2023-08-09 11:37:25
 */
public interface AttendanceRuleWifiService extends IService<AttendanceRuleWifi> {

    @Async
    void ImportBssid(String fileUrl, Long ruleId);

    void addBssidList(ConcurrentHashMap<Integer, BssidImportDTO> concurrentHashMap, Long ruleId);

}
