package com.yida.data.attendance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.attendance.EduUserStrategy;

/**
 * 人员策略信息 Service接口
 *
 * @author ZYJ
 * @date 2023-11-07 11:40:58
 */
public interface EduUserStrategyService extends IService<EduUserStrategy> {


    /**
     * 处理超时用户策略
     *
     * @author ZYJ
     * @date 2023/11/7 19:39
     */
    void checkOverTimeUserStrategy();
}
