package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.AttendanceRuleAdminMapper;
import com.yida.data.attendance.service.AttendanceRuleAdminService;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRuleAdmin;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 考勤-规则管理员 Service实现
 *
 * @date 2023-08-09 11:37:25
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class AttendanceRuleAdminServiceImpl extends ServiceImpl
    <AttendanceRuleAdminMapper, AttendanceRuleAdmin> implements AttendanceRuleAdminService {


    @Override
    public List<AttendanceRuleAdmin> findList(AttendanceRuleAdmin admin) {

        return baseMapper.findList(admin);
    }
}
