package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.AttendanceRuleDeviceMapper;
import com.yida.data.attendance.service.AttendanceRuleDeviceService;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRuleDevice;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 考勤规则关联设备表 Service实现
 *
 * @date 2023-08-09 11:37:25
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class AttendanceRuleDeviceServiceImpl extends ServiceImpl
    <AttendanceRuleDeviceMapper, AttendanceRuleDevice> implements AttendanceRuleDeviceService {


}
