package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.AttendanceRuleObjMapper;
import com.yida.data.attendance.service.AttendanceRuleObjService;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRuleObj;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 规则适用部门 Service实现
 *
 * @date 2023-08-09 11:37:25
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class AttendanceRuleObjServiceImpl extends ServiceImpl
    <AttendanceRuleObjMapper, AttendanceRuleObj> implements AttendanceRuleObjService {

    @Override
    public List<AttendanceRuleObj> findList(Long deptId, Long ruleId) {
        return baseMapper.findList(deptId, ruleId);
    }
}
