package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.AttendanceRuleWhiteListMapper;
import com.yida.data.attendance.service.AttendanceRuleWhiteListService;
import com.yida.data.common.core.entity.attendance.attendance.AttendanceRuleWhiteList;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 考勤-白名单 Service实现
*
* @date 2023-08-09 11:37:25
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class AttendanceRuleWhiteListServiceImpl extends ServiceImpl
<AttendanceRuleWhiteListMapper, AttendanceRuleWhiteList> implements AttendanceRuleWhiteListService {



}
