package com.yida.data.attendance.utils;

import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.UUID;

//
//
public class FormUtil {
    //
//
//    /**
//     * 上传form到图普
//     *
//     * @throws Exception
//     */
//    public void uploadPic(String url, String filePath, Persion persion) throws Exception {
//
//        RestTemplate rest = new RestTemplate();
//        FileSystemResource resource = new FileSystemResource(new File(filePath));
//        MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
//        param.add("name", persion.getName());
//        param.add("type", persion.getType());
//        param.add("headPicFile", resource); //相当于MultipartFile的名称
////        param.add("fileName", "test.jpg");
//
//        String string = rest.postForObject(url, param, String.class);
//        System.out.println(string);
//
//        //rest.postForObject(url, param, String.class)也可以用下面的方法替换
////        HttpEntity<MultiValueMap<String, Object>> httpEntity = new HttpEntity<MultiValueMap<String,Object>>(param);
////        ResponseEntity<String> responseEntity = rest.exchange(url, HttpMethod.POST, httpEntity, String.class);
////        System.out.println(responseEntity.getBody());
//    }
//
//    /**
//     * 下载io流图片
//     *
//     * @param request
//     * @return
//     * @throws IOException
//     */
//
//    public String savePicByIo(HttpServletRequest request) throws IOException {
//        // 图片存储路径
//        String path = Thread.currentThread().getContextClassLoader().getResource("image").getPath();
//        // 判断是否有路径
//        if (!new File(path).exists()) {
//            new File(path).mkdirs();
//        }
//        ServletInputStream inputStream = request.getInputStream();
//        String fileName = UUID.randomUUID().toString().replace("-", "") + ".jpg";
//        File tempFile = new File(path, fileName);
//        if (!tempFile.exists()) {
//            OutputStream os = new FileOutputStream(tempFile);
//            BufferedOutputStream bos = new BufferedOutputStream(os);
//            byte[] buf = new byte[1024];
//            int length;
//            length = inputStream.read(buf, 0, buf.length);
//            while (length != -1) {
//                bos.write(buf, 0, length);
//                length = inputStream.read(buf);
//            }
//            bos.close();
//            os.close();
//            inputStream.close();
//        }
//        return path;
//    }
//
//    /**
//     * 下载form表单图片
//     *
//     * @param file
//     * @return
//     * @throws IOException
//     */
//
    public String savePicByFormData(MultipartFile file) throws IOException {
        // 图片存储路径
        String path = Thread.currentThread().getContextClassLoader().getResource("image").getPath();
        // 判断是否有路径
        if (!new File(path).exists()) {
            new File(path).mkdirs();
        }
        String fileName = UUID.randomUUID().toString().replace("-", "") + ".jpg";
        File tempFile = new File(path, fileName);
        if (!tempFile.exists()) {
            tempFile.createNewFile();
        }
        file.transferTo(tempFile);
        return fileName;

    }
//
//
}