package com.yida.data.server.dto;

import io.swagger.annotations.ApiModelProperty;
import java.time.LocalTime;
import java.util.List;
import lombok.Data;

@Data
public class DisturbDTO {

    private String imei;

    @ApiModelProperty("时间组数量 最多10组")
    private Integer num;

    @ApiModelProperty("开始时间")
    private List<LocalTime> startTime;

    @ApiModelProperty("结束时间")
    private List<LocalTime> endTime;

    @ApiModelProperty("每组日期，7位数字，0-不生效，1-生效 例:1110000  周一-周三生效")
    private List<String> weekFlag;
}
