package com.yida.data.server.dto;

import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@Data
public class FenceDTO {

    @ApiModelProperty("imei号")
    private String imei;

    @ApiModelProperty("围栏id，1-3")
    private Integer id;

    @ApiModelProperty("围栏类型，0-圆形，1-多边形")
    private Integer type;

    @ApiModelProperty("多边形点数，3-20")
    private Integer num;

    @ApiModelProperty("经度")
    private List<Double> lng;

    @ApiModelProperty("纬度")
    private List<Double> lat;

    @ApiModelProperty("半径 0-9999  0为删除围栏")
    private Integer radius;
}
