package com.yida.data.server.dto;

import lombok.Data;

@Data
public class DeviceMsgDTO extends BaseMsgDTO {

    /**
     * v2 上报信息 v4 确认指令
     */
    private String type;

    /**
     * 信号值 0-99
     */
    private Integer signal;

    /**
     * 可见卫星数
     */
    private Integer sv;

    /**
     * 电量 0-99
     */
    private Integer bat;

    /**
     * 数据有效位 A-有效数据 V-无效数据
     */
    private String s;

    /**
     * 纬度
     */
    private String lat;

    /**
     * N-北纬，S-南纬
     */
    private String d;

    /**
     * 经度
     */
    private String lng;

    /**
     * E-东经，W-西经
     */
    private String g;

    /**
     * 速度
     */
    private Double speed;

    /**
     * 定位精度
     */
    private Double pdop;

    /**
     * dd/MM/yyyy
     */
    private String date;

    /**
     * 设备状态
     */
    private String status;

    /**
     * 指令
     */
    private String cmd;

    /**
     * 指令时间
     */
    private String seq;

    /**
     * 指令参数
     */
    private String params;

    /**
     * 设备时间 HHMMSS
     */
    private String time;
}
