package com.yida.data.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

@ApiModel("围栏进出消息")
@Data
public class FenceAlarmDTO {

    private String imei;

    private Double lat;

    private Double lng;

    @ApiModelProperty("围栏id")
    private Integer id;

    @ApiModelProperty("发生时间")
    private LocalDateTime time;

    @ApiModelProperty("0-进入围栏，1-离开围栏")
    private Integer type;
}
