package com.yida.data.server.repository;

import com.yida.data.server.entity.WifimacLocation;
import java.util.List;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface WifimacLocationRespository extends MongoRepository<WifimacLocation, String> {

    WifimacLocation findByMac1InAndMac2InAndMac3InAndMac4InAndMac5InAndMac6In(List<String> mac1, List<String> mac2,
        List<String> mac3, List<String> mac4, List<String> mac5, List<String> mac6);
}
