package com.yida.data.customForm.dto.apply;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 家长端申请表单填写信息
 *
 * @author ZYJ
 * @date 2023/11/14
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyFormDataInputDTO", description = "家长端申请表单填写信息")
public class ApplyFormDataInputDTO implements Serializable {

    private static final long serialVersionUID = -6987439370835565575L;

    @ApiModelProperty("对应表单id")
    private Long formId;

    @ApiModelProperty("表单对应数据JSON字符串")
    private String jsonDataString;

    @ApiModelProperty("填写用户id(学生id)")
    private Long userId;
}
