package com.yida.data.customForm.dto.apply;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 保存公章请求类
 *
 * @author ZYJ
 * @date 2023/11/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "OfficialSealSaveDTO", description = "添加缴费单人员请求类")
public class OfficialSealSaveDTO implements Serializable {

    private static final long serialVersionUID = 4108079000646231315L;

    @ApiModelProperty("公章id")
    private Long id;

    @ApiModelProperty("公章名称")
    private String officialSealTitle;

    @ApiModelProperty("状态. 0为停用，1为启用")
    private Integer status;

    @ApiModelProperty("公章图片地址")
    private String picUrl;
}