package com.yida.data.customForm.dto.apply;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 职工端查询需要审批的申请表单请求类
 *
 * @author ZYJ
 * @date 2023/11/28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SelectApprovalApplyFormDataListDTO", description = "职工端查询需要审批的申请表单请求类")
public class SelectApprovalApplyFormDataListDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = 6556440007861284331L;

    @ApiModelProperty("教师id")
    private Long userId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("状态，0未处理，1已处理")
    private Integer currentUserStatus;
}
