package com.yida.data.form.apply.service;


import com.yida.data.common.core.entity.applyForm.CoreApplyForm;
import com.yida.data.customForm.dto.apply.ApplyFormDataInputDTO;

/**
 * 申请类表单填报数据 Service
 *
 * @author ZYJ
 * @date 2023/11/16
 */
public interface ApplyFormDataService {


    /**
     * 保存申请类型表单填报信息
     *
     * @param dto       家长端申请表单填写信息
     * @param applyForm 申请类型表单信息
     * @author ZYJ
     * @date 2023/11/16 16:48
     */
    void saveFormData(ApplyFormDataInputDTO dto, CoreApplyForm applyForm);
}
