package com.yida.data.form.apply.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.form.apply.mapper.CoreApplyFormFillUserApprovalProcessMapper;
import com.yida.data.form.apply.service.CoreApplyFormFillUserApprovalProcessService;
import com.yida.data.common.core.entity.applyForm.CoreApplyFormFillUserApprovalProcess;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 表单填报用户对应审核流程表 Service
 *
 * @author ZYJ
 * @date 2023/11/24
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class CoreApplyFormFillUserApprovalProcessServiceImpl
        extends ServiceImpl<CoreApplyFormFillUserApprovalProcessMapper, CoreApplyFormFillUserApprovalProcess>
        implements CoreApplyFormFillUserApprovalProcessService {


}
