package com.yida.data.form.customForm.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.customform.CoreCustomFormItems;
import com.yida.data.form.customForm.mapper.CoreCustomFormItemsMapper;
import com.yida.data.form.customForm.service.CoreCustomFormItemsService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * 自定义表单类型表 Service实现
 *
 * @author wjm
 * @date 2021-08-12 10:56:57
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CoreCustomFormItemsServiceImpl extends ServiceImpl<CoreCustomFormItemsMapper, CoreCustomFormItems> implements CoreCustomFormItemsService {

    @Resource
    private final CoreCustomFormItemsMapper coreCustomFormItemsMapper;

}
