package com.yida.data.form.customForm.service.impl;

import com.yida.data.common.core.entity.customform.CoreCustomFormModel;
import com.yida.data.form.customForm.mapper.CoreCustomFormModelMapper;
import com.yida.data.form.customForm.service.CoreCustomFormModelService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
* 自定义表单模板 Service实现
*
* @author wjm
* @date 2021-08-30 15:22:15
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CoreCustomFormModelServiceImpl extends ServiceImpl
<CoreCustomFormModelMapper, CoreCustomFormModel> implements CoreCustomFormModelService {

private final CoreCustomFormModelMapper coreCustomFormModelMapper;

}
