package com.yida.data.device.dto.camera;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 主题可见范围保存请求类
 *
 * @author ZYJ
 * @date 2022/4/29
 */
@Data
@ApiModel(value = "ThemeDeptDTO", description = "主题可见范围保存请求类")
public class ThemeDeptDTO implements Serializable {

    private static final long serialVersionUID = 7426835812642556516L;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("当前部门的上级链状部门字符串, 用于数据回显")
    private String parentDept;
}