package com.yida.data.device.dto.consume;

import com.yida.data.common.core.common.BaseDTO;
import com.yida.data.common.core.entity.consume.EduConsumeRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 消费机学生消费记录列表请求类
 *
 * @author ZYJ
 * @date 2023/3/24
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "H5ConsumeRecordPageDTO", description = "消费机学生消费记录列表请求类")
public class H5ConsumeRecordPageDTO extends BaseDTO<EduConsumeRecord> implements Serializable {

    private static final long serialVersionUID = 4230279140715058049L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学校id")
    private Long deptId;
}