package com.yida.data.device.vo.studentCard;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class ListStudentCardVO {

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("头像")
    private String avatar;

    private Long schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("设备imei")
    private String imei;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("设备类型,jm/810A")
    private String mcType;

    @ApiModelProperty("经度")
    private Double lng;

    @ApiModelProperty("纬度")
    private Double lat;

    @ApiModelProperty("电量")
    private Integer bat;

    @ApiModelProperty("0-在线，1-离线")
    private Integer onlineStatus;

    @ApiModelProperty("0-免打扰中,1-非免打扰中")
    private Integer disturbStatus;
}
