package com.yida.data.device.vo.studentCard;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentCardListVO {

    @ApiModelProperty("学生名称")
    private String studentName;

    @ApiModelProperty("在线状态")
    private Integer onlineStatus;

    @ApiModelProperty("学生证id")
    private Long cardId;

    @ApiModelProperty("imei")
    private String imei;

    @ApiModelProperty("电量")
    private Integer electricity;

    @ApiModelProperty("定位方式")
    private Integer posType;

    @ApiModelProperty("定位时间")
    private LocalDateTime gpsTime;

    @ApiModelProperty("位置")
    private String address;

    @ApiModelProperty("经度")
    private Double lng;

    @ApiModelProperty("纬度")
    private Double lat;
}
