package com.yida.data.device.vo.studentCard;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author ccl
 */
@Data
public class TrackVO {

    @ApiModelProperty("设备IMEI")
    private String imei;
    @ApiModelProperty("设备名称")
    private String deviceName;
    @ApiModelProperty("车辆图标")
    private String icon;
    @ApiModelProperty("设备状态 0,离线; 1,在线")
    private Integer status;
    @ApiModelProperty("卫星定位-GPS, 基站定位-LBS, WIFI定位-WIFI, 蓝牙定位-BEACON")
    private Integer posType;
    @ApiModelProperty("经度 (如果设备过期，值为0)")
    private Double lat;
    @ApiModelProperty("维度 (如果设备过期，值为0)")
    private Double lng;
    @ApiModelProperty("Acc状态 0:关闭 1:打开")
    private Integer accStatus;
    @ApiModelProperty("速度 (单位:km/h)")
    private String speed;
    @ApiModelProperty("GPS定位时间")
    private String gpsTime;
    @ApiModelProperty("是否激活 1-激活 0-未激活")
    private String activationFlag;
    @ApiModelProperty("是否过期 1-未过期 0-过期")
    private String expireFlag;
    @ApiModelProperty("设备电量（0-100），部分设备型号不支持")
    private String electQuantity;
    @ApiModelProperty("外电电压（0-100），部分设备支持")
    private String powerValue;
}
