package com.yida.data.device.vo.telephone;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 设备数量统计返回类
 *
 * @author ZYJ
 * @date 2021/10/8
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DeviceNumberVO", description = "设备数量统计返回类")
public class DeviceNumberVO implements Serializable {

    private static final long serialVersionUID = -7261215589760191372L;

    @ApiModelProperty(value = "设备总数量")
    private Long totalNumber;

    @ApiModelProperty(value = "在线设备数量")
    private Long onlineNumber;

    @ApiModelProperty(value = "离线设备数量")
    private Long offlineNumber;
}
