package com.yida.data.device.camera.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.camera.EduCameraStrategyTheme;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ccl
 */
public interface EduCameraStrategyThemeMapper extends BaseMapper<EduCameraStrategyTheme> {

    /**
     * 家长查询符合条件的主题列表数据
     *
     * @param classIds 班级id集合
     * @param weekDay  周几
     * @return java.util.List<com.yida.data.common.core.entity.camera.EduCameraStrategyOpenClass>
     * @author ZYJ
     * @date 2022/4/29 15:16
     */
    List<EduCameraStrategyTheme> selectThemeList(@Param("classIds") List<Long> classIds, @Param("weekDay") int weekDay);
}
