package com.yida.data.device.consume.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.consume.EduConsumeDevice;
import com.yida.data.device.vo.consume.ConsumeDeviceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 消费机设备Mapper
 *
 * @author ZYJ
 * @date 2023-03-14 18:02:27
 */
public interface EduConsumeDeviceMapper extends BaseMapper<EduConsumeDevice> {

    Page<ConsumeDeviceVO> listDevicePage(Page page, @Param("schoolIds")List<Long> schoolIds,
                                         @Param("number") String number, @Param("state") Integer state);
}
