package com.yida.data.device.consume.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.consume.EduStudentConsumeCard;

/**
 * 学生消费机信息管理Service接口
 *
 * @author ZYJ
 * @date 2023-03-20 15:02:20
 */
public interface EduStudentConsumeCardService extends IService<EduStudentConsumeCard> {

    /**
     * 保存学生消费机信息
     *
     * @param eduStudentConsumeCard 学生消费机信息
     * @author ZYJ
     * @date 2023/3/20 15:54
     */
    void saveConsumeCard(EduStudentConsumeCard eduStudentConsumeCard);
}
