package com.yida.data.device.consume.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.consume.EduConsumeOrderStudent;
import com.yida.data.device.consume.mapper.EduConsumeOrderStudentMapper;
import com.yida.data.device.consume.service.EduConsumeOrderStudentService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 消费订单(充值)学生详细信息Service实现
 *
 * @author ZYJ
 * @date 2023-03-23 14:03:58
 */
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduConsumeOrderStudentServiceImpl extends ServiceImpl
        <EduConsumeOrderStudentMapper, EduConsumeOrderStudent> implements EduConsumeOrderStudentService {


}
