package com.yida.data.device.studentCard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.card.EduStudentCardAlarm;
import com.yida.data.common.core.entity.user.EduStudent;
import com.yida.data.device.dto.studentCard.AlarmPageDTO;
import com.yida.data.device.vo.studentCard.AlarmPageVO;
import com.yida.data.device.vo.studentCard.StudentAlarmVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 电子学生证-告警信息 Mapper
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:08:05
 */
public interface EduStudentCardAlarmMapper extends BaseMapper<EduStudentCardAlarm> {

    IPage<AlarmPageVO> listAlarmPage(Page page, @Param("dto") AlarmPageDTO dto,
        @Param("studentList") List<EduStudent> studentList,
        @Param("conformStudent") List<Long> conformStudent);
    
    IPage<StudentAlarmVO> listStudentAlarmPage(Page page, @Param("studetnId") Long studentId);
}
