package com.yida.data.device.studentCard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.card.EduStudentCardJimiAccount;

import org.apache.ibatis.annotations.Param;

/**
 * 几米平台账号信息 Mapper
 *
 * @author wjm
 * @date 2021-08-30 14:48:12
 */
public interface EduStudentCardJimiAccountMapper extends BaseMapper<EduStudentCardJimiAccount> {

    /**
     * 查询当前可使用的第一个几米账号
     *
     * @return
     */
    EduStudentCardJimiAccount getUseAccount(@Param("num") Integer num);

    /**
     * 更新几米账号围栏数量
     */
    void updateJimiAccountFenceNum(@Param("id") Long accountId,
                                   @Param("num") Integer num);
}
