package com.yida.data.device.studentCard.repository;

import com.yida.data.common.core.entity.card.EduStudentCardLocation;
import java.util.List;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface EduStudentCardLocationRepository extends ElasticsearchRepository<EduStudentCardLocation, Long> {

    List<EduStudentCardLocation> findByImeiAndDeviceTimeBetweenOrderByDeviceTime(String imei, Long startTime,
        Long endTime);
}
