package com.yida.data.device.studentCard.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.card.EduStudentCardAlarm;
import com.yida.data.device.dto.studentCard.AlarmPageDTO;
import com.yida.data.device.vo.studentCard.AlarmPageVO;
import com.yida.data.device.vo.studentCard.StudentAlarmVO;

/**
 * 电子学生证-告警信息 Service接口
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:08:05
 */
public interface EduStudentCardAlarmService extends IService<EduStudentCardAlarm> {

    IPage<AlarmPageVO> listAlarmPage(AlarmPageDTO dto);

    IPage<StudentAlarmVO> listStudentAlarmPage(Long studentId, Integer pageNum, Integer pageSize);

    /**
     * 保存告警信息
     */
    void saveAlarm(EduStudentCardAlarm alarm);
}
