package com.yida.data.device.studentCard.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.card.EduStudentCardFence;
import com.yida.data.device.vo.studentCard.FenceListVO;
import java.util.List;

/**
 * 电子学生证-电子围栏主信息 Service接口
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:07:58
 */
public interface EduStudentCardFenceService extends IService<EduStudentCardFence> {

    void saveFence(EduStudentCardFence fence);

    List<FenceListVO> listFence(Long schoolId, String imei, Integer createType, String name);

    void delFence(List<Long> ids);
}
