package com.yida.data.device.studentCard.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.card.EduStudentCardDisturbTime;
import com.yida.data.device.studentCard.mapper.EduStudentCardDisturbTimeMapper;
import com.yida.data.device.studentCard.service.EduStudentCardDisturbTimeService;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */
@Service
@RequiredArgsConstructor
@Transactional
public class EduStudentCardDisturbTimeServiceImpl extends
    ServiceImpl<EduStudentCardDisturbTimeMapper, EduStudentCardDisturbTime> implements
    EduStudentCardDisturbTimeService {
    

    @Override
    public List<EduStudentCardDisturbTime> listDisturbTime(Long studentId) {
        return list(Wrappers.lambdaQuery(new EduStudentCardDisturbTime())
            .eq(EduStudentCardDisturbTime::getStudentId, studentId));
    }
}
