package com.yida.data.device.studentCard.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.card.EduStudentCardFenceJimi;
import com.yida.data.device.studentCard.mapper.EduStudentCardFenceJimiMapper;
import com.yida.data.device.studentCard.service.EduStudentCardFenceJimiService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 电子学生证-系统围栏与几米平台围栏对应关系 Service实现
 *
 * @author zhanghaijun
 * @date 2021-08-04 15:08:03
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduStudentCardFenceJimiServiceImpl extends ServiceImpl
        <EduStudentCardFenceJimiMapper, EduStudentCardFenceJimi> implements EduStudentCardFenceJimiService {

    private final EduStudentCardFenceJimiMapper eduStudentCardFenceJimiMapper;

}
