package com.yida.data.device.studentCard.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.card.EduStudentCardJimiAccount;
import com.yida.data.device.studentCard.mapper.EduStudentCardJimiAccountMapper;
import com.yida.data.device.studentCard.service.EduStudentCardJimiAccountService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 几米平台账号信息 Service实现
 *
 * @author wjm
 * @date 2021-08-30 14:48:12
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduStudentCardJimiAccountServiceImpl extends ServiceImpl
        <EduStudentCardJimiAccountMapper, EduStudentCardJimiAccount> implements EduStudentCardJimiAccountService {

    private final EduStudentCardJimiAccountMapper eduStudentCardJimiAccountMapper;

}
