package com.yida.data.device.telephone.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.telephone.EduTelephoneFamily;
import com.yida.data.device.telephone.mapper.EduTelephoneFamilyMapper;
import com.yida.data.device.telephone.service.EduTelephoneFamilyService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 亲情电话-亲情号码 Service实现
 *
 * @author zhanghaijun
 * @date 2021-08-10 16:59:43
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduTelephoneFamilyServiceImpl extends ServiceImpl
        <EduTelephoneFamilyMapper, EduTelephoneFamily> implements EduTelephoneFamilyService {

    private final EduTelephoneFamilyMapper eduTelephoneFamilyMapper;

}
