package com.yida.data.device.telephone.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.telephone.EduTelephonePeriod;
import com.yida.data.device.telephone.mapper.EduTelephonePeriodMapper;
import com.yida.data.device.telephone.service.EduTelephonePeriodService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 亲情电话-通话时间段 Service实现
 *
 * @author zhanghaijun
 * @date 2021-08-10 17:01:10
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduTelephonePeriodServiceImpl extends ServiceImpl
        <EduTelephonePeriodMapper, EduTelephonePeriod> implements EduTelephonePeriodService {

    private final EduTelephonePeriodMapper eduTelephonePeriodMapper;

}
