package com.yida.data.mall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 缴费单选择的学生类
 *
 * @author ZYJ
 * @date 2021/12/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillChooseStudentDTO", description = "缴费单选择的学生类")
public class BillChooseStudentDTO implements Serializable {

    private static final long serialVersionUID = -7304290146012160058L;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;
}