package com.yida.data.mall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 添加缴费单人员请求类
 *
 * @author ZYJ
 * @date 2022/3/30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillUserSaveDTO", description = "添加缴费单人员请求类")
public class BillUserSaveDTO implements Serializable {

    private static final long serialVersionUID = 3518648122197395089L;

    @NotNull
    @ApiModelProperty(value = "账单id")
    private Long billId;

    @NotEmpty
    @ApiModelProperty(value = "选择的学生列表")
    private List<BillChooseStudentDTO> achieveList;
}