package com.yida.data.mall.dto.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 账单前端列表请求类
 *
 * @author ZYJ
 * @date 2022/3/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "H5BillSelectDTO", description = "账单前端列表请求类")
public class H5BillSelectDTO implements Serializable {

    private static final long serialVersionUID = 2122379320415000950L;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学校id")
    private Long deptId;
}