package com.yida.data.mall.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 账单人员后台列表返回数据
 *
 * @author ZYJ
 * @date 2022/3/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BillUserSelectPageVO", description = "账单人员后台列表返回数据")
public class BillUserSelectPageVO implements Serializable {

    private static final long serialVersionUID = -340941399205904192L;

    @ApiModelProperty("账单学生id")
    private Long billStudentId;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("学生姓名")
    private String stuName;

    @ApiModelProperty("学号")
    private String stuNumber;

    @ApiModelProperty("学生类型. 0-走读，1-住宿")
    private Integer type;

    @ApiModelProperty("家庭类型")
    private String familyType;

    @ApiModelProperty("缴费状态")
    private Integer psyStatus;
}