package com.yida.data.mall.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.mall.EduBillItemSub;
import com.yida.data.mall.mapper.EduBillItemSubMapper;
import com.yida.data.mall.service.EduBillItemSubService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 缴费账单项目选项表 Service实现
 *
 * @author ZYJ
 * @date 2021-12-24 09:47:16
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduBillItemSubServiceImpl extends ServiceImpl
        <EduBillItemSubMapper, EduBillItemSub> implements EduBillItemSubService {


}
