package com.yida.data.mall.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.mall.EduBillOrderRefund;
import com.yida.data.mall.mapper.EduBillOrderRefundMapper;
import com.yida.data.mall.service.EduBillOrderRefundService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 缴费账单退款信息表 Service实现
 *
 * @author ZYJ
 * @date 2022-04-18 10:29:24
 */
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduBillOrderRefundServiceImpl extends ServiceImpl
        <EduBillOrderRefundMapper, EduBillOrderRefund> implements EduBillOrderRefundService {



}
