package com.yida.data.school.dto.atlas;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 评论回复审核请求类
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CheckCommentReplyDTO", description = "评论回复审核请求类")
public class CheckCommentReplyDTO implements Serializable {

    private static final long serialVersionUID = -5395265069188191981L;

    @ApiModelProperty(value = "回复id", required = true)
    private Long id;

    @ApiModelProperty(value = "审核的状态. 1审核通过,2审核未通过", required = true)
    private String checkStatus;

    @ApiModelProperty(value = "未通过理由")
    private String reason;
}