package com.yida.data.school.dto.atlas.app;

import com.yida.data.common.core.common.AppPageRequestBaseDTO;
import com.yida.data.common.core.entity.atlas.CoreAtlasManagementDetailsCommentReply;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * app分页查询评论回复列表接口请求类
 *
 * @author ZYJ
 * @date 2021/9/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AppAtlasWorkCommentReplySelectDTO", description = "app分页查询评论回复列表接口请求类")
public class AppAtlasWorkCommentReplySelectDTO
        extends AppPageRequestBaseDTO<CoreAtlasManagementDetailsCommentReply> implements Serializable {

    private static final long serialVersionUID = -836795468568482616L;

    /**
     * 评论主键id
     */
    @NotNull
    @ApiModelProperty(value = "评论主键id", required = true)
    private Long commentId;
}
