package com.yida.data.school.dto.classCall;

import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@Data
public class StudentDTO {

    @ApiModelProperty(required = true, value = "点名状态：0=异常，1=正常")
    @NotNull(message = "不能为空")
    private Integer status;

    @ApiModelProperty(required = true, value = "学生主键ID")
    @NotNull(message = "不能为空")
    private Long studentId;
}
