package com.yida.data.school.dto.classSchedule;

import com.yida.data.common.core.common.BaseDTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("课程表分页查询条件")
@Data
public class ClassSchedulePageDTO extends BaseDTO {

    @ApiModelProperty("使用状态,0-启用，1-停用")
    private Integer status;

    @ApiModelProperty("学期id")
    private Long semesterId;

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("校区id")
    private Long districtId;

    @ApiModelProperty("学段id")
    private Long sectionId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("课表名称")
    private String classScheduleName;
}
