package com.yida.data.school.dto.index;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yida.data.common.core.entity.school.EduSchoolHomeMicroCol;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@Data
public class SaveDeptHomeAppDTO {

    private Long id;

    @ApiModelProperty(value = "应用类型. 0:系统应用, 1:第三方应用,2:微信小程序")
    private Integer appType;
    private Integer userType;
    private Long baseAppId;
    private String name;
    private String logo;
    private String appSrc;
    private Integer enableStatus;
    private Integer sort;
    @ApiModelProperty(value = "微信小程序appid")
    private String appId;
    /**
     * 微信小程序secret
     */
    @ApiModelProperty(value = "微信小程序secret")
    private String appSecret;
}
