package com.yida.data.school.dto.letterbox;

import com.yida.data.common.core.entity.letter.EduLetterBoxConfig;
import com.yida.data.common.core.entity.letter.EduLetterBoxReplyPerson;
import com.yida.data.common.core.entity.user.EduStaff;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author ccl
 */
@Data
public class LetterBoxConfigDTO {
    @ApiModelProperty("轮播图")
    private List<EduLetterBoxConfig> bannerList;
    @ApiModelProperty("写信须知")
    private String tip;
    @ApiModelProperty("回复人员")
    private List<EduStaff> replyPerson;
    @ApiModelProperty("部门id")
    private Long deptId;
}
