package com.yida.data.school.dto.news;

import com.yida.data.common.core.common.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ListNoticeDTO extends BaseDTO {

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("学校")
    private Long schoolId;

    @ApiModelProperty("是否公开,0-否，1-是")
    private Integer isPublic;

    @ApiModelProperty("不查询的公告id")
    private Long notShowId;

    @ApiModelProperty("状态 0-待发送，1-已发送")
    private Integer status;
}
