package com.yida.data.school.dto.screen;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 保存校园大数据师资力量
 *
 * @author ZYJ
 * @date 2023/4/20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SchoolDashboardTeacherSaveDTO", description = "保存校园大数据师资力量")
public class SchoolDashboardTeacherSaveDTO implements Serializable {

    private static final long serialVersionUID = -1683405994263409134L;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "数量")
    private Integer num;
}