package com.yida.data.school.dto.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 保存指南二维码配置请求类
 *
 * @author ZYJ
 * @date 2023/6/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "UpdateQrCodeInfoDTO", description = "保存指南二维码配置请求类")
public class UpdateQrCodeInfoDTO implements Serializable {

    private static final long serialVersionUID = -5982188939970322279L;

    @ApiModelProperty(value = "指南id")
    private Long guideId;

    @ApiModelProperty(value = "是否启用自动生成二维码状态. 0:未启用,1:已启用")
    private Integer qrCodeEnableStatus;

    @ApiModelProperty(value = "没有二维码时的提示")
    private String qrCodeNoticeMessage;
}