package com.yida.data.school.dto.smart.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 花名册人脸对比请求类
 *
 * @author ZYJ
 * @date 2023/6/21
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RosterFaceMatchDTO", description = "花名册人脸对比请求类")
public class RosterFaceMatchDTO implements Serializable {

    private static final long serialVersionUID = 1474013091202762132L;

    @ApiModelProperty("指南id")
    private Long guideId;

    @ApiModelProperty("步骤id")
    private Long stepId;

    @ApiModelProperty("关联关系id")
    private Long relationId;

    @ApiModelProperty("base64图片信息")
    private String base64;
}