package com.yida.data.school.dto.userLeave;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审核请假提交对象
 */
@Data
@ApiModel
public class AuditRequestDTO {

    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 请假主体ID
     */
    @ApiModelProperty(value = "请假主体ID")
    private Long requestId;

    /**
     * 审核人ID
     */
    @ApiModelProperty(value = "审核人ID")
    private Long approvalId;


    /**
     * 审核结果：1=通过，0=不通过，默认0
     */
    @ApiModelProperty(value = "审核结果：1=通过，0=不通过，默认0")
    private Integer approvalResult;

    /**
     * 审核不通过的原因
     */
    @ApiModelProperty(value = "审核不通过的原因")
    private String approvalReason;

    /**
     * 审核顺序
     */
    @ApiModelProperty(value = "审核顺序")
    private Integer sort;


    /**
     * 审核顺序
     */
    @ApiModelProperty(value = "审核第几流程ID")
    private Long viewId;

    /**
     * 审核不通过原因
     */
    @ApiModelProperty(value = "审核不通过原因")
    private String refuseReason;
}
