package com.yida.data.school.feign.news;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.school.fallback.news.RemoteNoticeSchoolServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "schoolNoticeServiceClient",
        fallbackFactory = RemoteNoticeSchoolServiceFallback.class)
public interface RemoteNoticeSchoolService {

    @GetMapping("/in/news/school/sendNotice")
    ResultBean sendNotice(@RequestParam("noticeId") Long noticeId);
}
