package com.yida.data.school.feign.news;

import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.notice.EduNoticeSystemUser;

import com.yida.data.school.fallback.news.RemoteNoticeSystemUserServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "noticeSystemUserServiceClient",
        fallbackFactory = RemoteNoticeSystemUserServiceFallback.class)
public interface RemoteNoticeSystemUserService {

    /**
     * 新增通知关联用户
     */
    @GetMapping("/eduNoticeSystemUser/insertNotice")
    Long insertNotice(@RequestParam() EduNoticeSystemUser eduNoticeSystemUser);

}
