package com.yida.data.school.feign.visitor;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.school.fallback.visitor.RemoteVisitorServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(value = FebsServerConstant.EDU_SCHOOL, contextId = "visitorClient",
        fallbackFactory = RemoteVisitorServiceFallback.class)
public interface RemoteVisitorService {

    @GetMapping("/in/visitor/record/dealRequestDdl")
    ResultBean dealRequestDdl();
}
