package com.yida.data.school.vo.atlas;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 评论回复详情返回数据
 *
 * @author ZYJ
 * @date 2021/10/13
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AtlasDetailsCommentReplyInfoVO", description = "评论回复详情返回数据")
public class AtlasDetailsCommentReplyInfoVO extends AtlasDetailsCommentReplySelectPageVO implements Serializable {

    private static final long serialVersionUID = 3293037949208229799L;

    @ApiModelProperty(value = "未通过理由")
    private String reason;
}