package com.yida.data.school.vo.classSchedule;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("课程表信息")
@Data
public class ClassScheduleInfoVO {

    @ApiModelProperty("班级")
    private String gradeClass;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("周一课程")
    private List<CourseTimeInfoVO> mon;
    @ApiModelProperty("周二课程")
    private List<CourseTimeInfoVO> thue;
    @ApiModelProperty("周三课程")
    private List<CourseTimeInfoVO> wed;
    @ApiModelProperty("周四课程")
    private List<CourseTimeInfoVO> thu;
    @ApiModelProperty("周五课程")
    private List<CourseTimeInfoVO> fri;
    @ApiModelProperty("周六课程")
    private List<CourseTimeInfoVO> sat;
    @ApiModelProperty("周天课程")
    private List<CourseTimeInfoVO> sun;
}
