package com.yida.data.school.vo.classSchedule;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("一堂课信息")
@Data
public class CourseTimeInfoVO {

    @ApiModelProperty("班级-时间-课程关联信息id")
    private Long id;

    @ApiModelProperty("课程开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime beginTime;

    @ApiModelProperty("课程结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm")
    private LocalTime endTime;

    @ApiModelProperty("课程地点")
    private String place;

    @ApiModelProperty("课程id")
    private Long courseid;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("教师id")
    private Long teacherId;

    @ApiModelProperty("教师名称")
    private String teacherName;
}
