package com.yida.data.school.vo.exam;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("分数区间")
@Data
public class ScoreSectionVO implements Serializable {

    private static final long serialVersionUID = 2740555019180247671L;

    @ApiModelProperty("人数")
    private Integer studentNum;

    @ApiModelProperty("比例")
    private Double percent;

    @ApiModelProperty("区间上界")
    private Double top;

    @ApiModelProperty("区间下界")
    private Double bottom;

    @ApiModelProperty("分数段得等级")
    private String level;
}
