package com.yida.data.school.vo.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("学生成绩")
public class StudentExamScoreVO {

    @ApiModelProperty("分数")
    private Double score;

    @ApiModelProperty("等级")
    private String level;

    @ApiModelProperty("班级平均")
    private Double classAvg;

    @ApiModelProperty("班级平均等级")
    private String classAvgLevel;

    @ApiModelProperty("年级平均")
    private Double gradeAvg;

    @ApiModelProperty("年级平均等级")
    private String gradeAvgLevel;

    @ApiModelProperty("班级排名")
    private Integer classRank;

    @ApiModelProperty("年级排名")
    private Integer gradeRank;

    @ApiModelProperty("是否屏蔽年级排名 0:否, 1:是")
    private Integer gradeRankBlock;

    @ApiModelProperty("是否屏蔽班级排名 0:否, 1:是")
    private Integer classRankBlock;
}
