package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author chenbo
 */
@Data
public class AppHistoryHealthVO {

    @ApiModelProperty("历史体测成绩")
    private List<AppHistoryHealthVO> historyHealthVO;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目code")
    private Integer code;

    @DateTimeFormat(pattern = "yyyy/MM/dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("测试结果")
    private String projectResult;

    @ApiModelProperty("得分")
    private Integer projectScore;

    @ApiModelProperty("测试结果等级")
    private String projectRank;
}
