package com.yida.data.school.vo.health;

import com.yida.data.common.core.entity.health.EduStudentProjectTestResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author ccl
 */
@Data
public class EduStuProjectVO {
    /**
     * 学生主键id
     */
    @ApiModelProperty(value = "学生主键id")
    private Long stuId;

    /**
     * 学生性别
     */
    @ApiModelProperty(value = "学生性别")
    private Integer stuSex;

    /**
     * 提交自测成绩填报的年级id
     */
    @ApiModelProperty(value = "提交自测成绩填报的年级id")
    private Long recordGradeId;


    /**
     * 提交的自测成绩的集合
     */
    @ApiModelProperty(value = "提交的自测成绩的集合")
    private List<EduStudentProjectTestResult> studentProjectTestResultList;

}
