package com.yida.data.school.vo.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * @author chenbo
 */
@Data
public class HealthHistoryScore {
    @ApiModelProperty("历史时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "MM/dd")
    private Date createDate;

    @ApiModelProperty("成绩")
    private String result;
}
