package com.yida.data.school.vo.index;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class DormInfoVO {

    @ApiModelProperty("宿舍楼id")
    private Long dormId;

    @ApiModelProperty("宿舍楼名称")
    private String dormName;

    @ApiModelProperty("楼层数")
    private Integer floorNum;

    @ApiModelProperty("宿管id")
    private Long masterId;

    @ApiModelProperty("宿管名称")
    private String masterName;

    @ApiModelProperty("寝室数量")
    private Integer dormRoomNum;

    @ApiModelProperty("入住寝室数量")
    private Integer checkInDormRoomNum;

    @ApiModelProperty("床位数量")
    private Integer bedNum;

    @ApiModelProperty("入住人数")
    private Integer checkNum;

    @ApiModelProperty("宿管id集合")
    private List<Long> masterIds;
}
