package com.yida.data.school.vo.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("素材分页信息")
@Data
public class MatterPageInfoVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("素材地址")
    private String url;

    @ApiModelProperty("视频得封面地址")
    private String coverUrl;

    @ApiModelProperty("素材类型，0-图片，1-音频，2-视频")
    private Integer type;
}
