package com.yida.data.school.vo.index;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("校园主页")
@Data
public class SchoolIndexVO {

    private Long id;

    @ApiModelProperty("描述")
    private String descrip;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("电话")
    private String mobile;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("微信公众号")
    private String wxPublic;

    @ApiModelProperty("校园环境名称")
    private String envName;

    @ApiModelProperty("校园环境")
    private List<ColPicVO> envList;

}
