package com.yida.data.school.vo.news;

import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.poi.ss.formula.functions.T;

/**
 * 发布稿件进度 - 实体
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class AddManuscriptProgress {

    @ApiModelProperty("本次操作标识")
    private String key;

    @ApiModelProperty("是否完成，0-否，1-是")
    private Integer finish = 0;

    @ApiModelProperty("错误信息")
    private String errorMsg;
}
