package com.yida.data.school.vo.news;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.notice.EduNoticeBuyProduct;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@ApiModel("购买通知分页信息")
@Data
public class BuyNoticePageVO {

    private Long id;

    private String area;

    private Long schoolId;
    private String schoolName;

    private String title;

    private List<EduNoticeBuyProduct> eduNoticeBuyProduct;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendDate;

    private Integer status;

    private String createName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;
}
