package com.yida.data.school.vo.smart;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 迎新指南花名册表头返回数据
 *
 * @author ZYJ
 * @date 2023/5/23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideStepColVO", description = "迎新指南花名册表头返回数据")
public class GuideStepColVO implements Serializable {

    private static final long serialVersionUID = 6687262239147344982L;

    @ApiModelProperty("步骤id")
    private Long id;

    @ApiModelProperty("步骤名称")
    private String stepName;

    @ApiModelProperty("步骤类型")
    private Integer stepType;
}