package com.yida.data.school.vo.smart.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 花名册迎新订单缓存类
 *
 * @author ZYJ
 * @date 2023/6/20
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GuideStepOrderRosterCacheVO", description = "花名册迎新订单缓存类")
public class GuideStepOrderRosterCacheVO implements Serializable {

    private static final long serialVersionUID = -2020113248907832940L;

    @ApiModelProperty("指南id")
    private Long guideId;

    @ApiModelProperty("步骤id")
    private Long stepId;

    @ApiModelProperty("关联关系id")
    private Long relationId;

    @ApiModelProperty("学校id")
    private Long deptId;

    @ApiModelProperty("订单号")
    private String orderNo;
}