package com.yida.data.school.vo.transcation;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 下载商品购买情况-实体
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DownStudentBuyDataVO {

    @ApiModelProperty("本次操作标识")
    private String key;

    @ApiModelProperty("进度 0-100")
    private Integer percent;

    @ApiModelProperty("是否下载完成，0-否，1-是")
    private Integer finish;

    @ApiModelProperty("下载总数")
    private Integer totalNum;

    @ApiModelProperty("当前下载到第几个")
    private Integer currentNum;

    @ApiModelProperty("文件路径")
    private String filePath;
}
