package com.yida.data.school.vo.transcation;


import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author chenbo
 */
@Data
public class EduProductBuyStudentVO extends EasyExcelExportBaseDTO implements Serializable {

    @ApiModelProperty("学校ID")
    private Long schoolId;
    @ExcelProperty(index = 0, value = "学校")
    @ApiModelProperty("学校名字")
    private String schoolName;
    @ExcelProperty(index = 1, value = "校区")
    @ApiModelProperty("校区名字")
    private String campusName;
    @ExcelProperty(index = 2, value = "学段")
    @ApiModelProperty("学段")
    private String sectionName;
    @ExcelProperty(index = 3, value = "年级")
    @ApiModelProperty("年级名字")
    private String gradeName;
    @ExcelProperty(index = 4, value = "班级")
    @ApiModelProperty("班级名字")
    private String className;
    @ApiModelProperty("学生ID")
    private Long studentId;
    @ExcelProperty(index = 5, value = "姓名")
    @ApiModelProperty("学生名字")
    private String studentName;
    @ExcelProperty(index = 6, value = "学号")
    @ApiModelProperty("学生学号")
    private String studentNumber;
}
