package com.yida.data.school.vo.transcation;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author chenbo
 */
@Data
public class StudentNotBuyExportVO extends EasyExcelExportBaseDTO implements Serializable {
    /**
     * 序号
     */
    @ExcelProperty(index = 0, value = "序号")
    @ApiModelProperty(value = "序号")
    private Long indexNo;

    /**
     * 学生姓名
     */
    @ExcelProperty(index = 1, value = "学生姓名")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /**
     * 学生学号
     */
    @ExcelProperty(index = 2, value = "学生学号")
    @ApiModelProperty(value = "学生学号")
    private String studentNumber;


    /**
     * 校区名称
     */
    @ExcelProperty(index = 3, value = "校区名称")
    @ApiModelProperty(value = "校区名称")
    private String campusName;

    /**
     * 学段名称
     */
    @ExcelProperty(index = 4, value = "学段名称")
    @ApiModelProperty(value = "学段名称")
    private String sectionName;

    /**
     * 年级名称
     */
    @ExcelProperty(index = 5, value = "年级名称")
    @ApiModelProperty(value = "年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ExcelProperty(index = 6, value = "班级名称")
    @ApiModelProperty(value = "班级名称")
    private String className;

}
