package com.yida.data.school.classCall.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.classCall.EduClassCall;
import com.yida.data.common.core.entity.classschedule.EduClassSchedule;
import com.yida.data.school.dto.classCall.ClassCallPageDTO;
import com.yida.data.school.dto.classSchedule.ClassSchedulePageDTO;
import com.yida.data.school.vo.classSchedule.ClassSchedulePageInfoVO;
import org.apache.ibatis.annotations.Param;

/**
 * 课堂点名 Mapper
 */
public interface EduClassCallMapper extends BaseMapper<EduClassCall> {

    IPage<EduClassCall> listClassCallPage(Page page, @Param("dto") ClassCallPageDTO dto);
}
