package com.yida.data.school.classSchedule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.classschedule.EduClassSchedule;
import com.yida.data.school.dto.classSchedule.ClassSchedulePageDTO;
import com.yida.data.school.vo.classSchedule.ClassSchedulePageInfoVO;

import org.apache.ibatis.annotations.Param;

/**
 * 课程表管理 Mapper
 *
 * @author wjm
 * @date 2021-08-13 16:53:48
 */
public interface EduClassScheduleMapper extends BaseMapper<EduClassSchedule> {

    IPage<ClassSchedulePageInfoVO> listClassSchedulePage(Page page,
                                                         @Param("dto") ClassSchedulePageDTO dto);
}
