package com.yida.data.school.classSchedule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.classschedule.EduClassScheduleTimeClass;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 课程表关联班级表 Mapper
 *
 * @author wjm
 * @date 2021-08-13 16:53:38
 */
public interface EduClassScheduleTimeClassMapper extends BaseMapper<EduClassScheduleTimeClass> {

    List<EduClassScheduleTimeClass> getClassScheduleInfo(@Param("classScheduleId") Long classScheduleId,
                                                         @Param("classId") Long classId);

    void cleanTimeClass(@Param("id") Long id);
}
