package com.yida.data.school.classSchedule.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.classschedule.EduClassScheduleTimeModelDetail;
import com.yida.data.school.classSchedule.mapper.EduClassScheduleTimeModelDetailMapper;
import com.yida.data.school.classSchedule.service.EduClassScheduleTimeModelDetailService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 课程表时间安排模板详细表 Service实现
 *
 * @author wjm
 * @date 2021-08-13 16:53:40
 */
@Service
@RequiredArgsConstructor
@Transactional
public class EduClassScheduleTimeModelDetailServiceImpl extends ServiceImpl
        <EduClassScheduleTimeModelDetailMapper, EduClassScheduleTimeModelDetail> implements EduClassScheduleTimeModelDetailService {

    private final EduClassScheduleTimeModelDetailMapper eduClassScheduleTimeModelDetailMapper;

}
