package com.yida.data.school.epidemic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.epidemic.EpidemicAccessFlow;
import org.apache.ibatis.annotations.Param;

/**
 * @author ccl
 */

public interface EpidemicAccessFlowMapper extends BaseMapper<EpidemicAccessFlow> {
    IPage<EpidemicAccessFlow> findAccessFlowList(@Param("page") Page page, @Param("num") Integer num, @Param("type") Integer type, @Param("deptId") Long deptId);

    EpidemicAccessFlow h5FindAccessFlowList(@Param("deptId") Long deptId, @Param("type") Integer type, @Param("time") String time);

    EpidemicAccessFlow findLastOne(@Param("deptId") Long deptId, @Param("type") Integer type);
}
