package com.yida.data.school.epidemic.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.epidemic.EpidemicKnowledgeData;
import com.yida.data.school.epidemic.mapper.EpidemicKnowledgeDataMapper;
import com.yida.data.school.epidemic.service.EpidemicKnowledgeDataService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
@RequiredArgsConstructor
public class EpidemicKnowledgeDataServiceImpl extends ServiceImpl<EpidemicKnowledgeDataMapper,  EpidemicKnowledgeData>
        implements  EpidemicKnowledgeDataService {

    @Override
    public IPage<EpidemicKnowledgeData> epidemicKnowledgeList(Page<EpidemicKnowledgeData> page, Integer type, String title, Long deptId) {

        return baseMapper.epidemicKnowledgeList(page,type,title,deptId);
    }
}
