package com.yida.data.school.exam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.exam.CoreExaminationPublishGradeConvertType;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CoreExaminationPublishGradeConvertTypeMapper extends BaseMapper<CoreExaminationPublishGradeConvertType> {

    /**
     * 根据分数查询对应的成绩等级
     *
     * @param
     * @return
     * @Author: ZYJ
     * @Date: 2020/6/22 14:54
     */
    List<String> findGradeRank(@Param("total") double total,
                               @Param("score") double score,
                               @Param("examId") Long examId);

    List<CoreExaminationPublishGradeConvertType> listType(Long examId);
}