package com.yida.data.school.health.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.health.EduGradeReleateProject;
import com.yida.data.common.core.entity.health.EduNationalStandardProjectWeight;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 年级和项目权重关联中间表 Mapper
 *
 * @author wjm
 * @date 2021-09-14 17:16:21
 */
public interface EduGradeReleateProjectMapper extends BaseMapper<EduGradeReleateProject> {

    /**
     * 查询
     * @param coreGradeId
     * @return
     */
    List<EduNationalStandardProjectWeight> selectByGradeId(@Param("gradeId") Integer coreGradeId);
}
