package com.yida.data.school.health.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.health.EduScoreRank;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * 学年得分等级 Mapper
 *
 * @author wjm
 * @date 2021-09-14 17:16:27
 */
public interface EduScoreRankMapper extends BaseMapper<EduScoreRank> {

    EduScoreRank findRankByScore(@Param("score") BigDecimal totalScore);
}
