package com.yida.data.school.health.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.constant.FebsConstant;
import com.yida.data.common.core.entity.health.EduProject;
import com.yida.data.common.core.entity.health.EduStudentPhysicalExaminationGradeResults;
import org.springframework.scheduling.annotation.Async;

import javax.servlet.http.HttpServletResponse;


/**
* 学生学年成绩记录表 Service接口
*
* @author wjm
* @date 2021-09-14 17:16:20
*/
public interface EduStudentPhysicalExaminationGradeResultsService extends IService<EduStudentPhysicalExaminationGradeResults> {
    /**
     * 批量上传学生体测成绩
     * @param path
     * @param key
     * @param schoolId
     * @param schoolName
     */
    @Async(FebsConstant.ASYNC_POOL)
    void batchUpScore(String path, String uuid, Long schoolId, String schoolName,Long groupId);

    /**
     * 导出上传模板
     * @param response
     */
    void downloadTemplate(HttpServletResponse response);

    void saveTestResult(EduProject coreProject);
}
