package com.yida.data.school.health.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.health.EduNationalStandardProjectExtraAddScore;
import com.yida.data.school.health.mapper.EduNationalStandardProjectExtraAddScoreMapper;
import com.yida.data.school.health.service.EduNationalStandardProjectExtraAddScoreService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 额外加分指标表 Service实现
*
* @author wjm
* @date 2021-09-14 17:16:19
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduNationalStandardProjectExtraAddScoreServiceImpl extends ServiceImpl
<EduNationalStandardProjectExtraAddScoreMapper, EduNationalStandardProjectExtraAddScore> implements EduNationalStandardProjectExtraAddScoreService {

private final EduNationalStandardProjectExtraAddScoreMapper eduNationalStandardProjectExtraAddScoreMapper;

}
