package com.yida.data.school.health.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.health.EduNationalStandardProjectWeight;
import com.yida.data.school.health.mapper.EduNationalStandardProjectWeightMapper;
import com.yida.data.school.health.service.EduNationalStandardProjectWeightService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 单项权重表 Service实现
*
* @author wjm
* @date 2021-09-14 17:16:28
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduNationalStandardProjectWeightServiceImpl extends ServiceImpl
<EduNationalStandardProjectWeightMapper, EduNationalStandardProjectWeight> implements EduNationalStandardProjectWeightService {

private final EduNationalStandardProjectWeightMapper eduNationalStandardProjectWeightMapper;

}
