package com.yida.data.school.health.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.health.EduPhysicalExamination;
import com.yida.data.school.health.mapper.EduPhysicalExaminationMapper;
import com.yida.data.school.health.service.EduPhysicalExaminationService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 体育测试 Service实现
*
* @author wjm
* @date 2021-09-14 17:16:23
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduPhysicalExaminationServiceImpl extends ServiceImpl
<EduPhysicalExaminationMapper, EduPhysicalExamination> implements EduPhysicalExaminationService {

private final EduPhysicalExaminationMapper eduPhysicalExaminationMapper;

}
