package com.yida.data.school.health.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.health.EduScoreRank;
import com.yida.data.school.health.mapper.EduScoreRankMapper;
import com.yida.data.school.health.service.EduScoreRankService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 学年得分等级 Service实现
*
* @author wjm
* @date 2021-09-14 17:16:27
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduScoreRankServiceImpl extends ServiceImpl
<EduScoreRankMapper, EduScoreRank> implements EduScoreRankService {

private final EduScoreRankMapper eduScoreRankMapper;

}
