package com.yida.data.school.index.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.school.EduDeptHomeApp;
import com.yida.data.school.dto.index.SaveDeptHomeAppDTO;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 部门微官网应用配置 Service接口
 *
 * @author ZYJ
 * @date 2023-06-28 15:24:25
 */
public interface EduDeptHomeAppService extends IService<EduDeptHomeApp> {

    void addDeptHomeApp(SaveDeptHomeAppDTO dto);

    void enableApp(Long id, Integer status);

    String getWxPublicURLLink(String schoolId, Long userId, Integer userType, Long localAppId);
}
