package com.yida.data.school.letter.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.letter.EduLetterBoxCollect;
import com.yida.data.school.letter.mapper.EduLetterBoxCollectMapper;
import com.yida.data.school.letter.service.EduLetterBoxCollectService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 校长信箱提问问题收藏 Service实现
 *
 * @author zhanghaijun
 * @date 2021-07-20 10:55:47
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduLetterBoxCollectServiceImpl extends ServiceImpl
        <EduLetterBoxCollectMapper, EduLetterBoxCollect> implements EduLetterBoxCollectService {

    private final EduLetterBoxCollectMapper eduLetterBoxCollectMapper;

}
