package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenuContentLunch;
import com.yida.data.school.menu.mapper.EduMenuContentLunchMapper;
import com.yida.data.school.menu.service.EduMenuContentLunchService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 菜谱午餐 Service实现
*
* @author ZYJ
* @date 2021-09-27 14:22:36
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuContentLunchServiceImpl extends ServiceImpl
<EduMenuContentLunchMapper, EduMenuContentLunch> implements EduMenuContentLunchService {

private final EduMenuContentLunchMapper eduMenuContentLunchMapper;

}
