package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenuContentRecipe;
import com.yida.data.school.menu.mapper.EduMenuContentRecipeMapper;
import com.yida.data.school.menu.service.EduMenuContentRecipeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
* 菜谱菜单表(包含早、中、课间、晚餐) Service实现
*
* @author ZYJ
* @date 2021-09-27 14:22:41
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuContentRecipeServiceImpl extends ServiceImpl
<EduMenuContentRecipeMapper, EduMenuContentRecipe> implements EduMenuContentRecipeService {

private final EduMenuContentRecipeMapper eduMenuContentRecipeMapper;

}
