package com.yida.data.school.menu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.menu.EduMenu;
import com.yida.data.school.menu.mapper.EduMenuMapper;
import com.yida.data.school.menu.service.EduMenuService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 菜谱表 Service实现
 *
 * @author ZYJ
 * @date 2021-09-27 14:22:47
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduMenuServiceImpl extends ServiceImpl
        <EduMenuMapper, EduMenu> implements EduMenuService {

    private final EduMenuMapper eduMenuMapper;

}
