package com.yida.data.school.news.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.notice.EduNoticeBuy;
import com.yida.data.school.vo.news.BuyNoticePageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EduNoticeBuyMapper extends BaseMapper<EduNoticeBuy> {

    IPage<BuyNoticePageVO> selectBuyNoticePage(Page page,
                                               @Param("schoolIds") List<Long> schoolIds,
                                               @Param("campsIds") List<Long> campsIds,
                                               @Param("status") Integer status,
                                               @Param("title") String title,
                                               @Param("sendDate") String sendDate);
}