package com.yida.data.school.news.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.notice.EduNoticeSchool;
import com.yida.data.school.dto.news.ListNoticeDTO;
import com.yida.data.school.vo.news.SchollNoticeTeacherPublishVO;
import com.yida.data.school.vo.news.SchoolNoticePageVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EduNoticeSchoolMapper extends BaseMapper<EduNoticeSchool> {

    EduNoticeSchool getNoticeSchool(Long noticeId);

    List<SchoolNoticePageVO> listNotice(Page page, @Param("dto") ListNoticeDTO dto);

    IPage<SchoolNoticePageVO> listShowSchoolPage(@Param("page") Page page,
        @Param("schoolId") Long schoolId,
        @Param("parentId") Long parentId,
        @Param("isPublic") Integer isPublic);

    IPage<SchollNoticeTeacherPublishVO> listPublishNoticeByStaffPage(Page page, @Param("schoolId") Long schoolId,
        @Param("userId") Long userId, @Param("title") String title);
}