package com.yida.data.school.news.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.notice.EduNoticeSchool;
import com.yida.data.common.core.entity.school.EduSchoolManuscriptLabel;
import com.yida.data.school.news.mapper.EduNoticeSchoolMapper;
import com.yida.data.school.news.mapper.EduSchoolManuscriptLabelMapper;
import com.yida.data.school.news.service.EduNoticeSchoolService;
import com.yida.data.school.news.service.EduSchoolManuscriptLabelService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */
@RequiredArgsConstructor
@Service
@Slf4j
@RefreshScope
@Transactional(rollbackFor = Exception.class)
public class EduSchoolManuscriptLabelServiceImpl extends ServiceImpl<EduSchoolManuscriptLabelMapper,
        EduSchoolManuscriptLabel> implements EduSchoolManuscriptLabelService {
}
