package com.yida.data.school.secondClass.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassCourseLecturer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.school.vo.secondClass.CourseLecturerVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-11 11:09:15
 */
public interface EduSecondClassCourseLecturerMapper extends BaseMapper<EduSecondClassCourseLecturer> {

    /**
     * 分页查询讲师
     *
     * @param page
     * @param deptId
     * @return
     */
    List<CourseLecturerVO> listLecturer(Page page, @Param("name") String name, @Param("deptId") Long deptId);

    /**
     * 查询讲师详情
     *
     * @param id
     * @return
     */
    CourseLecturerVO getInfo(@Param("id") Long id);

}
