package com.yida.data.school.secondClass.mapper;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassSubject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.school.vo.secondClass.SubjectVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-11 14:44:56
 */
public interface EduSecondClassSubjectMapper extends BaseMapper<EduSecondClassSubject> {

    /**
     * 查询主题列表
     *
     * @param type
     * @return
     */
    List<SubjectVO> listSubject(@Param("topicType") Integer topicType, @Param("type") Integer type, @Param("deptId") Long deptId);
}
