package com.yida.data.school.secondClass.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueExhibit;
import com.yida.data.school.dto.secondClass.ListVenueExhibitDTO;
import com.yida.data.school.vo.secondClass.VenueExhibitVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-18 09:39:53
 */
public interface EduSecondClassVenueExhibitMapper extends BaseMapper<EduSecondClassVenueExhibit> {

    List<VenueExhibitVO> listExhibit(Page page, @Param("dto") ListVenueExhibitDTO dto);
}
