package com.yida.data.school.secondClass.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueGuide;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.school.dto.secondClass.ListVenueGuideDTO;
import com.yida.data.school.vo.secondClass.VenueGuideVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  Mapper
 *
 * @author zhanghaijun
 * @date 2022-04-21 10:10:35
 */
public interface EduSecondClassVenueGuideMapper extends BaseMapper<EduSecondClassVenueGuide> {

    /**
     * 查询讲解员列表
     * @param page
     * @param dto
     * @return
     */
    List<VenueGuideVO>  listGuide(Page page,@Param("dto") ListVenueGuideDTO dto);
}
