package com.yida.data.school.secondClass.service;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

public interface EduSecondClassConfigService extends IService<EduSecondClassConfig>{

    /**
     * 查询配置列表
     * @param deptId
     * @return
     */
    EduSecondClassConfig getConfig(Long deptId);

    /**
     * 更新config
     * @param deptId
     * @param show
     * @param type
     */
    void updateConfig(Long deptId, Integer show, Integer type);
}
