package com.yida.data.school.secondClass.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassCourseLecturer;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.school.vo.secondClass.CourseLecturerVO;
import java.util.List;

/**
 * Service接口
 *
 * @author zhanghaijun
 * @date 2022-04-11 11:09:15
 */
public interface EduSecondClassCourseLecturerService extends IService<EduSecondClassCourseLecturer> {

    /**
     * 分页查询讲师信息
     */
    IPage<CourseLecturerVO> listLecturerPage(Integer pageNum, Integer pageSize, String name, Long deptId);

    /**
     * 查询讲师列表
     * @param deptId
     * @return
     */
    List<CourseLecturerVO> listLecturer(Long deptId);

    CourseLecturerVO getInfo(Long id);

    /**
     * 删除讲师
     *
     * @param id
     */
    void delLecturer(Long id);
}
