package com.yida.data.school.secondClass.service;


import com.baomidou.mybatisplus.extension.service.IService;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueExhibitGroup;
import com.yida.data.school.vo.secondClass.VenueExhibitGroupVO;
import java.util.List;

/**
 * Service接口
 *
 * @author zhanghaijun
 * @date 2022-04-18 09:39:53
 */
public interface EduSecondClassVenueExhibitGroupService extends IService<EduSecondClassVenueExhibitGroup> {

    /**
     * 查询展品分组列表
     *
     * @param venueId
     * @return
     */
    List<VenueExhibitGroupVO> listGroup(Long venueId);

    /**
     * 保存分组
     *
     * @param group
     */
    void saveGroup(EduSecondClassVenueExhibitGroup group);

    /**
     * 删除分组
     *
     * @param id
     */
    void delGroup(Long id);

    VenueExhibitGroupVO getInfo(Long groupId);
}
