package com.yida.data.school.secondClass.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueOrder;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.school.vo.secondClass.VenueOrderVO;
import java.util.List;

/**
* 第二课堂-场馆-预约记录 Service接口
*
* @author zhanghaijun
* @date 2022-04-21 19:37:41
*/
public interface EduSecondClassVenueOrderService extends IService<EduSecondClassVenueOrder> {
    void saveOrder(EduSecondClassVenueOrder order);

    List<VenueOrderVO> listVenueOrder(Long venueId,String userId);

    void cancleOrder(Long orderId,String userId);

}
