package com.yida.data.school.secondClass.service.impl;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueOrderMember;
import com.yida.data.school.secondClass.mapper.EduSecondClassVenueOrderMemberMapper;
import com.yida.data.school.secondClass.service.EduSecondClassVenueOrderMemberService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
* 第二课堂-场馆-预约游客 Service实现
*
* @author zhanghaijun
* @date 2022-04-21 19:38:55
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduSecondClassVenueOrderMemberServiceImpl extends ServiceImpl
<EduSecondClassVenueOrderMemberMapper, EduSecondClassVenueOrderMember> implements EduSecondClassVenueOrderMemberService {

private final EduSecondClassVenueOrderMemberMapper eduSecondClassVenueOrderMemberMapper;

}
