package com.yida.data.school.smart.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.smart.EduGuideStepOrder;

import java.util.List;

/**
 * 指南步骤订单表 Mapper
 *
 * @author ZYJ
 * @date 2023-06-20 16:48:14
 */
public interface EduGuideStepOrderMapper extends BaseMapper<EduGuideStepOrder> {

    /**
     * 查询所有已经超时订单
     * 未支付状态
     *
     * @return java.util.List<com.yida.data.common.core.entity.smart.EduGuideStepOrder>
     * @author ZYJ
     * @date 2023/6/21 13:51
     */
    List<EduGuideStepOrder> selectTimeOutOrder();
}
