package com.yida.data.school.smart.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.smart.EduGuideStepOrder;
import com.yida.data.common.core.entity.smart.ConstructionPayNotifyDTO;

/**
 * 指南步骤订单表 Service接口
 *
 * @author ZYJ
 * @date 2023-06-20 16:48:14
 */
public interface EduGuideStepOrderService extends IService<EduGuideStepOrder> {

    /**
     * 建行支付通知结果回调
     *
     * @param dto 建行支付通知结果回调接收类
     * @author ZYJ
     * @date 2023/6/22 1:23
     */
    void constructionPayNotify(ConstructionPayNotifyDTO dto);

    /**
     * 更新超时迎新订单状态
     *
     * @author ZYJ
     * @date 2023/6/21 13:50
     */
    void updateGuideRosterOrderStatus();
}
