package com.yida.data.school.smart.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.smart.EduSmartWelcomeGuideRosterRelationStep;
import com.yida.data.school.smart.mapper.EduSmartWelcomeGuideRosterRelationStepMapper;
import com.yida.data.school.smart.service.EduSmartWelcomeGuideRosterRelationStepService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 智慧迎新指南花名册-微信用户绑定关系-执行步骤表 Service实现
 *
 * @author ZYJ
 * @date 2023-05-19 14:37:43
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduSmartWelcomeGuideRosterRelationStepServiceImpl extends ServiceImpl
        <EduSmartWelcomeGuideRosterRelationStepMapper, EduSmartWelcomeGuideRosterRelationStep> implements EduSmartWelcomeGuideRosterRelationStepService {

    @Override
    public long countCompleteRoster(Long guideId, long stepNumber) {
        return baseMapper.countCompleteRoster(guideId, stepNumber);
    }
}
