package com.yida.data.school.transaction.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.apply.EduProductModel;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EduProductModelMapper extends BaseMapper<EduProductModel> {

    IPage<EduProductModel> selectEduProductModelPage(Page<EduProductModel> page,
                                                     @Param("modelName") String modelName,
                                                     @Param("currentUser") CurrentUser currentUser,
                                                     @Param("childIdList") List<Long> childIdList);
}
