package com.yida.data.school.transaction.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.apply.EduProductNoticeStudent;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 催缴通知对应接收学生表 Mapper
 *
 * @author wjm
 * @date 2021-09-03 15:33:47
 */
public interface EduProductNoticeStudentMapper extends BaseMapper<EduProductNoticeStudent> {

    /**
     * 查询通知记录
     *
     * @param page
     * @param noticeIds
     * @return
     */
    IPage<EduProductNoticeStudent> findRecordList(Page page, @Param("id") List<Long> noticeIds);
}
