package com.yida.data.school.transaction.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.apply.EduStudentApply;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EduStudentApplyMapper extends BaseMapper<EduStudentApply> {

    List<EduStudentApply> getStudentApplyStatus(@Param("studentId") Long studentId,
        @Param("applyCode") String applyCode);

    IPage<EduStudentApply> listStudentApply(@Param("studentName") String studentName,
        @Param("studentNumber") String studentNumber,
        @Param("schoolId") Long schoolId, @Param("sectionId") Long sectionId,@Param("campusId") Long campusId,
        @Param("gradeId") Long gradeId, @Param("classId") Long classId, Page page);
}
