package com.yida.data.school.transaction.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.apply.EduApply;
import com.yida.data.common.core.entity.apply.EduApplyFunction;
import com.yida.data.school.vo.transcation.EduApplyVO;


public interface EduAppService extends IService<EduApplyFunction> {
    /**
     * 应用分页查询
     *
     * @return
     */
    IPage<EduApply> selectPageEduApplyService(String name, Page page);

    /**
     * /**
     * 应用新增
     *
     * @return
     */
    void insertEduApplyService(EduApplyVO eduApplyVo);

    /**
     * 修改应用
     *
     * @param eduApplyVo
     * @return
     */
    void upDataApplyService(EduApplyVO eduApplyVo);

    /**
     * 删除应用
     */
    void removeEduApply(Long id);
}
