package com.yida.data.school.transaction.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.apply.EduProductNoticeRecord;
import com.yida.data.school.transaction.mapper.EduProductNoticeRecordMapper;
import com.yida.data.school.transaction.service.EduProductNoticeRecordService;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import lombok.RequiredArgsConstructor;

/**
 * 催缴通知记录表 Service实现
 *
 * @author wjm
 * @date 2021-09-01 18:23:19
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduProductNoticeRecordServiceImpl extends ServiceImpl
        <EduProductNoticeRecordMapper, EduProductNoticeRecord> implements EduProductNoticeRecordService {

    private final EduProductNoticeRecordMapper eduProductNoticeRecordMapper;

}
