package com.yida.data.school.userLeave.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.leave.EduLeaveRequest;
import com.yida.data.common.core.entity.userLeave.EduLeaveRequestProcessConfig;
import com.yida.data.school.vo.userLeave.EduLeaveRequestProcessConfigVO;
import java.time.LocalDateTime;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper
 *
 * @author wjm
 * @date 2022-12-01 10:45:56
 */
public interface EduLeaveRequestProcessConfigMapper extends BaseMapper<EduLeaveRequestProcessConfig> {

    Page<EduLeaveRequestProcessConfigVO> findPage(@Param("page") Page<EduLeaveRequestProcessConfig> page,
        @Param("processName") String processName, @Param("schoolId") Long schoolId);

    List<EduLeaveRequestProcessConfig> findConfigByDeptIds(@Param("deptIds") List<Long> deptIds, @Param("type") Integer type,
        @Param("requestDays") Long requestDays);
}
