package com.yida.data.school.visitor.controller.in;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.school.visitor.service.EduVisitorRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "访客管理-访客记录 (内部使用不鉴权)")
@RestController
@RequestMapping("/in/visitor/record")
@RequiredArgsConstructor
public class InEduVisitorRecordController {

    private final EduVisitorRecordService eduVisitorRecordService;

    @ApiOperation("处理访问请求超时")
    @GetMapping("/dealRequestDdl")
    public ResultBean dealRequestDdl() {
        eduVisitorRecordService.dealRequestDdl();
        return ResultBean.buildSuccess();
    }
}
