package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 校园卡号导入类
 *
 * @author ZYJ
 * @date 2023/2/19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CardImportDTO", description = "校园卡号导入类")
public class CardImportDTO implements Serializable {

    private static final long serialVersionUID = 6536093595406368088L;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNumber;

    /**
     * 校园卡号
     */
    @ExcelProperty(value = "校园卡号")
    private String stuCardNumber;
}