package com.yida.data.user.dto;

import com.yida.data.common.core.entity.system.Dept;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 企业微信回调删除本地家校部门请求类
 *
 * @author ZYJ
 * @date 2021/12/1
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeleteUserDeptDTO implements Serializable {

    private static final long serialVersionUID = 6750799463622184247L;

    /**
     * 删除的家校部门id集合
     */
    private List<Long> deptIdList;

    /**
     * 删除家校部门对应的学校信息
     */
    private Dept school;
}
