package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 导入住宿学生dto
 */
@Data
public class ImportStudentDormDTO {

    @ApiModelProperty("年级")
    @ExcelProperty(value = "年级")
    private String grade;

    @ApiModelProperty("班级")
    @ExcelProperty("班级")
    private String clazz;

    @ApiModelProperty("学生姓名")
    @ExcelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("学号")
    @ExcelProperty("学号")
    private String studentNum;

    @ApiModelProperty("宿舍楼")
    @ExcelProperty("宿舍楼")
    private String dormName;

    @ApiModelProperty("寝室号")
    @ExcelProperty("寝室号")
    private String dormRoomName;

    @ApiModelProperty("错误原因")
    @ExcelProperty("错误原因")
    private String error;
}
