package com.yida.data.user.dto;

import com.yida.data.common.core.common.BaseDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分页查询住宿学生
 */
@Data
public class PageStudentDormDTO extends BaseDTO {

    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("宿舍楼")
    private Long dormId;

    @ApiModelProperty("楼层")
    private Integer floor;

    @ApiModelProperty("寝室id")
    private Long dormRoomId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("关键词")
    private String keyword;

}
