package com.yida.data.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 人脸组-策略-通行计划信息保存类
 *
 * @author ZYJ
 * @date 2022/12/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "StrategyPlanSaveDTO", description = "人脸组-策略-通行计划信息保存类")
public class StrategyPlanSaveDTO implements Serializable {

    private static final long serialVersionUID = 1264394221797979321L;

    @ApiModelProperty("通行计划唯一编码")
    private String uniqueCode;

    @ApiModelProperty("通行计划-时间段集合")
    private List<StrategyPlanTimeSaveDTO> planTimeList;
}
