package com.yida.data.user.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("教师详情实体")
public class TeacherDetailVO {
    @ApiModelProperty("教师id")
    private Long id;
    @ApiModelProperty("教师头像")
    private String avatar;
    @ApiModelProperty("教师名称")
    private String name;
    @ApiModelProperty("教师手机")
    private String phone;
    @ApiModelProperty("学校名称")
    private String schoolName;
    @ApiModelProperty("教师身份类型 0:任课老师, 1:班主任, 2:年级主任, 3:学科组长，4：校领导")
    private List<Integer> type;
    @ApiModelProperty("科目名称")
    private List<String> courseName;
    @ApiModelProperty("年级班")
    private List<String> gradeClass;
    @ApiModelProperty("描述")
    private String descrip;

    @ApiModelProperty("菜单")
    private List menu;
}
