package com.yida.data.user.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class UserInfoVO implements Serializable {

    private static final long serialVersionUID = -2183584074714449444L;

    @ApiModelProperty("用户名称")
    @ExcelProperty("用户名称")
    private String name;

    @ApiModelProperty("班级/部门")
    @ExcelProperty("班级/部门")
    private String dept;

    @ApiModelProperty("学号/手机号")
    @ExcelProperty("学号/手机号")
    private String number;

    @ApiModelProperty("设备名称")
    private String deviceName;
}
