package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.user.EduFaceGroup;

import org.apache.ibatis.annotations.Param;

/**
 * 人脸组信息 Mapper
 *
 * @author zhanghaijun
 * @date 2021-06-16 14:09:44
 */
public interface EduFaceGroupMapper extends BaseMapper<EduFaceGroup> {
    IPage<EduFaceGroup> listFaceGroupPage(Page page,
                                          @Param("groupName") String groupName,
                                          @Param("schoolId") Long schoolId,
                                          @Param("groupId") Long groupId);
}
