package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategy;

/**
 * 人脸组-策略Mapper
 *
 * @author ZYJ
 * @date 2022-12-12 11:04:39
 */
public interface EduFaceGroupStrategyMapper extends BaseMapper<EduFaceGroupStrategy> {

    /**
     * 处理一周的通行计划
     *
     * @param groupStrategy 人脸组-策略Entity
     * @author ZYJ
     * @date 2022/12/12 17:59
     */
    void updateWeekPlan(EduFaceGroupStrategy groupStrategy);
}
