package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategySpecialDate;
import com.yida.data.user.vo.StrategySpecialDateVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人脸组-策略-特殊日期Mapper
 *
 * @author ZYJ
 * @date 2022-12-26 13:57:32
 */
public interface EduFaceGroupStrategySpecialDateMapper extends BaseMapper<EduFaceGroupStrategySpecialDate> {

    /**
     * 查询特殊日期
     *
     * @param strategyId 策略id
     * @return java.util.List<com.yida.data.user.vo.StrategySpecialDateVO>
     * @author ZYJ
     * @date 2022/12/26 17:14
     */
    List<StrategySpecialDateVO> listStrategySpecialDate(@Param("strategyId") Long strategyId);
}
