package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.school.EduSchoolParentInformation;
import org.apache.ibatis.annotations.Param;

/**
 * 学校智慧迎新-家长填报信息dao层
 *
 * @author ZYJ
 * @date 2021/8/20
 */
public interface EduSchoolParentInformationMapper extends BaseMapper<EduSchoolParentInformation> {

    /***
     * @Author jianMingWang
     * 查询当前学校已提交信息学生数量
     **/
    Integer getCheckNum(@Param("schoolId") Long schoolId);
}