package com.yida.data.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.user.EduUserDept;
import com.yida.data.system.vo.ClassInfoVO;

/**
 * 家校部门表(只有学校会有) Mapper
 *
 * @author ZYJ
 * @date 2021-11-11 09:25:44
 */
public interface EduUserDeptMapper extends BaseMapper<EduUserDept> {

    /**
     * 查询班级年级等信息
     *
     * @param classId 班级id
     * @return com.yida.data.system.vo.ClassInfoVO
     * @author ZYJ
     * @date 2021/11/30 16:05
     */
    ClassInfoVO getClassInfo(Long classId);
}
