package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategyPlan;
import com.yida.data.user.vo.StrategyPlanVO;

import java.util.List;

/**
 * 人脸组-策略Service接口
 *
 * @author ZYJ
 * @date 2022-12-12 11:36:19
 */
public interface EduFaceGroupStrategyPlanService extends IService<EduFaceGroupStrategyPlan> {

    /**
     * 查询人脸组-策略-通行计划
     *
     * @param strategyId 策略id
     * @return java.util.List<com.yida.data.user.vo.StrategyPlanVO>
     * @author ZYJ
     * @date 2022/12/12 14:42
     */
    List<StrategyPlanVO> listStrategyPlan(Long strategyId);
}
