package com.yida.data.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.school.EduSchoolParentInformation;
import com.yida.data.user.dto.SaveParentInformationDTO;

/**
 * 学校智慧迎新-家长填报信息service层
 *
 * @author ZYJ
 * @date 2021/8/20
 */
public interface EduSchoolParentInformationService extends IService<EduSchoolParentInformation> {

    /**
     * 保存家长提交信息
     *
     * @param saveParentInformationDTO 家长提交信息
     * @return com.yida.data.common.core.common.ResultBean<java.lang.String>
     * @author ZYJ
     * @date 2021/8/19 20:59
     */
    ResultBean<String> saveParentInformation(SaveParentInformationDTO saveParentInformationDTO);

    Integer getCheckNum(Long schoolId);
}
