package com.yida.data.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.user.EduFaceGroupStrategyPlanTime;
import com.yida.data.user.mapper.EduFaceGroupStrategyPlanTimeMapper;
import com.yida.data.user.service.EduFaceGroupStrategyPlanTimeService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 人脸组-策略-通行计划-时间Service实现
 *
 * @author ZYJ
 * @date 2022-12-12 11:36:19
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduFaceGroupStrategyPlanTimeServiceImpl extends ServiceImpl
        <EduFaceGroupStrategyPlanTimeMapper, EduFaceGroupStrategyPlanTime> implements EduFaceGroupStrategyPlanTimeService {


}
