package com.yida.data.job;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.openfeign.EnableFeignClients;

import cc.mrbird.febs.common.security.starter.annotation.EnableFebsCloudResourceServer;

/**
 * @author MrBird
 */
@EnableFeignClients(basePackages = "com.yida.data")
@SpringBootApplication
@EnableFebsCloudResourceServer
@MapperScan("com.yida.data.job.mapper")
public class FebsServerJobApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(FebsServerJobApplication.class)
                .web(WebApplicationType.SERVLET)
                .run(args);
    }

}
