package com.yida.data.job.task;

import com.yida.data.school.feign.news.RemoteManuscriptService;

import org.springframework.stereotype.Component;

import lombok.RequiredArgsConstructor;

@Component
@RequiredArgsConstructor
public class SchoolManuscriptTask {
    private final RemoteManuscriptService remoteManuscriptService;

    public void publishManuscript(String manuscriptId) {
        remoteManuscriptService.publishManuscript(Long.valueOf(manuscriptId));
    }
}
