package com.yida.data.job.task;


import com.yida.data.device.feign.telephone.RemoteTelephoneService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
@Slf4j
public class TelephoneTask {

    private final RemoteTelephoneService remoteTelephoneService;

    /**
     * 更新话机在线状态
     */
    public void updateTelephoneStatus() {
        remoteTelephoneService.updateTelephoneStatus();
    }
}
