package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;

import com.yida.data.system.fallback.RemoteAreaServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "areaServiceClient",
        fallbackFactory = RemoteAreaServiceFallback.class)
public interface RemoteAreaService {
    @GetMapping("/eduArea/findAreaParentId")
    ResultBean<List<Long>> findAreaParentId(@RequestParam("areaId") Long areaId);

}