package com.yida.data.system.feign;

import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import com.yida.data.common.core.entity.system.EduBaseApp;
import com.yida.data.system.fallback.RemoteBaseAppServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = FebsServerConstant.FEBS_SERVER_SYSTEM, contextId = "baseAppServiceClient",
    fallbackFactory = RemoteBaseAppServiceFallback.class)
public interface RemoteBaseAppService {

    @GetMapping("/in/deptHomeApp/getById")
    ResultBean<EduBaseApp> getById(@RequestParam("id") Long id);
}
