package com.yida.data.system.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.converter.LocalDateTimeConverter;

import java.time.LocalDateTime;

import lombok.Data;

@Data
public class ExportUserInfoVO {
    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("用户名")
    private String username;

    @ExcelProperty("昵称")
    private String nickname;

    @ExcelProperty("性别")
    private String sex;

    @ExcelProperty("账号状态")
    private String status;

    @ExcelProperty("部门")
    private String deptName;

    @ExcelProperty("手机号")
    private String mobile;

    @ExcelProperty("邮箱")
    private String email;

    @ExcelProperty(value = "创建时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime createDate;

    @ExcelProperty("描述")
    private String description;
}
