package com.yida.data.system.constant;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

/**
 * 线程池常量类
 *
 * @author ZYJ
 * @date 2021/1/18
 */
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public final class PoolConstant {

    /**
     * 核心线程池大小
     */
    public static final Integer CORE_POOL_SIZE = 0;

    /**
     * 最大线程池大小
     */
    public static final Integer MAXIMUM_POOL_SIZE = 5;

    /**
     * 线程最大空闲时间.单位秒
     */
    public static final Long KEEP_ALIVE_TIME = 60L;

    public static final String QYWX_CALL_POOL="qywx_call_pool";
}
