package com.yida.data.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.system.EduSchoolInquireCommonQuestion;
import com.yida.data.system.vo.FindPhonePageVO;
import org.apache.ibatis.annotations.Param;

/**
 * @author ccl
 */
public interface EduSchoolInquireCommonQuestionMapper extends BaseMapper<EduSchoolInquireCommonQuestion> {
    IPage<EduSchoolInquireCommonQuestion> findQuestionPage(@Param("page") Page objectPage, @Param("labelId") Long labelId,
                                                           @Param("deptId") Long deptId, @Param("question") String question);

    IPage<FindPhonePageVO> findPhonePage(@Param("labelId") Long labelId, @Param("deptId") Long deptId, @Param("page") Page page, @Param("schoolName") String schoolName);
}
