package com.yida.data.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.instructions.EduInstructionsContent;
import com.yida.data.user.vo.EduSchoolStudentInformationVo;

import java.util.List;


/**
 * Service接口
 *
 * @author wjm
 * @date 2021-08-30 15:54:11
 */
public interface EduInstructionsContentService extends IService<EduInstructionsContent> {

    IPage<EduInstructionsContent> listPageEduInstructionsContent(Page page, String typeCode, String title);

    boolean saveInstructionsContent(EduInstructionsContent eduInstructionsContent, CurrentUser currentUser);

    EduInstructionsContent getOneEduInstructionsContent(String typeCode,Integer id);

    Boolean deleteByIds(List<Integer> ids);
}
