package com.yida.data.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.instructions.EduInstructionsType;

import java.util.List;

/**
 * Service接口
 *
 * @author wjm
 * @date 2021-08-30 15:54:24
 */
public interface EduInstructionsTypeService extends IService<EduInstructionsType> {
    /**
     * 查询指南树形结构
     *s
     * @return list
     */
    List<EduInstructionsType> selectInstructionsTypeList();

    void saveData(EduInstructionsType eduInstructionsType, CurrentUser currentUser);
}
