package com.yida.data.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.EduLabel;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author ccl
 */

@Transactional(rollbackFor = Exception.class)
public interface EduLabelService extends IService<EduLabel> {
    Page<EduLabel> findDeptLabelList(Page<EduLabel> page,Long deptId,Integer type,String label);
}
