package com.yida.data.system.service;

import com.yida.data.system.dto.QywxCallbackHandleDTO;

/**
 * 企业微信回调mq处理类
 *
 * @author ZYJ
 * @date 2023/10/27 16:42
 */
public interface QywxHandleService {

    /**
     * 处理企业微信自开发回调信息
     *
     * @param dto 企业微信回调处理类
     * @author ZYJ
     * @date 2023/10/27 16:49
     */
    void handlePostCallback(QywxCallbackHandleDTO dto);

    /**
     * 处理企业微信代开发应用模板回调信息
     *
     * @param dto 企业微信回调处理类
     * @author ZYJ
     * @date 2023/10/27 16:54
     */
    void handlePostNormalCallback(QywxCallbackHandleDTO dto);

    /**
     * 处理企业微信代开发应用回调信息
     *
     * @param dto 企业微信回调处理类
     * @author ZYJ
     * @date 2023/10/27 16:54
     */
    void handlePostEventCallback(QywxCallbackHandleDTO dto);
}
