package com.yida.data.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.UnionPayConfig;

/**
 * 银联云闪付支付配置信息service
 *
 * @author ZYJ
 * @date 2022/6/23
 */
public interface UnionPayConfigService extends IService<UnionPayConfig> {

    /**
     * 根据部门查询银联云闪付支付配置
     *
     * @param deptId 部门id
     * @return com.yida.data.common.core.entity.system.UnionPayConfig
     * @author ZYJ
     * @date 2022/6/23 17:15
     */
    UnionPayConfig getUnionPayConfigByDept(Long deptId);
}
