package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.BaiduApiConfig;
import com.yida.data.system.mapper.BaiduApiConfigMapper;
import com.yida.data.system.service.BaiduApiConfigService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 百度api配置信息 Service实现
 *
 * @author ZYJ
 * @date 2023-06-20 20:42:47
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class BaiduApiConfigServiceImpl extends ServiceImpl
        <BaiduApiConfigMapper, BaiduApiConfig> implements BaiduApiConfigService {


}
