package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.ConstructionPayConfig;
import com.yida.data.system.mapper.ConstructionPayConfigMapper;
import com.yida.data.system.service.ConstructionPayConfigService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 建行学校信息配置 Service实现
 *
 * @author ZYJ
 * @date 2023-06-19 16:30:18
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class ConstructionPayConfigServiceImpl extends ServiceImpl
        <ConstructionPayConfigMapper, ConstructionPayConfig> implements ConstructionPayConfigService {


}
