package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.consume.EduConsumeConfig;
import com.yida.data.system.mapper.EduConsumeConfigMapper;
import com.yida.data.system.service.EduConsumeConfigService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 学校消费机服务器信息Service实现
 *
 * @author ZYJ
 * @date 2023-04-06 17:31:11
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduConsumeConfigServiceImpl extends ServiceImpl
        <EduConsumeConfigMapper, EduConsumeConfig> implements EduConsumeConfigService {

}
