package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.EduDeptFunction;
import com.yida.data.system.mapper.EduDeptFunctionMapper;
import com.yida.data.system.service.EduDeptFunctionService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 部门对应的第三方系统功能Service实现
 *
 * @author ZYJ
 * @date 2023-02-20 15:29:05
 */
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduDeptFunctionServiceImpl extends ServiceImpl
        <EduDeptFunctionMapper, EduDeptFunction> implements EduDeptFunctionService {


}
