package com.yida.data.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.system.Dept;
import com.yida.data.common.core.entity.system.EduHotWord;
import com.yida.data.system.mapper.DeptMapper;
import com.yida.data.system.mapper.EduHotWordMapper;
import com.yida.data.system.service.EduHotWordService;
import com.yida.data.system.service.IDeptService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author ccl
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduHotWordServiceImpl extends ServiceImpl<EduHotWordMapper, EduHotWord> implements EduHotWordService {
    @Override
    public List<EduHotWord> findHotWord(Integer num, Integer type,Long deptId) {
        return baseMapper.findHotWord(num,type,deptId);
    }
}
